<?php
/**
Copyright 2011-2023 Twinkle Toes Software, LLC
 */

require_once('Language.php');
require_once('en_gb.php');

class ca extends en_gb
{
    /**
     * @return array // TRADUIT! //
     */
    protected function _LoadDates()
    {
        $dates = array();

        $dates['general_date'] = 'd/m/Y';
        $dates['short_date'] = 'j/n/y';
        $dates['general_datetime'] = 'd/m/Y H:i:s';
        $dates['short_datetime'] = 'j/n/y H:i';
        $dates['schedule_daily'] = 'l, j/n/y';
        $dates['reservation_email'] = 'd/m/Y @ H:i (e)';
        $dates['res_popup'] = 'D, d/n H:i';
        $dates['res_popup_time'] = 'H:i';
        $dates['short_reservation_date'] = 'j/n/y H:i';
        $dates['dashboard'] = 'D, d/n H:i';
        $dates['period_time'] = 'H:i';
        $dates['timepicker'] = 'H:i';
        $dates['mobile_reservation_date'] = 'j/n H:i';
        $dates['general_date_js'] = 'dd/mm/yy';
        $dates['general_time_js'] = 'h:mm tt';
        $dates['timepicker_js'] = 'h:i';
        $dates['momentjs_datetime'] = 'D/M/YY h:mm';
        $dates['calendar_time'] = 'h:mm';
        $dates['calendar_dates'] = 'd M';
        $dates['embedded_date'] = 'D d';
        $dates['embedded_time'] = 'H:i';
        $dates['embedded_datetime'] = 'j/n H:i';
        $dates['report_date'] = '%d/%m';
        $dates['react_date'] = 'dd/MM/yyyy'; // date-fns format
        $dates['react_time'] = 'hh:mm'; // date-fns format
        $dates['react_datetime'] = 'd/M/yy h:mm'; // date-fns format
        $dates['monitor_date'] = 'j/n/y';
        $dates['monitor_time'] = 'H:i';
        $dates['monitor_event_date'] = 'j/n';
        $dates['monitor_event_time'] = 'h:i';

        $this->Dates = $dates;

        return $this->Dates;
    }

    /**
     * @return array
     */
    protected function _LoadStrings()
    {
        $strings = array();

        $strings['FirstName'] = 'Nom';
        $strings['LastName'] = 'Cognoms';
        $strings['Timezone'] = 'Fus horària';
        $strings['Edit'] = 'Edita';
        $strings['Change'] = 'Canvi';
        $strings['Rename'] = 'Canviar el nom';
        $strings['Remove'] = 'Elimina';
        $strings['Delete'] = 'Suprimeix';
        $strings['Update'] = 'Actualitza';
        $strings['Cancel'] = 'Cancel·la';
        $strings['Add'] = 'Afegeix';
        $strings['Name'] = 'Nom';
        $strings['Yes'] = 'Sí';
        $strings['No'] = 'No';
        $strings['FirstNameRequired'] = 'El nom és obligatori.';
        $strings['LastNameRequired'] = 'Els cognoms són obligatoris.';
        $strings['PwMustMatch'] = 'La confirmació de la contrasenya ha de coincidir amb la contrasenya.';
        $strings['ValidEmailRequired'] = 'Es requereix una adreça de correu electrònic vàlida.';
        $strings['UniqueEmailRequired'] = 'Aquesta adreça de correu electrònic ja està registrada.';
        $strings['UniqueUsernameRequired'] = 'Aquest nom d\'usuari ja està registrat.';
        $strings['UserNameRequired'] = 'El nom d\'usuari és obligatori.';
        $strings['CaptchaMustMatch'] = 'El captcha és obligatori.';
        $strings['Today'] = 'Avui';
        $strings['Week'] = 'Setmana';
        $strings['Month'] = 'Mes';
        $strings['BackToCalendar'] = 'Tornar al calendari';
        $strings['BeginDate'] = 'Inici';
        $strings['EndDate'] = 'Fi';
        $strings['Username'] = 'Nom d\'usuari';
        $strings['Password'] = 'Contrasenya';
        $strings['PasswordConfirmation'] = 'Confirmar la contrasenya';
        $strings['DefaultPage'] = 'Pàgina d\'inici predeterminada';
        $strings['MyCalendar'] = 'El meu calendari';
        $strings['ScheduleCalendar'] = 'Programar el calendari';
        $strings['Registration'] = 'Registre';
        $strings['NoAnnouncements'] = 'No hi ha anuncis';
        $strings['Announcements'] = 'Anuncis';
        $strings['NoUpcomingReservations'] = 'No tens cap reserva propera';
        $strings['UpcomingReservations'] = 'Properes reserves';
        $strings['AllNoUpcomingReservations'] = 'No hi ha reserves properes';
        $strings['AllUpcomingReservations'] = 'Totes les properes reserves';
        $strings['ShowHide'] = 'Mostra/Oculta';
        $strings['Error'] = 'Error';
        $strings['ReturnToPreviousPage'] = 'Torna a l\'última pàgina on vas estar';
        $strings['UnknownError'] = 'Error desconegut';
        $strings['InsufficientPermissionsError'] = 'No tens permís per accedir a aquest recurs';
        $strings['MissingReservationResourceError'] = 'No s\'ha seleccionat cap recurs';
        $strings['MissingReservationScheduleError'] = 'No s\'ha seleccionat cap programació';
        $strings['DoesNotRepeat'] = 'No es repeteix';
        $strings['Daily'] = 'Diàriament';
        $strings['Weekly'] = 'Setmanalment';
        $strings['Monthly'] = 'Mensualment';
        $strings['Yearly'] = 'Anualment';
        $strings['RepeatPrompt'] = 'Repetir';
        $strings['hours'] = 'hores';
        $strings['days'] = 'dies';
        $strings['weeks'] = 'setmanes';
        $strings['months'] = 'mesos';
        $strings['years'] = 'anys';
        $strings['day'] = 'dia';
        $strings['week'] = 'setmana';
        $strings['month'] = 'mes';
        $strings['year'] = 'any';
        $strings['repeatDayOfMonth'] = 'dia del mes';
        $strings['repeatDayOfWeek'] = 'dia de la setmana';
        $strings['RepeatUntilPrompt'] = 'Fins a';
        $strings['RepeatEveryPrompt'] = 'Cada';
        $strings['RepeatDaysPrompt'] = 'els';
        $strings['CreateReservationHeading'] = 'Nova reserva';
        $strings['EditReservationHeading'] = 'Editant la reserva %s';
        $strings['ViewReservationHeading'] = 'Veint la reserva %s';
        $strings['ReservationErrors'] = 'Canvia la reserva';
        $strings['Create'] = 'Crea';
        $strings['ThisInstance'] = 'Només aquesta instància';
        $strings['AllInstances'] = 'Totes les instàncies';
        $strings['FutureInstances'] = 'Instàncies futures';
        $strings['Print'] = 'Imprimir';
        $strings['ShowHideNavigation'] = 'Mostra/amaga la navegació';
        $strings['ReferenceNumber'] = 'Número de referència';
        $strings['Tomorrow'] = 'Demà';
        $strings['LaterThisWeek'] = 'Aquesta setmana';
        $strings['NextWeek'] = 'La setmana vinent';
        $strings['SignOut'] = 'Tancar la sessió';
        $strings['LayoutDescription'] = 'Comença el %s, mostrant %s dies alhora';
        $strings['AllResources'] = 'Tots els recursos';
        $strings['TakeOffline'] = 'Desconnecta';
        $strings['BringOnline'] = 'Enllaça';
        $strings['AddImage'] = 'Afegeix una imatge';
        $strings['NoImage'] = 'No s\'ha assignat cap imatge';
        $strings['Move'] = 'Mou';
        $strings['AppearsOn'] = 'Apareix a %s';
        $strings['Location'] = 'Ubicació';
        $strings['NoLocationLabel'] = '(sense ubicació establerta)';
        $strings['Contact'] = 'Contacte';
        $strings['NoContactLabel'] = '(sense informació de contacte)';
        $strings['Description'] = 'Descripció';
        $strings['NoDescriptionLabel'] = '(sense descripció)';
        $strings['Notes'] = 'Notes';
        $strings['NoNotesLabel'] = '(sense notes)';
        $strings['NoTitleLabel'] = '(sense títol)';
        $strings['UsageConfiguration'] = 'Configuració d\'ús';
        $strings['ChangeConfiguration'] = 'Canvia la configuració';
        $strings['ResourceMinLength'] = 'Les reserves han de durar com a mínim %s';
        $strings['ReservationsMustLastAtLeast'] = 'Les reserves han de durar com a mínim';
        $strings['ResourceMinLengthNone'] = 'No hi ha una durada mínima de reserva';
        $strings['ResourceMaxLength'] = 'Les reserves no poden durar més de %s';
        $strings['ReservationsCannotLastMoreThan'] = 'Les reserves no poden durar més de';
        $strings['ResourceMaxLengthNone'] = 'No hi ha una durada màxima de reserva';
        $strings['ResourceRequiresApproval'] = 'Les reserves s\'han d\'aprovar';
        $strings['ResourceRequiresApprovalNone'] = 'Les reserves no requereixen aprovació';
        $strings['ResourcePermissionAutoGranted'] = 'El permís es concedeix automàticament als usuaris';
        $strings['ResourcePermissionNotAutoGranted'] = 'El permís no es concedeix automàticament als usuaris';
        $strings['ResourceMinNotice'] = 'Les reserves s\'han de fer com a mínim %s abans de l\'hora d\'inici';
        $strings['ResourceAdvanceNoticeCreate'] = 'avís per a noves reserves';
        $strings['ResourceMinNoticeNone'] = 'Sense avís previ per a noves reserves';
        $strings['ResourceMinNoticeUpdate'] = 'Les reserves s\'han d\'actualitzar com a mínim %s abans de l\'hora d\'inici';
        $strings['ResourceMinNoticeNoneUpdate'] = 'No hi ha cap avís previ per a actualitzacions de reserves';
        $strings['ResourceAdvanceNoticeUpdate'] = 'avís per actualitzacions de reserves';
        $strings['ResourceMinNoticeDelete'] = 'Les reserves s\'han d\'esborrar com a mínim %s abans de l\'hora d\'inici';
        $strings['ResourceMinNoticeNoneDelete'] = 'No hi ha cap avís previ per a la supressió de la reserva';
        $strings['ResourceAdvanceNoticeDelete'] = 'avís per a la supressió de la reserva';
        $strings['ResourceMaxNoticeEnd'] = 'avís màxim per a noves reserves';
        $strings['ResourceMaxNotice'] = 'Les reserves no han de finalitzar més de %s des de l\'hora actual';
        $strings['ResourceMaxNoticeNone'] = 'Les reserves poden finalitzar en qualsevol moment del futur';
        $strings['ResourceBufferTime'] = 'Hi ha d\'haver %s entre reserves';
        $strings['BetweenReservationsThereMustBeAtLeast'] = 'Entre les reserves, hi ha d\'haver almenys';
        $strings['ResourceBufferTimeNone'] = 'No hi ha buffer entre reserves';
        $strings['ResourceAllowMultiDay'] = 'Les reserves es poden fer durant dies';
        $strings['ResourceNotAllowMultiDay'] = 'No es poden fer reserves entre dies';
        $strings['ResourceCapacity'] = 'Aquest recurs té una capacitat de %s persones';
        $strings['ResourceCapacityNone'] = 'Aquest recurs té capacitat il·limitada';
        $strings['AddNewResource'] = 'Afegeix un recurs nou';
        $strings['AddNewUser'] = 'Afegeix un usuari nou';
        $strings['AddResource'] = 'Afegeix un recurs';
        $strings['Capacity'] = 'Capacitat';
        $strings['Access'] = 'Accés';
        $strings['Duration'] = 'Durada';
        $strings['Active'] = 'Activat';
        $strings['Inactive'] = 'Inactiu';
        $strings['ResetPassword'] = 'Restablir la contrasenya';
        $strings['LastLogin'] = 'Últim inici de sessió';
        $strings['Search'] = 'Cerca';
        $strings['ResourcePermissions'] = 'Permisos de recursos';
        $strings['Reservations'] = 'Reserves';
        $strings['Groups'] = 'Grups';
        $strings['Users'] = 'Usuaris';
        $strings['AllUsers'] = 'Tots els usuaris';
        $strings['AllGroups'] = 'Tots els grups';
        $strings['AllSchedules'] = 'Tots els horaris';
        $strings['UsernameOrEmail'] = 'Nom d\'usuari o correu electrònic';
        $strings['Members'] = 'Membres';
        $strings['QuickSlotCreationTimes'] = 'Creeu franges horàries cada %s minuts entre';
        $strings['ApplyUpdatesTo'] = 'Aplica les actualitzacions a';
        $strings['CancelParticipation'] = 'Cancel·la la participació';
        $strings['Attending'] = 'Assistir';
        $strings['QuotaConfiguration'] = 'A %s per a %s usuaris a %s estan limitats a %s %s per %s';
        $strings['QuotaEnforcement'] = 'S\'ha aplicat %s %s';
        $strings['reservations'] = 'reserves';
        $strings['reservation'] = 'reserva';
        $strings['ChangeCalendar'] = 'Canvia el calendari';
        $strings['AddQuota'] = 'Afegeix una quota';
        $strings['FindUser'] = 'Troba usuari';
        $strings['Created'] = 'Creat';
        $strings['LastModified'] = 'Darrera modificació';
        $strings['GroupName'] = 'Nom del grup';
        $strings['GroupMembers'] = 'Membres del grup';
        $strings['GroupRoles'] = 'Rols de grup';
        $strings['GroupAdmin'] = 'Administrador del grup';
        $strings['Actions'] = 'Accions';
        $strings['CurrentPassword'] = 'Contrasenya actual';
        $strings['NewPassword'] = 'Nova contrasenya';
        $strings['InvalidPassword'] = 'La contrasenya actual és incorrecta';
        $strings['PasswordChangedSuccessfully'] = 'La teva contrasenya s\'ha canviat correctament';
        $strings['SignedInAs'] = 'S\'ha iniciat la sessió com a';
        $strings['NotSignedIn'] = 'No heu iniciat la sessió';
        $strings['ReservationTitle'] = 'Títol de la reserva';
        $strings['ReservationDescription'] = 'Descripció de la reserva';
        $strings['ResourceList'] = 'Recursos per reservar';
        $strings['Accessories'] = 'Accessoris';
        $strings['InvitationList'] = 'Convidats';
        $strings['AccessoryName'] = 'Nom de l\'accessori';
        $strings['QuantityAvailable'] = 'Quantitat disponible';
        $strings['Resources'] = 'Recursos';
        $strings['Participants'] = 'Participants';
        $strings['User'] = 'Usuari';
        $strings['Resource'] = 'Recurs';
        $strings['Status'] = 'Estat';
        $strings['Approve'] = 'Aprova';
        $strings['Page'] = 'Pàgina';
        $strings['Rows'] = 'Files';
        $strings['Unlimited'] = 'Il·limitat';
        $strings['Email'] = 'Correu electrònic';
        $strings['EmailAddress'] = 'Adreça de correu electrònic';
        $strings['Phone'] = 'Telèfon';
        $strings['Organization'] = 'Organització';
        $strings['Position'] = 'Posició';
        $strings['Language'] = 'Idioma';
        $strings['Permissions'] = 'Permisos';
        $strings['Reset'] = 'Restablir';
        $strings['FindGroup'] = 'Troba un grup';
        $strings['Manage'] = 'Gestiona';
        $strings['None'] = 'Cap';
        $strings['AddToOutlook'] = 'Afegeix al calendari';
        $strings['Done'] = 'Fet';
        $strings['RememberMe'] = 'Recorda\'m';
        $strings['FirstTimeUser?'] = 'Usuari per primera vegada?';
        $strings['CreateAnAccount'] = 'Crea un compte';
        $strings['ViewSchedule'] = 'Mostra la programació';
        $strings['ForgotMyPassword'] = 'Heu oblidat la contrasenya?';
        $strings['YouWillBeEmailedPasswordInstructions'] = 'Se\'t enviarà un correu electrònic instruccions per actualitzar la teva contrasenya';
        $strings['Close'] = 'Tancar';
        $strings['ExportToCSV'] = 'Exporta a CSV';
        $strings['OK'] = 'D\'acord';
        $strings['Working'] = 'Treballant...';
        $strings['Login'] = 'Iniciar sessió';
        $strings['AdditionalInformation'] = 'Informació addicional';
        $strings['AllFieldsAreRequired'] = 'tots els camps són obligatoris';
        $strings['Optional'] = 'opcional';
        $strings['YourProfileWasUpdated'] = 'El teu perfil s\'ha actualitzat';
        $strings['YourSettingsWereUpdated'] = 'La vostra configuració s\'ha actualitzat';
        $strings['Register'] = 'Registrar';
        $strings['SecurityCode'] = 'Codi de seguretat';
        $strings['ReservationCreatedPreference'] = 'Quan creo una reserva o es crea una reserva en nom meu';
        $strings['ReservationUpdatedPreference'] = 'Quan actualitzo una reserva o s\'actualitza una reserva en nom meu';
        $strings['ReservationDeletedPreference'] = 'Quan elimino una reserva o s\'elimina una reserva en nom meu';
        $strings['ReservationApprovalPreference'] = 'Quan s\'aprovi la meva reserva pendent';
        $strings['PreferenceSendEmail'] = 'Envia\'m un correu electrònic';
        $strings['PreferenceNoEmail'] = 'No m\'aviseu';
        $strings['ReservationCreated'] = 'La teva reserva s\'ha creat correctament!';
        $strings['ReservationUpdated'] = 'La teva reserva s\'ha actualitzat correctament!';
        $strings['ReservationRemoved'] = 'La teva reserva s\'ha eliminat';
        $strings['ReservationRequiresApproval'] = 'Un o més dels recursos reservats requereixen aprovació abans d\'utilitzar-los. Aquesta reserva estarà pendent fins que s\'aprovi.';
        $strings['YourReferenceNumber'] = 'El vostre número de referència és %s';
        $strings['ChangeUser'] = 'Canvia d\'usuari';
        $strings['MoreResources'] = 'Més recursos';
        $strings['ReservationLength'] = 'Llargada de la reserva';
        $strings['ParticipantList'] = 'Llista de participants';
        $strings['AddParticipants'] = 'Afegeix participants';
        $strings['InviteOthers'] = 'Convidar altres';
        $strings['AddResources'] = 'Afegeix recursos';
        $strings['AddAccessories'] = 'Afegeix accessoris';
        $strings['Accessory'] = 'Accessori';
        $strings['QuantityRequested'] = 'Quantitat sol·licitada';
        $strings['CreatingReservation'] = 'S\'està creant una reserva';
        $strings['UpdatingReservation'] = 'Actualitzant la reserva';
        $strings['DeleteWarning'] = 'Aquesta acció és permanent i no es pot desfer!';
        $strings['DeleteAccessoryWarning'] = 'Si suprimeixes aquest accessori l\'eliminarà de totes les reserves.';
        $strings['AddAccessory'] = 'Afegeix un accessori';
        $strings['AddBlackout'] = 'Afegeix apagada';
        $strings['AllResourcesOn'] = 'Tots els recursos activats';
        $strings['Reason'] = 'Motiu';
        $strings['BlackoutShowMe'] = 'Mostra\'m les reserves conflictives';
        $strings['BlackoutDeleteConflicts'] = 'Suprimeix les reserves conflictives';
        $strings['Filter'] = 'Filtre';
        $strings['Between'] = 'Entre';
        $strings['CreatedBy'] = 'Creat per';
        $strings['BlackoutCreated'] = 'Apagada creada';
        $strings['BlackoutNotCreated'] = 'No s\'ha pogut crear l\'apagada';
        $strings['BlackoutUpdated'] = 'Apagada actualitzada';
        $strings['BlackoutNotUpdated'] = 'No s\'ha pogut actualitzar l\'apagada';
        $strings['BlackoutConflicts'] = 'Hi ha temps d\'apagada conflictius';
        $strings['ReservationConflicts'] = 'Hi ha temps de reserves conflictius';
        $strings['UsersInGroup'] = 'Usuaris d\'aquest grup';
        $strings['Browse'] = 'Navega';
        $strings['DeleteGroupWarning'] = 'Si suprimiu aquest grup, eliminarà tots els permisos de recursos associats. Els usuaris d\'aquest grup poden perdre l\'accés als recursos.';
        $strings['WhatRolesApplyToThisGroup'] = 'Quines funcions s\'apliquen a aquest grup?';
        $strings['WhoCanManageThisGroup'] = 'Qui pot gestionar aquest grup?';
        $strings['WhoCanManageThisSchedule'] = 'Qui pot gestionar aquesta programació?';
        $strings['AllQuotas'] = 'Totes les quotes';
        $strings['QuotaReminder'] = 'Recordeu: Les quotes s\'apliquen en funció de la zona horària de la programació.';
        $strings['AllReservations'] = 'Totes les reserves';
        $strings['PendingReservations'] = 'Reserves pendents';
        $strings['Approving'] = 'S\'està aprovant';
        $strings['MoveToSchedule'] = 'Mou a la programació';
        $strings['DeleteResourceWarning'] = 'En suprimir aquest recurs s\'eliminarà totes les dades associades, inclòs';
        $strings['DeleteResourceWarningReservations'] = 'totes les reserves passades, actuals i futures associades amb ella';
        $strings['DeleteResourceWarningPermissions'] = 'totes les assignacions de permisos';
        $strings['DeleteResourceWarningReassign'] = 'Reasigneu qualsevol cosa que no vulgueu que s\'elimini abans de continuar';
        $strings['ScheduleLayout'] = 'Disposició (totes les hores %s)';
        $strings['ReservableTimeSlots'] = 'Franges horàries reservables';
        $strings['BlockedTimeSlots'] = 'Franges horàries bloquejades';
        $strings['ThisIsTheDefaultSchedule'] = 'Aquesta és la programació per defecte';
        $strings['DefaultScheduleCannotBeDeleted'] = 'La programació per defecte no es pot suprimir';
        $strings['MakeDefault'] = 'Fes com a predeterminat';
        $strings['BringDown'] = 'Baixa';
        $strings['ChangeLayout'] = 'Canvia el disseny';
        $strings['AddSchedule'] = 'Afegeix una programació';
        $strings['StartsOn'] = 'Comença a';
        $strings['NumberOfDaysVisible'] = 'Nombre de dies visibles';
        $strings['UseSameLayoutAs'] = 'Utilitza el mateix disseny que';
        $strings['Format'] = 'Format';
        $strings['OptionalLabel'] = 'Etiqueta opcional';
        $strings['LayoutInstructions'] = 'Introduïu una franja horària per línia. S\'han de proporcionar franges horàries per a totes les 24 hores del dia que comencen i acaben a les 12:00.';
        $strings['AddUser'] = 'Afegeix usuari';
        $strings['UserPermissionInfo'] = 'L\'accés real al recurs pot ser diferent segons el rol de l\'usuari, els permisos del grup o la configuració dels permisos externs';
        $strings['DeleteUserWarning'] = 'Si suprimiu aquest usuari, eliminarà totes les seves reserves actuals, futures i històriques.';
        $strings['AddAnnouncement'] = 'Afegeix un anunci';
        $strings['Announcement'] = 'Anunci';
        $strings['Priority'] = 'Prioritat';
        $strings['Reservable'] = 'Obert';
        $strings['Unreservable'] = 'Bloquejat';
        $strings['Reserved'] = 'Reservat';
        $strings['MyReservation'] = 'La meva reserva';
        $strings['Pending'] = 'Pendent';
        $strings['Past'] = 'Passat';
        $strings['Restricted'] = 'Restringit';
        $strings['ViewAll'] = 'Mostra-ho tot';
        $strings['MoveResourcesAndReservations'] = 'Mou recursos i reserves a';
        $strings['TurnOffSubscription'] = 'Amaga del públic';
        $strings['TurnOnSubscription'] = 'Mostrar al públic (RSS, iCalendar, tauleta, monitor)';
        $strings['SubscribeToCalendar'] = 'Subscriu-te a aquest calendari';
        $strings['SubscriptionsAreDisabled'] = 'L\'administrador ha desactivat les subscripcions al calendari';
        $strings['NoResourceAdministratorLabel'] = '(Cap administrador de recursos)';
        $strings['WhoCanManageThisResource'] = 'Qui pot gestionar aquest recurs?';
        $strings['ResourceAdministrator'] = 'Administrador de recursos';
        $strings['Private'] = 'Privat';
        $strings['Accept'] = 'Acceptar';
        $strings['Decline'] = 'Rebutja';
        $strings['ShowFullWeek'] = 'Mostra la setmana sencera';
        $strings['CustomAttributes'] = 'Atributs personalitzats';
        $strings['AddAttribute'] = 'Afegeix un atribut';
        $strings['EditAttribute'] = 'Actualitzar un atribut';
        $strings['DisplayLabel'] = 'Etiqueta de visualització';
        $strings['Type'] = 'Tipus';
        $strings['Required'] = 'Obligatori';
        $strings['ValidationExpression'] = 'Expressió de validació';
        $strings['PossibleValues'] = 'Valors possibles';
        $strings['SingleLineTextbox'] = 'Caixa de text d\'una sola línia';
        $strings['MultiLineTextbox'] = 'Caixa de text de diverses línies';
        $strings['Checkbox'] = 'Caixa de verificació';
        $strings['SelectList'] = 'Selecciona la llista';
        $strings['CommaSeparated'] = 'separat per comes';
        $strings['Category'] = 'Categoria';
        $strings['CategoryReservation'] = 'Reserva';
        $strings['CategoryGroup'] = 'Grup';
        $strings['SortOrder'] = 'Ordre d\'ordenació';
        $strings['Title'] = 'Títol';
        $strings['AdditionalAttributes'] = 'Atributs addicionals';
        $strings['True'] = 'Veritat';
        $strings['False'] = 'Fals';
        $strings['ResetPasswordEmailSent'] = 'Si aquesta adreça de correu electrònic existeix, rebràs un correu electrònic amb instruccions per restablir la teva contrasenya. Aquesta sol·licitud caduca en 30 minuts.';
        $strings['ActivationEmailSent'] = 'Aviat rebràs un correu electrònic d\'activació.';
        $strings['AccountActivationError'] = 'Ho sentim, no hem pogut activar el vostre compte.';
        $strings['Attachments'] = 'Fixos adjunts';
        $strings['AttachFile'] = 'Adjunta un fitxer';
        $strings['Maximum'] = 'màxim';
        $strings['NoScheduleAdministratorLabel'] = 'Sense administrador de programació';
        $strings['ScheduleAdministrator'] = 'Administrador de la programació';
        $strings['Total'] = 'Total';
        $strings['QuantityReserved'] = 'Quantitat reservada';
        $strings['AllAccessories'] = 'Tots els accessoris';
        $strings['GetReport'] = 'Obtén l\'informe';
        $strings['NoResultsFound'] = 'No s\'han trobat resultats coincidents';
        $strings['SaveThisReport'] = 'Desa aquest informe';
        $strings['ReportSaved'] = 'Informe desat!';
        $strings['EmailReport'] = 'Informe per correu electrònic';
        $strings['ReportSent'] = 'Informe enviat!';
        $strings['RunReport'] = 'Executar l\'informe';
        $strings['NoSavedReports'] = 'No tens cap informe desat.';
        $strings['CurrentWeek'] = 'Setmana actual';
        $strings['CurrentMonth'] = 'Mes actual';
        $strings['AllTime'] = 'Tot el temps';
        $strings['FilterBy'] = 'Filtra per';
        $strings['Select'] = 'Selecciona';
        $strings['List'] = 'Llista';
        $strings['TotalTime'] = 'Hora';
        $strings['Count'] = 'Recompte';
        $strings['Usage'] = 'Ús';
        $strings['AggregateBy'] = 'Agrega per';
        $strings['Range'] = 'Interval';
        $strings['Choose'] = 'Tria';
        $strings['All'] = 'Tots';
        $strings['ViewAsChart'] = 'Mostra com a gràfic';
        $strings['ReservedResources'] = 'Recursos reservats';
        $strings['ReservedAccessories'] = 'Accessoris reservats';
        $strings['ResourceUsageTimeBooked'] = 'Ús dels recursos - Hora reservada';
        $strings['ResourceUsageReservationCount'] = 'Ús de recursos - Recompte de reserves';
        $strings['Top20UsersTimeBooked'] = 'Els 20 usuaris principals - Hora reservada';
        $strings['Top20UsersReservationCount'] = 'Els 20 usuaris principals - Recompte de reserves';
        $strings['ConfigurationUpdated'] = 'El fitxer de configuració s\'ha actualitzat';
        $strings['ConfigurationUiNotEnabled'] = 'No es pot accedir a aquesta pàgina perquè $conf[\'settings\'][\'pages\'][\'enable.configuration\'] està definit com a fals o falta.';
        $strings['ConfigurationFileNotWritable'] = 'El fitxer de configuració no es pot escriure. Si us plau, comproveu els permisos d\'aquest fitxer i torneu-ho a provar.';
        $strings['ConfigurationUpdateHelp'] = 'Consulteu la secció Configuració del <a target=_blank href=%s>Fitxer d\'ajuda</a> per obtenir documentació sobre aquests paràmetres.';
        $strings['GeneralConfigSettings'] = 'configuració';
        $strings['UseSameLayoutForAllDays'] = 'Utilitza el mateix disseny per a tots els dies';
        $strings['LayoutVariesByDay'] = 'La disposició varia segons el dia';
        $strings['ManageReminders'] = 'Recordatoris';
        $strings['ReminderUser'] = 'Identificador d\'usuari';
        $strings['ReminderMessage'] = 'Missatge';
        $strings['ReminderAddress'] = 'Adreces';
        $strings['ReminderSendtime'] = 'Hora d\'enviament';
        $strings['ReminderRefNumber'] = 'Número de referència de la reserva';
        $strings['ReminderSendtimeDate'] = 'Data del recordatori';
        $strings['ReminderSendtimeTime'] = 'Hora del recordatori (HH:MM)';
        $strings['ReminderSendtimeAMPM'] = 'AM/PM';
        $strings['AddReminder'] = 'Afegeix un recordatori';
        $strings['DeleteReminderWarning'] = 'Estàs segur que vols suprimir això?';
        $strings['NoReminders'] = 'No tens recordatoris propers.';
        $strings['Reminders'] = 'Recordatoris';
        $strings['SendReminder'] = 'Envia un recordatori';
        $strings['minutes'] = 'minuts';
        $strings['hours'] = 'hores';
        $strings['days'] = 'dies';
        $strings['minute'] = 'minut';
        $strings['hour'] = 'hora';
        $strings['day'] = 'dia';
        $strings['ReminderBeforeStart'] = 'abans de l\'hora d\'inici';
        $strings['ReminderBeforeEnd'] = 'abans de l\'hora de finalització';
        $strings['Logo'] = 'Logotip';
        $strings['CssFile'] = 'Fitxer CSS';
        $strings['ThemeUploadSuccess'] = 'Els vostres canvis s\'han desat. Actualitzeu la pàgina perquè els canvis tinguin efecte.';
        $strings['MakeDefaultSchedule'] = 'Fes d\'aquesta la meva programació per defecte';
        $strings['DefaultScheduleSet'] = 'Aquest és ara el vostre programa predeterminat';
        $strings['FlipSchedule'] = 'Invertir el disseny de la programació';
        $strings['Next'] = 'Següent';
        $strings['Success'] = 'Èxit';
        $strings['Participant'] = 'Participant';
        $strings['ResourceFilter'] = 'Filtre de recursos';
        $strings['ResourceGroups'] = 'Grups de recursos';
        $strings['AddNewGroup'] = 'Afegeix un grup nou';
        $strings['Quit'] = 'Surt';
        $strings['AddGroup'] = 'Afegeix un grup';
        $strings['StandardScheduleDisplay'] = 'Utilitza la visualització estàndard de la programació';
        $strings['TallScheduleDisplay'] = 'Utilitza la pantalla de programació alta';
        $strings['WideScheduleDisplay'] = 'Utilitza la visualització àmplia de la programació';
        $strings['CondensedWeekScheduleDisplay'] = 'Utilitza la visualització de la programació setmanal condensada';
        $strings['ResourceGroupHelp1'] = 'Arrossegar i deixar anar grups de recursos per reorganitzar-los.';
        $strings['ResourceGroupHelp2'] = 'Feu clic amb el botó dret en un nom de grup de recursos per a accions addicionals.';
        $strings['ResourceGroupHelp3'] = 'Arrossegueu i deixeu anar els recursos per afegir-los als grups.';
        $strings['ResourceGroupWarning'] = 'Si utilitzeu grups de recursos, cada recurs s\'ha d\'assignar com a mínim a un grup. Els recursos no assignats no es podran reservar.';
        $strings['ResourceType'] = 'Tipus de recurs';
        $strings['AppliesTo'] = 'S\'aplica a';
        $strings['UniquePerInstance'] = 'Únic per instància';
        $strings['AddResourceType'] = 'Afegeix un tipus de recurs';
        $strings['NoResourceTypeLabel'] = '(cap tipus de recurs definit)';
        $strings['ClearFilter'] = 'Esborra el filtre';
        $strings['MinimumCapacity'] = 'Capacitat mínima';
        $strings['Color'] = 'Color';
        $strings['Available'] = 'Disponible';
        $strings['Unavailable'] = 'No disponible';
        $strings['Hidden'] = 'Ocult';
        $strings['ResourceStatus'] = 'Estat del recurs';
        $strings['CurrentStatus'] = 'Estat actual';
        $strings['AllReservationResources'] = 'Tots els recursos de reserva';
        $strings['File'] = 'Fitxer';
        $strings['BulkResourceUpdate'] = 'Actualització massiva dels recursos';
        $strings['Unchanged'] = 'Sense canvis';
        $strings['Common'] = 'Comú';
        $strings['AdminOnly'] = 'Només és administrador';
        $strings['AdvancedFilter'] = 'Filtre avançat';
        $strings['MinimumQuantity'] = 'Quantitat mínima';
        $strings['MaximumQuantity'] = 'Quantitat màxima';
        $strings['ChangeLanguage'] = 'Canvia l\'idioma';
        $strings['AddRule'] = 'Afegeix una regla';
        $strings['Attribute'] = 'Atribut';
        $strings['RequiredValue'] = 'Valor requerit';
        $strings['ReservationCustomRuleAdd'] = 'Feu servir aquest color quan l\'atribut de reserva s\'estableixi en el valor següent';
        $strings['AddReservationColorRule'] = 'Afegeix una regla de color de reserva';
        $strings['LimitAttributeScope'] = 'Recollida en casos específics';
        $strings['CollectFor'] = 'Recollida per';
        $strings['SignIn'] = 'Iniciar sessió';
        $strings['AllParticipants'] = 'Tots els participants';
        $strings['RegisterANewAccount'] = 'Registrar un compte nou';
        $strings['Dates'] = 'Dates';
        $strings['More'] = 'Més';
        $strings['ResourceAvailability'] = 'Disponibilitat dels recursos';
        $strings['UnavailableAllDay'] = 'No disponible tot el dia';
        $strings['AvailableUntil'] = 'Disponible fins a';
        $strings['AvailableBeginningAt'] = 'Disponible a partir de';
        $strings['AvailableAt'] = 'Disponible a';
        $strings['AllResourceTypes'] = 'Tots els tipus de recursos';
        $strings['AllResourceStatuses'] = 'Tots els estats dels recursos';
        $strings['AllowParticipantsToJoin'] = 'Permetre que altres s\'uneixin';
        $strings['Join'] = 'Unir-se';
        $strings['YouAreAParticipant'] = 'Ets un participant d\'aquesta reserva';
        $strings['YouAreInvited'] = 'Esteu convidat a aquesta reserva';
        $strings['YouCanJoinThisReservation'] = 'Pots unir-te a aquesta reserva';
        $strings['Import'] = 'Importa';
        $strings['GetTemplate'] = 'Obtenir una plantilla';
        $strings['UserImportInstructions'] = '<ul><li>El fitxer ha d\'estar en format CSV.</li><li>Els camps de nom d\'usuari i correu electrònic són obligatoris.</li><li>La validesa de l\'atribut no s\'aplicarà. </li><li>Si deixeu altres camps en blanc, s\'establiran els valors predeterminats i \'contrasenya\' com a contrasenya de l\'usuari.</li><li>Utilitzeu la plantilla subministrada com a exemple.</li></li></ul><li> ul>';
        $strings['RowsImported'] = 'Files importades';
        $strings['RowsSkipped'] = 'Files omeses';
        $strings['Columns'] = 'Columnes';
        $strings['Reserve'] = 'Reserva';
        $strings['AllDay'] = 'Tot el dia';
        $strings['Everyday'] = 'Tots els dies';
        $strings['IncludingCompletedReservations'] = 'Incloent les reserves completades';
        $strings['NotCountingCompletedReservations'] = 'No s\'inclouen les reserves completades';
        $strings['RetrySkipConflicts'] = 'Omet les reserves conflictives';
        $strings['Retry'] = 'Reintentar';
        $strings['RemoveExistingPermissions'] = 'Elimineu els permisos existents?';
        $strings['Continue'] = 'Continua';
        $strings['WeNeedYourEmailAddress'] = 'Necessitem la teva adreça de correu electrònic per reservar';
        $strings['ResourceColor'] = 'Color del recurs';
        $strings['DateTime'] = 'Data Hora';
        $strings['AutoReleaseNotification'] = 'S\'allibera automàticament si no es registra en %s minuts';
        $strings['RequiresCheckInNotification'] = 'Requereix registre d\'entrada/sortida';
        $strings['NoCheckInRequiredNotification'] = 'No requereix registre d\'entrada/sortida';
        $strings['RequiresApproval'] = 'Requereix aprovació';
        $strings['CheckingIn'] = 'Enregistrament';
        $strings['CheckingOut'] = 'S\'està comprovant';
        $strings['CheckIn'] = 'Registrar-se';
        $strings['CheckOut'] = 'Revisar';
        $strings['ReleasedIn'] = 'Llançat a';
        $strings['CheckedInSuccess'] = 'Esteu registrat';
        $strings['CheckedOutSuccess'] = 'S\'ha fet la sortida';
        $strings['CheckInFailed'] = 'No s\'ha pogut registrar';
        $strings['CheckOutFailed'] = 'No s\'ha pogut extreure';
        $strings['CheckInTime'] = 'Hora d\'entrada';
        $strings['CheckOutTime'] = 'Hora de sortida';
        $strings['OriginalEndDate'] = 'Fi de l\'original';
        $strings['ShowSpecificDates'] = 'Mostra les dates específiques';
        $strings['Users'] = 'Usuaris';
        $strings['Guest'] = 'Convidat';
        $strings['ResourceDisplayPrompt'] = 'Recurs per mostrar';
        $strings['Credits'] = 'Crèdits';
        $strings['AvailableCredits'] = 'Crèdits disponibles';
        $strings['CreditUsagePerSlot'] = 'Requereix %s crèdits per franja horària (fora hora punta)';
        $strings['PeakCreditUsagePerSlot'] = 'Requereix %s crèdits per franja horària (hora punta)';
        $strings['CreditsRule'] = 'No tens prou crèdits. Crèdits necessaris: %s. Crèdits al compte: %s';
        $strings['PeakTimes'] = 'Hores punta';
        $strings['AllYear'] = 'Tot l\'any';
        $strings['MoreOptions'] = 'Més opcions';
        $strings['SendAsEmail'] = 'Envia com a correu electrònic';
        $strings['UsersInGroups'] = 'Usuaris en grups';
        $strings['UsersWithAccessToResources'] = 'Usuaris amb accés als recursos';
        $strings['AnnouncementSubject'] = 'Un nou anunci ha estat publicat per %s';
        $strings['AnnouncementEmailNotice'] = 'els usuaris rebran aquest anunci com a correu electrònic';
        $strings['Day'] = 'Dia';
        $strings['NotifyWhenAvailable'] = 'Avisa\'m quan estigui disponible';
        $strings['AddingToWaitlist'] = 'T\'està afegint a la llista d\'espera';
        $strings['WaitlistRequestAdded'] = 'Se\'t notificarà si aquesta hora està disponible';
        $strings['PrintQRCode'] = 'Imprimeix el codi QR';
        $strings['FindATime'] = 'Cerca una hora';
        $strings['AnyResource'] = 'Qualsevol recurs';
        $strings['ThisWeek'] = 'Aquesta setmana';
        $strings['Hours'] = 'Hores';
        $strings['Minutes'] = 'Minuts';
        $strings['ImportICS'] = 'Importa des d\'ICS';
        $strings['ImportQuartzy'] = 'Importa des de Quartzy';
        $strings['OnlyIcs'] = 'Només es poden carregar fitxers *.ics.';
        $strings['IcsLocationsAsResources'] = 'Les ubicacions s\'importaran com a recursos.';
        $strings['IcsMissingOrganizer'] = 'Qualsevol esdeveniment que falti un organitzador tindrà el propietari definit com a usuari actual.';
        $strings['IcsWarning'] = 'Les regles de reserva no s\'aplicaran; són possibles conflictes, duplicats, etc.';
        $strings['BlackoutAroundConflicts'] = 'Apagada per reserves conflictives';
        $strings['DuplicateReservation'] = 'Duplicar';
        $strings['UnavailableNow'] = 'No disponible ara';
        $strings['ReserveLater'] = 'Reserva més tard';
        $strings['CollectedFor'] = 'Recollit per';
        $strings['IncludeDeleted'] = 'Inclou les reserves suprimides';
        $strings['Deleted'] = 'Suprimit';
        $strings['Back'] = 'Enrere';
        $strings['Forward'] = 'Endavant';
        $strings['DateRange'] = 'Interval de dates';
        $strings['Copy'] = 'Copia';
        $strings['Detect'] = 'Detectar';
        $strings['Autofill'] = 'Emplenar automàticament';
        $strings['NameOrEmail'] = 'nom o correu electrònic';
        $strings['ImportResources'] = 'Importa recursos';
        $strings['ExportResources'] = 'Exporta els recursos';
        $strings['ResourceImportInstructions'] = '<ul><li>El fitxer ha d\'estar en format CSV amb codificació UTF-8.</li><li>Les opcions d\'estat són Disponible, No disponible o Ocult.</li><li > El color s\'ha d\'especificar com a valor hexadecimal. ex) #ffffff.</li><li>Separar amb comas diversos grups de recursos o relacions de recursos.</li><li>La durada s\'ha d\'especificar en el format #d#h#m (1d3h30m durant 1 dia, 3 hores, 30 minuts).</li><li>L\'aplicabilitat del crèdit pot ser \'per slot\' o \'per reserva\'.</li><li>Exporteu els recursos o utilitzeu la plantilla com a exemple.</li><li> li></ul>';
        $strings['ReservationImportInstructions'] = '<ul><li>El fitxer ha d\'estar en format CSV amb codificació UTF-8.</li><li>El correu electrònic, els noms dels recursos, l\'inici i el final són camps obligatoris.</li ><li>El començament i el final requereixen la data i l\'hora completa. El format recomanat és AAAA-mm-dd HH:mm (2017-12-31 20:30).</li><li>No es comprovaran les regles, els conflictes i les franges horàries vàlides.</li><li>Les notificacions no s\'enviaran.</li><li>No es validaran els atributs.</li><li>Noms de recursos separats per comes.</li><li>Utilitzeu la plantilla subministrada com a exemple.</li ></ul>';
        $strings['AutoReleaseMinutes'] = 'Minuts d\'alliberament automàtic';
        $strings['CreditsPeak'] = 'Crèdits (pic)';
        $strings['CreditsOffPeak'] = 'Crèdits (fora punta)';
        $strings['ResourceMinLengthCsv'] = 'Llargada mínima de la reserva';
        $strings['ResourceMaxLengthCsv'] = 'Llargada màxima de la reserva';
        $strings['ResourceBufferTimeCsv'] = 'Temps de memòria intermèdia';
        $strings['ResourceMinNoticeAddCsv'] = 'Reserva Afegeix un avís mínim';
        $strings['ResourceMinNoticeUpdateCsv'] = 'Avís mínim d\'actualització de la reserva';
        $strings['ResourceMinNoticeDeleteCsv'] = 'Avís mínim d\'eliminació de la reserva';
        $strings['ResourceMaxNoticeCsv'] = 'Fi màxim de reserva';
        $strings['Export'] = 'Exportar';
        $strings['DeleteMultipleUserWarning'] = 'Suprimir aquests usuaris eliminarà totes les seves reserves actuals, futures i històriques. No s\'enviarà cap correu electrònic.';
        $strings['DeleteMultipleReservationsWarning'] = 'No s\'enviarà cap correu electrònic.';
        $strings['ErrorMovingReservation'] = 'S\'ha produït un error en moure la reserva';
        $strings['SelectUser'] = 'Selecciona usuari';
        $strings['InviteUsers'] = 'Convidar usuaris';
        $strings['InviteUsersLabel'] = 'Introduïu les adreces de correu electrònic de les persones a convidar (una per línia)';
        $strings['ApplyToCurrentUsers'] = 'Aplica als usuaris actuals';
        $strings['ReasonText'] = 'Text de la raó';
        $strings['NoAvailableMatchingTimes'] = 'No hi ha hores disponibles que coincideixin amb la vostra cerca';
        $strings['Schedules'] = 'Horaris';
        $strings['NotifyUser'] = 'Notificar l\'usuari';
        $strings['UpdateUsersOnImport'] = 'Actualitza l\'usuari existent si el correu electrònic ja existeix';
        $strings['UpdateResourcesOnImport'] = 'Actualitza els recursos existents si el nom ja existeix';
        $strings['Reject'] = 'Rebutjar';
        $strings['CheckingAvailability'] = 'S\'està comprovant la disponibilitat';
        $strings['CreditPurchaseNotEnabled'] = 'No heu activat la possibilitat de comprar crèdits';
        $strings['CreditsCost'] = 'Cada crèdit costa';
        $strings['Currency'] = 'Moneda';
        $strings['PayPalClientId'] = 'Identificador del client';
        $strings['PayPalSecret'] = 'Secret';
        $strings['PayPalEnvironment'] = 'Entorn';
        $strings['Sandbox'] = 'Caixa de sorra';
        $strings['Live'] = 'En directe';
        $strings['StripePublishableKey'] = 'Clau publicable';
        $strings['StripeSecretKey'] = 'Clau secreta';
        $strings['CreditsUpdated'] = 'El cost del crèdit s\'ha actualitzat';
        $strings['GatewaysUpdated'] = 'Les passarel·les de pagament s\'han actualitzat';
        $strings['PurchaseSummary'] = 'Resum de la compra';
        $strings['EachCreditCosts'] = 'Costa de cada crèdit';
        $strings['Checkout'] = 'Pagament';
        $strings['Quantity'] = 'Quantitat';
        $strings['CreditPurchase'] = 'Compra de crèdit';
        $strings['EmptyCart'] = 'El teu carretó està buit.';
        $strings['BuyCredits'] = 'Compra crèdits';
        $strings['CreditsPurchased'] = 'crèdits comprats.';
        $strings['ViewYourCredits'] = 'Consulta els teus crèdits';
        $strings['TryAgain'] = 'Torna-ho a provar';
        $strings['PurchaseFailed'] = 'Hem tingut problemes per processar el vostre pagament.';
        $strings['NoteCreditsPurchased'] = 'Crèdits comprats';
        $strings['CreditsUpdatedLog'] = 'Crèdits actualitzats per %s';
        $strings['ReservationCreatedLog'] = 'S\'ha creat la reserva. Número de referència %s';
        $strings['ReservationUpdatedLog'] = 'Reserva actualitzada. Número de referència %s';
        $strings['ReservationDeletedLog'] = 'S\'ha suprimit la reserva. Número de referència %s';
        $strings['BuyMoreCredits'] = 'Compra més crèdits';
        $strings['Transactions'] = 'Transaccions';
        $strings['Cost'] = 'Cost';
        $strings['PaymentGateways'] = 'Passerelles de pagament';
        $strings['CreditHistory'] = 'Historial de crèdits';
        $strings['TransactionHistory'] = 'Historial de transaccions';
        $strings['Date'] = 'Data';
        $strings['Note'] = 'Nota';
        $strings['CreditsBefore'] = 'Crèdits abans';
        $strings['CreditsAfter'] = 'Crèdits després';
        $strings['TransactionFee'] = 'Comissió de transacció';
        $strings['InvoiceNumber'] = 'Número de factura';
        $strings['TransactionId'] = 'Identificador de transacció';
        $strings['Gateway'] = 'Porta d\'enllaç';
        $strings['GatewayTransactionDate'] = 'Data de la transacció de la passarel·la';
        $strings['Refund'] = 'Reemborsament';
        $strings['IssueRefund'] = 'Emet un reemborsament';
        $strings['RefundIssued'] = 'La devolució s\'ha emès correctament';
        $strings['RefundAmount'] = 'Import del reemborsament';
        $strings['AmountRefunded'] = 'Reemborsat';
        $strings['FullyRefunded'] = 'Tot reemborsat';
        $strings['YourCredits'] = 'Els vostres crèdits';
        $strings['PayWithCard'] = 'Paga amb targeta';
        $strings['or'] = 'o';
        $strings['CreditsRequired'] = 'Crèdits necessaris';
        $strings['AddToGoogleCalendar'] = 'Afegeix a Google';
        $strings['Image'] = 'Imatge';
        $strings['ChooseOrDropFile'] = 'Trieu un fitxer o arrossegueu-lo aquí';
        $strings['SlackBookResource'] = 'Reserva %s ara';
        $strings['SlackBookNow'] = 'Reserva ara';
        $strings['SlackNotFound'] = 'No hem pogut trobar cap recurs amb aquest nom. Reserva ara per començar una nova reserva.';
        $strings['AutomaticallyAddToGroup'] = 'Afegeix nous usuaris automàticament a aquest grup';
        $strings['GroupAutomaticallyAdd'] = 'Afegir automàticament';
        $strings['TermsOfService'] = 'Condicions del servei';
        $strings['EnterTermsManually'] = 'Introdueix els termes manualment';
        $strings['LinkToTerms'] = 'Enllaç a les condicions';
        $strings['UploadTerms'] = 'Carrega les condicions';
        $strings['RequireTermsOfServiceAcknowledgement'] = 'Requereix el reconeixement de les condicions del servei';
        $strings['UponReservation'] = 'Sobre reserva';
        $strings['UponRegistration'] = 'En registrar-se';
        $strings['ViewTerms'] = 'Mostra les condicions del servei';
        $strings['IAccept'] = 'Accepto';
        $strings['TheTermsOfService'] = 'les Condicions del servei';
        $strings['DisplayPage'] = 'Mostra la pàgina';
        $strings['AvailableAllYear'] = 'Tot l\'any';
        $strings['Availability'] = 'Disponibilitat';
        $strings['AvailableBetween'] = 'Disponible entre';
        $strings['ConcurrentYes'] = 'Els recursos poden ser reservats per més d\'una persona alhora';
        $strings['ConcurrentNo'] = 'Els recursos no poden ser reservats per més d\'una persona alhora';
        $strings['ScheduleAvailabilityEarly'] = 'Aquesta programació encara no està disponible. Està disponible';
        $strings['ScheduleAvailabilityLate'] = 'Aquest programa ja no està disponible. Estava disponible';
        $strings['ResourceImages'] = 'Imatges de recursos';
        $strings['FullAccess'] = 'Accés complet';
        $strings['ViewOnly'] = 'Només visualització';
        $strings['Purge'] = 'Purga';
        $strings['UsersWillBeDeleted'] = 'Els usuaris seran suprimits';
        $strings['BlackoutsWillBeDeleted'] = 'Els temps d\'apagada s\'eliminaran';
        $strings['ReservationsWillBePurged'] = 'Les reserves seran depurades';
        $strings['ReservationsWillBeDeleted'] = 'Les reserves s\'eliminaran';
        $strings['PermanentlyDeleteUsers'] = 'Suprimeix permanentment els usuaris que no han iniciat sessió des de llavors';
        $strings['DeleteBlackoutsBefore'] = 'Suprimeix els temps d\'apagada abans';
        $strings['DeletedReservations'] = 'Reserves suprimides';
        $strings['DeleteReservationsBefore'] = 'Suprimeix les reserves abans';
        $strings['SwitchToACustomLayout'] = 'Canvia a franges horàries personalitzades';
        $strings['SwitchToAStandardLayout'] = 'Canvia a franges horàries fixes';
        $strings['ThisScheduleUsesACustomLayout'] = 'Aquesta programació utilitza franges horàries personalitzades';
        $strings['ThisScheduleUsesAStandardLayout'] = 'Aquesta programació utilitza franges horàries fixes';
        $strings['SwitchLayoutWarning'] = 'Esteu segur que voleu canviar el tipus de programació? Això eliminarà totes les franges horàries existents.';
        $strings['DeleteThisTimeSlot'] = 'Vols eliminar aquesta franja horària?';
        $strings['Refresh'] = 'Actualitza';
        $strings['ViewReservation'] = 'Mostra la reserva';
        $strings['PublicId'] = 'Identificador públic';
        $strings['Public'] = 'Públic';
        $strings['AtomFeedTitle'] = '%s reserves';
        $strings['DefaultStyle'] = 'Estil per defecte';
        $strings['Standard'] = 'Estàndard';
        $strings['StandardView'] = 'Vista estàndard';
        $strings['WideView'] = 'Vista àmplia';
        $strings['TallView'] = 'Vista alta';
        $strings['WeekView'] = 'Vista setmanal';
        $strings['EmailTemplate'] = 'Plantilla de correu electrònic';
        $strings['SelectEmailTemplate'] = 'Selecciona una plantilla de correu electrònic';
        $strings['ReloadOriginalContents'] = 'Torna a carregar el contingut original';
        $strings['UpdateEmailTemplateSuccess'] = 'Plantilla de correu electrònic actualitzada';
        $strings['UpdateEmailTemplateFailure'] = 'No s\'ha pogut actualitzar la plantilla de correu electrònic. Comproveu que el directori es pugui escriure.';
        $strings['BulkResourceDelete'] = 'Supressió massiva de recursos';
        $strings['NewVersion'] = 'Nova versió!';
        $strings['WhatsNew'] = 'Què hi ha de nou?';
        $strings['OnlyViewedCalendar'] = 'Aquesta programació només es pot veure des de la vista del calendari';
        $strings['Grid'] = 'Graella';
        $strings['List'] = 'Llista';
        $strings['NoReservationsFound'] = 'No s\'han trobat reserves';
        $strings['EmailReservation'] = 'Reserva per correu electrònic';
        $strings['AdHocMeeting'] = 'Reunió ad hoc';
        $strings['NextReservation'] = 'Següent reserva';
        $strings['MissedCheckin'] = 'Falta check-in';
        $strings['MissedCheckout'] = 'Falta check-out';
        $strings['Utilization'] = 'Ús';
        $strings['SpecificTime'] = 'Hora específica';
        $strings['ReservationSeriesEndingPreference'] = 'Quan s\'acaba la meva sèrie de reserves recurrents';
        $strings['NotAttending'] = 'No assisteixo';
        $strings['ViewAvailability'] = 'Mostra la disponibilitat';
        $strings['ReservationDetails'] = 'Detalls de la reserva';
        $strings['StartTime'] = 'Hora d\'inici';
        $strings['EndTime'] = 'Hora de finalització';
        $strings['New'] = 'Nou';
        $strings['Updated'] = 'Actualitzat';
        $strings['Custom'] = 'Personalitzat';
        $strings['AddDate'] = 'Afegeix una data';
        $strings['RepeatOn'] = 'Repeteix el';
        $strings['ScheduleConcurrentMaximum'] = 'Un total de <b>%s</b> recursos es poden reservar de forma concurrent';
        $strings['ScheduleConcurrentMaximumNone'] = 'No hi ha límit per al nombre de reserves concurrents de recursos';
        $strings['ScheduleMaximumConcurrent'] = 'Nombre màxim de reserves concurrents per recursos';
        $strings['ScheduleMaximumConcurrentNote'] = 'Quan estigui definit, el nombre total de recursos que es poden reservar de forma concurrent per a aquesta programació serà limitat.';
        $strings['ScheduleResourcesPerReservationMaximum'] = 'Cada reserva està limitada a un màxim de <b>%s</b> recursos';
        $strings['ScheduleResourcesPerReservationNone'] = 'No hi ha límit en el nombre de recursos per reserva';
        $strings['ScheduleResourcesPerReservation'] = 'Nombre màxim de recursos per reserva';
        $strings['ResourceConcurrentReservations'] = 'Permet %s reserves concurrents';
        $strings['AllowConcurrentReservations'] = 'Permet %s reserves concurrents';
        $strings['ResourceConcurrentReservationsNone'] = 'No permetre reserves concurrents';
        $strings['AllowConcurrentReservationsLabel'] = 'Permetre reserves concurrents';
        $strings['ResourceDisplayInstructions'] = 'No s\'ha seleccionat cap recurs. Podeu trobar l\'URL per mostrar un recurs a Gestió de l\'aplicació, Recursos. El recurs ha de ser accessible públicament.';
        $strings['Owner'] = 'Propietari';
        $strings['MaximumConcurrentReservations'] = 'Màxim de reserves concurrents';
        $strings['NotifyUsers'] = 'Notificar als usuaris';
        $strings['Message'] = 'Missatge';
        $strings['AllUsersWhoHaveAReservationInTheNext'] = 'Qualsevol persona amb una reserva a la següent';
        $strings['ChangeResourceStatus'] = 'Canvia l\'estat del recurs';
        $strings['UpdateGroupsOnImport'] = 'Actualitza el grup existent si el nom coincideix';
        $strings['GroupsImportInstructions'] = '<ul><li>El fitxer ha d\'estar en format CSV.</li><li>El nom és obligatori.</li><li>Les llistes de membres han de ser llistes de correus electrònics separades per comes. </li><li>Les llistes de membres buides quan actualitzeu grups deixaran els membres sense canvis.</li><li>Les llistes de permisos haurien de ser llistes de noms de recursos separades per comes.</li><li>Les llistes de permisos buides quan actualitzeu grups deixar els permisos sense canvis.</li><li>Utilitzeu la plantilla subministrada com a exemple.</li></ul>';
        $strings['PhoneRequired'] = 'El telèfon és obligatori';
        $strings['OrganizationRequired'] = 'L\'organització és necessària';
        $strings['PositionRequired'] = 'La posició és necessària';
        $strings['GroupMembership'] = 'Pertinença al grup';
        $strings['AvailableGroups'] = 'Grups disponibles';
        $strings['CheckingAvailabilityError'] = 'No es pot obtenir la disponibilitat dels recursos - massa recursos';
        $strings['ApiOnly'] = 'Només accés a l\'API';
        $strings['ApiOnlyDetails'] = 'Aquest usuari només podrà iniciar sessió mitjançant l\'API';
        $strings['PerReservation'] = 'per reserva';
        $strings['PerSlot'] = 'per franja horària';
        $strings['CreditsCalculated'] = 'Crèdits calculats';
        $strings['CreditsApplied'] = 'Aplicabilitat del crèdit';
        $strings['CreditsChargedBlockedSlots'] = 'Els crèdits es cobren per les franges horàries bloquejades';
        $strings['AllowReservationsToEndInBlockedSlots'] = 'Permetre que les reserves acabin en franges horàries bloquejades';
        $strings['ReservationsMustEndInAvailableSlots'] = 'Les reserves han d\'acabar en franges hoàries disponibles';
        $strings['Currently'] = 'Actualment';
        $strings['ResourceDisplay'] = 'Visualització de recursos';
        $strings['CopyToClipboard'] = 'Copia al porta-retalls';
        $strings['CopyEmbedCode'] = 'Copia el codi incrustat al porta-retalls';
        $strings['CopyRssLink'] = 'Copia l\'enllaç RSS al porta-retalls';
        $strings['CopyICalLink'] = 'Copia l\'enllaç iCalendar al porta-retalls';
        $strings['CopyToResourceDisplay'] = 'Copia l\'enllaç de visualització de recursos al porta-retalls';
        $strings['CopiedToClipboard'] = 'S\'ha copiat al porta-retalls';
        $strings['UseDefaultLabel'] = 'Utilitza l\'etiqueta predeterminada';
        $strings['SlotLabel'] = 'Etiqueta de la franja horària';
        $strings['ResourceRelationships'] = 'Relacions';
        $strings['MustBeBookedWith'] = 'S\'ha de reservar amb';
        $strings['CannotBeBookedWith'] = 'No es pot reservar amb';
        $strings['CannotBeBookedAtSameTime'] = 'No es pot reservar al mateix temps';
        $strings['UpdateAndSend'] = 'Actualitza i notifica';
        $strings['ResourceImageInstructions'] = 'Es permeten fins a 10 imatges (%sMB cadascuna). Només jpg, gif, png, svg. Arrossegueu per reordenar.';
        $strings['ViewFullSizeImage'] = 'Mostra la imatge a mida completa';
        $strings['Default'] = 'Per defecte';
        $strings['ResourceInformation'] = 'Informació del recurs';
        $strings['CopyId'] = 'Copia l\'ID al porta-retalls';
        $strings['PublicAccess'] = 'Accés públic';
        $strings['AllowPublicAccess'] = 'Permetre l\'accés públic';
        $strings['AddAllUsers'] = 'Afegeix tots els usuaris';
        $strings['ChangeAllAccess'] = 'Canvia tots els usuaris';
        $strings['ChangeAllGroupAccess'] = 'Canvia tots els grups';
        $strings['Reserve'] = 'Reserva';
        $strings['View'] = 'Vista';
        $strings['NoUsersHavePermission'] = 'Cap usuari té permís';
        $strings['RemoveAllPermissions'] = 'Elimina tots els permisos';
        $strings['RemovePermissions'] = 'Elimina els permisos';
        $strings['InheritPermissions'] = 'Eliminar i heretar permisos';
        $strings['ChangeUserAndGroupPermissions'] = 'Canviar els permisos d\'usuari i de grup';
        $strings['DateFilter'] = 'Filtre de data';
        $strings['Equals'] = 'Igual';
        $strings['GreaterThan'] = 'Més gran que';
        $strings['LessThan'] = 'Menys que';
        $strings['HasNoValue'] = 'No té valor';
        $strings['NoResourcesInstructions'] = "No tens cap recurs. Feu clic a Afegeix un recurs a dalt per afegir un recurs nou.<br/><br/>Podeu obtenir més informació sobre els recursos a Reservat <a href='{{resourceLink }}'>aquí</a>.<br/><br/>Novieu a Booked? Llegiu la nostra <a href='{{gettingStartedLink}}'>Guia d'iniciació</a>";
        $strings['AddMoreResources'] = 'Afegeix més recursos';
        $strings['AddMoreResourcesInfo'] = 'Mantingueu-vos en aquesta pàgina després d\'afegir un recurs';
        $strings['ResourceNameRequired'] = 'El nom del recurs és obligatori.';
        $strings['ResourceSuccessfullyAdded'] = 'S\'ha afegit {{resourceName}}.';
        $strings['ViewAsList'] = 'Mostra com a llista';
        $strings['ViewDetails'] = 'Mostra els detalls';
        $strings['DeleteItemModalTitle'] = 'Esborrar {{itemName}}?';
        $strings['Expand'] = 'Ampliar';
        $strings['Collapse'] = 'Redueix';
        $strings['DeleteMultiple'] = 'Suprimeix múltiples';
        $strings['DeleteMultipleModalTitle'] = 'Esborrar múltiples ({{count}})?';
        $strings['DeleteMultipleResourcesWarning'] = 'Això suprimirà permanentment tots els recursos que coincideixin amb el vostre filtre actual, inclòs';
        $strings['ExportAllResources'] = 'Exporta tots els recursos';
        $strings['ExportFilteredResources'] = 'Exporta els recursos filtrats';
        $strings['ExportResourceInstructions'] = 'Descarregueu un fitxer CSV que conté informació de recursos. Les dades exportades es poden tornar a importar per fer canvis massius.';
        $strings['ImportResourcesConfirm'] = 'Importa {{count}} recursos';
        $strings['NoResourceGroups'] = 'No hi ha grups de recursos';
        $strings['ShareCalendar'] = 'Comparteix el calendari';
        $strings['DoNotShareCalendar'] = 'No compartiu el calendari';
        $strings['BackToMainCalendar'] = 'Tornar al calendari principal';
        $strings['ReservationsFound'] = 'S\'han trobat %s reserves';
        $strings['DeleteAll'] = 'Suprimeix-ho tot';
        $strings['CopyResource'] = 'Copia el recurs';
        $strings['TermsAcceptedOn'] = 'acceptat el {{acceptDate}}';
        $strings['SpecificDates'] = 'Dates específiques';
        $strings['DateOfMonth'] = 'Data del mes';
        $strings['WeekOfMonth'] = 'Setmana del mes';
        $strings['Rules'] = 'Regles';
        $strings['ReservationMustBeBookedTogether'] = 'Aquests recursos s\'han de reservar junts';
        $strings['ReservationRequiredResourceNoPermission'] = 'No tens permís per a alguns dels recursos necessaris';
        $strings['AddRequiredResources'] = 'Afegeix els recursos necessaris';
        $strings['Rules'] = 'Regles';
        $strings['NoUpcomingReservations'] = 'No hi ha reserves properes';
        $strings['AddNewMonitorView'] = 'Afegeix una vista de monitor';
        $strings['UpdateMonitorView'] = 'Actualitza la vista del monitor';
        $strings['DeleteMonitorView'] = 'Suprimeix la vista del monitor';
        $strings['DeleteMonitorViewPrompt'] = 'Confirmeu que voleu suprimir <strong>{{viewName}}</strong>?';
        $strings['ReservationsToShow'] = 'Reserves per mostrar';
        $strings['AllUpcomingReservations'] = 'Totes les properes reserves';
        $strings['ASetNumberOfUpcomingReservations'] = 'Un nombre definit de properes reserves';
        $strings['AllReservationsWithinADateRange'] = 'Totes les reserves dins d\'un interval de dates';
        $strings['ASpecificSetOfReservations'] = 'Un conjunt específic de reserves';
        $strings['UpcomingDaysToShow'] = 'Pròxims dies per mostrar';
        $strings['UpcomingReservationsToShow'] = 'Properes reserves per mostrar';
        $strings['DisplayOptions'] = 'Opcions de visualització';
        $strings['Style'] = 'Estil';
        $strings['ScrollInterval'] = 'Interval de desplaçament (segons)';
        $strings['ShowReservations'] = 'Mostra les reserves';
        $strings['ShowLogo'] = 'Mostra el logotip';
        $strings['ShowDateAndTime'] = 'Mostra la data i l\'hora';
        $strings['HideAvailability'] = 'Amaga la disponibilitat';
        $strings['Invited'] = 'Convidat';
        $strings['SelectUserOrAddGuest'] = 'Seleccioneu usuari o afegiu convidat per correu electrònic';
        $strings['ReservationUploadInstructions'] = 'Pujar fitxers del tipus %s fins a %s';
        $strings['UploadFiles'] = 'Arrossegueu els fitxers aquí o feu clic per triar els fitxers per carregar';
        $strings['RetryReservationNotice'] = 'Pots tornar a provar aquesta reserva, saltant dates amb conflictes.';
        $strings['JoinWaitlistReservationNotice'] = 'Podeu unir-vos a una llista d\'espera per ser notificat si aquesta hora està disponible.';
        $strings['NewReservation'] = 'Nova reserva';
        $strings['ChangeReservation'] = 'Canvia la reserva';
        $strings['UpdateRecurringTitle'] = 'Actualitza la reserva';
        $strings['ParticipantRecurringNotice'] = 'Aquesta reserva forma part d\'una sèrie recurrent.';
        $strings['UpdateRecurringNotice'] = 'Aquesta reserva forma part d\'una sèrie recurrent. Quines instàncies de la sèrie t\'agradaria actualitzar?';
        $strings['DeleteReservationModalTitle'] = 'Suprimeix la reserva';
        $strings['DeleteRecurringNotice'] = 'Aquesta reserva forma part d\'una sèrie recurrent. Quines instàncies de la sèrie t\'agradaria suprimir?';
        $strings['RequiresApprovalNotice'] = 'Aquesta reserva requereix la teva aprovació.';
        $strings['AcceptInvitation'] = 'Accepta la invitació';
        $strings['DeclineInvitation'] = 'Rebutja la invitació';
        $strings['YouAreAlreadyParticipating'] = 'Ja estàs participant en aquesta reserva';
        $strings['JoinAsGuestNotice'] = 'Per unir-se a aquesta reserva com a convidat, heu de proporcionar la vostra adreça de correu electrònic';
        $strings['CancelThisInstance'] = 'Cancel·la aquesta instància';
        $strings['CancelSeries'] = 'Cancel·la la sèrie';
        $strings['DeclineThisInstance'] = 'Rebutja aquesta instància';
        $strings['DeclineSeries'] = 'Rebutja la sèrie';
        $strings['AcceptThisInstance'] = 'Accepta aquesta instància';
        $strings['AcceptSeries'] = 'Accepta la sèrie';
        $strings['JoinThisInstance'] = 'Uneix-te a aquesta instància';
        $strings['JoinSeries'] = 'Uneix-te a la sèrie';
        $strings['MultipleEmailInstructions'] = 'Podeu afegir diverses adreces de correu electrònic, separades per un espai o una coma';
        $strings['SendReservationAsEmail'] = 'Envia un correu electrònic ({{count}})';
        $strings['WithSpecificAttributeValues'] = 'Amb valors d\'atributs específics';
        $strings['ReferenceNumbers'] = 'Números de referència';
        $strings['Value'] = 'Valor';
        $strings['Ascending'] = 'Ascendant';
        $strings['Descending'] = 'Descendent';
        $strings['SortDirection'] = 'Direcció';
        $strings['SortBy'] = 'Ordenar per';
        $strings['LoadingCreditHistory'] = 'S\'està carregant l\'historial de crèdit';
        $strings['HeadingText'] = 'Text de l\'encapçalament';
        $strings['StartTimeIsInPast'] = 'L\'hora d\'inici és en el passat';
        $strings['GroupCredits'] = 'Crèdits';
        $strings['Replenish'] = 'Omplir';
        $strings['AddCredits'] = 'Afegeix crèdits';
        $strings['ReplenishCredits'] = 'Ofereix crèdits';
        $strings['AddCreditsEveryDays'] = 'Afegeix %s crèdits cada %s dies';
        $strings['AddCreditsDayOfMonth'] = 'Afegiu %s crèdits el dia %s de cada mes';
        $strings['AutomaticallyAddCredits'] = 'Afegeix crèdits automàticament per a tots els usuaris d\'aquest grup';
        $strings['AddCreditsToGroup'] = 'Afegeix crèdits a tots els usuaris d\'aquest grup';
        $strings['AddNumberCreditsToGroup'] = 'Afegeix %s crèdits a tots els usuaris d\'aquest grup';
        $strings['CreditsAddedByAdminNote'] = 'Crèdits afegits per l\'administrador';
        $strings['AutoReplenishCreditsNote'] = 'Crèdits reposats automàticament';
        $strings['Never'] = 'Mai';
        $strings['LastReplenished'] = 'Darrera reposició';
        $strings['ReservationsAutomaticallyExtended'] = 'Les reserves s\'amplien automàticament si el propietari no surt';
        $strings['ReservationsNotAutomaticallyExtended'] = 'Les reserves finalitzen si el propietari no surt';
        $strings['PasswordResetForced'] = 'Heu d\'actualitzar la vostra contrasenya';
        $strings['ForceChangePassword'] = 'Obligar l\'usuari a canviar la seva contrasenya la propera vegada que iniciï sessió';
        $strings['NotifyUserPasswordChange'] = 'Envia un correu electrònic a l\'usuari amb la nova contrasenya';
        $strings['NoScheduleAdminGroupsDefined'] = 'No s\'ha definit cap grup d\'administradors de programació';
        $strings['SecurityCheck'] = 'Comprovació de seguretat';
        $strings['SecurityCheckInstructions'] = 'Per a la vostra seguretat, hem de confirmar el vostre compte. Introduïu la contrasenya d\'un sol cop enviada a %s';
        $strings['OneTimePassCode'] = 'Codi d\'accés únic';
        $strings['ConfirmOTP'] = 'Confirmar la contrasenya';
        $strings['ResendCode'] = 'Envia una contrasenya nova';
        $strings['InvalidOtp'] = 'La contrasenya és incorrecta o ha caducat. Si us plau, torna-ho a provar o sol·licita una nova contrasenya única.';
        $strings['OtpResendMessage'] = 'Us hem enviat una nova contrasenya única. Aquest codi caduca en 10 minuts.';
        $strings['ResetPasswordInstructions'] = 'Si us plau, proporcioneu una contrasenya nova';
        $strings['ResendResetPassword'] = 'Torna a enviar l\'enllaç de restabliment';
        $strings['ResetPasswordError'] = 'Enllaç de restabliment de la contrasenya no vàlid. Els enllaços de restabliment de la contrasenya només són vàlids durant %s minuts.';
        $strings['SendResetLink'] = 'Envia l\'enllaç de restabliment';
        $strings['ConfirmResetPassword'] = 'La teva contrasenya s\'ha actualitzat. Si us plau, inicieu sessió amb la vostra nova contrasenya.';
        $strings['TransferReservationOwnership'] = 'Transferir la propietat';
        $strings['TransferTo'] = 'Transferir la propietat a';
        $strings['FutureReservations'] = 'Futures reserves';
        $strings['TransferOwnershipDeleteWarning'] = 'Pots transferir la propietat de la reserva per conservar aquestes reserves.';
        $strings['TransferReservationOwnershipNote'] = 'Transferir la propietat de la reserva a una altra persona.';
        $strings['AddFavoriteResource'] = 'Afegeix un recurs preferit';
        $strings['RemoveFavoriteResource'] = 'Elimina el recurs preferit';
        $strings['ReservationsCheckinLimitedToAdmin'] = 'Només els administradors poden entrar/sortir';
        $strings['ReservationDeleted'] = 'La teva reserva s\'ha suprimit';
        $strings['PermissionLevel'] = 'Nivell';
        $strings['Inherit'] = 'Heretar';
        $strings['NoGroupsHavePermission'] = 'Cap grup té permís';
        $strings['AddAllGroups'] = 'Afegeix tots els grups';
        $strings['NoColor'] = 'Sense color';
        $strings['UseDefault'] = 'Utilitza el valor predeterminat';
        $strings['MobileView'] = 'Vista mòbil';
        $strings['BetweenAnyTimes'] = 'Entre qualsevol moment';
        $strings['DeletingReservation'] = 'S\'està suprimint la reserva';
        $strings['ResourceAdminRequired'] = 'Es requereix un administrador de recursos.';
        $strings['ResourceTypes'] = 'Tipus de recursos';
        $strings['Enabled'] = 'Activat';
        $strings['CheckAvailability'] = 'Comprova la disponibilitat';
        $strings['ManageAvailableAppointments'] = 'Gestiona les cites disponibles';
        $strings['AddAvailableAppointmentTime'] = 'Afegeix hora de cita disponible';
        $strings['OnlyApplicableAccessories'] = 'Mostra només els accessoris que es poden reservar amb els meus recursos seleccionats';
        $strings['SelectThisAppointment'] = 'Seleccioneu aquesta hora de la cita';
        $strings['AppointmentTime'] = 'Hora de la cita';
        $strings['NoAvailableAppointments'] = 'No hi ha cites disponibles per a la data seleccionada. Si us plau, trieu una altra data.';
        $strings['NoAppointmentsOnDay'] = 'No hi ha Cites';
        $strings['BackDays'] = 'Darrers %s dies';
        $strings['ForwardDays'] = 'Propers %s dies';
        $strings['LastWeek'] = 'La setmana passada';
        $strings['ShowMultiResourceGrouped'] = 'Mostra les reserves de diversos recursos com a esdeveniment únic';
        $strings['MinimumParticipants'] = 'Participants mínims';
        $strings['NoMinimum'] = 'Sense mínims';
        $strings['PrintReservations'] = 'Imprimeix les reserves';
        $strings['Time'] = 'Hora';
        // End Strings

        // Install
        $strings['InstallApplication'] = 'Instal·la el programador reservat';
        $strings['IncorrectInstallPassword'] = 'Ho sentim, aquesta contrasenya era incorrecta.';
        $strings['SetInstallPassword'] = 'Heu d\'establir una contrasenya d\'instal·lació abans de poder executar la instal·lació.';
        $strings['InstallPasswordInstructions'] = 'A %s, si us plau, configureu %s amb una contrasenya aleatòria i difícil d\'endevinar, i després torneu a aquesta pàgina.<br/>Podeu utilitzar %s';
        $strings['NoUpgradeNeeded'] = 'La reserva està actualitzada. No es necessita cap actualització.';
        $strings['ProvideInstallPassword'] = 'Si us plau, proporcioneu la vostra contrasenya d\'instal·lació.';
        $strings['InstallPasswordLocation'] = 'Això es pot trobar a %s a %s.';
        $strings['VerifyInstallSettings'] = 'Verifiqueu la configuració predeterminada següent abans de continuar. O podeu canviar-los a %s.';
        $strings['DatabaseName'] = 'Nom de la base de dades';
        $strings['DatabaseUser'] = 'Usuari de la base de dades';
        $strings['DatabaseHost'] = 'Amfitrió de la base de dades';
        $strings['DatabaseCredentials'] = 'Heu de proporcionar les credencials d\'un usuari de MySQL que tingui privilegis per crear bases de dades. Si no ho sabeu, poseu-vos en contacte amb l\'administrador de la vostra base de dades. En molts casos, root funcionarà.';
        $strings['MySQLUser'] = 'Usuari de MySQL';
        $strings['InstallOptionsWarning'] = 'Les opcions següents probablement no funcionaran en un entorn allotjat. Si esteu instal·lant en un entorn allotjat, utilitzeu les eines de l\'assistent de MySQL per completar aquests passos.';
        $strings['CreateDatabase'] = 'Crear la base de dades';
        $strings['CreateDatabaseUser'] = 'Crea l\'usuari de la base de dades';
        $strings['PopulateExampleData'] = 'Importa dades de mostra. Crea un compte d\'administrador: admin/contrasenya i un compte d\'usuari: usuari/contrasenya';
        $strings['DataWipeWarning'] = 'Avís: Això esborrarà totes les dades existents';
        $strings['RunInstallation'] = 'Executar la instal·lació';
        $strings['UpgradeNotice'] = 'Esteu actualitzant de la versió <b>%s</b> a la versió <b>%s</b>';
        $strings['RunUpgrade'] = 'Executar l\'actualització';
        $strings['Executing'] = 'S\'està executant';
        $strings['StatementFailed'] = 'Ha fallat. Detalls:';
        $strings['SQLStatement'] = 'Declaració SQL:';
        $strings['ErrorCode'] = 'Codi d\'error:';
        $strings['ErrorText'] = 'Text d\'error:';
        $strings['InstallationSuccess'] = 'La instal·lació s\'ha completat correctament!';
        $strings['RegisterAdminUser'] = 'Registreu el vostre usuari administrador. Això és necessari si no heu importat les dades de mostra. Assegureu-vos que $conf[\'settings\'][\'allow.self.registration\'] = \'true\' al vostre fitxer %s.';
        $strings['LoginWithSampleAccounts'] = 'Si heu importat les dades de mostra, podeu iniciar sessió amb admin/contrasenya per a l\'usuari administrador o usuari/contrasenya per a l\'usuari bàsic.';
        $strings['InstalledVersion'] = 'Ara esteu executant la versió %s del programador reservat';
        $strings['InstallUpgradeConfig'] = 'Es recomana actualitzar el fitxer de configuració';
        $strings['InstallationFailure'] = 'Hi ha hagut problemes amb la instal·lació. Si us plau, corregiu-los i torneu a provar la instal·lació.';
        $strings['ConfigureApplication'] = 'Configura el programador reservat';
        $strings['ConfigUpdateSuccess'] = 'El vostre fitxer de configuració ja està actualitzat!';
        $strings['ConfigUpdateFailure'] = 'No hem pogut actualitzar automàticament el vostre fitxer de configuració. Si us plau, sobreescriu el contingut de config.php amb el següent:';
        $strings['ScriptUrlWarning'] = 'És possible que la vostra configuració <em>script.url</em> no sigui correcta. Actualment és <strong>%s</strong>, creiem que hauria de ser <strong>%s</strong>';
        // End Install

        // Errors
        $strings['LoginError'] = 'No hem pogut coincidir amb el vostre nom d\'usuari o contrasenya';
        $strings['ReservationFailed'] = 'No s\'ha pogut fer la teva reserva';
        $strings['MinNoticeError'] = 'Aquesta reserva requereix un avís previ. La data i l\'hora més primerenques que es poden reservar són %s.';
        $strings['MinNoticeErrorUpdate'] = 'El canvi d\'aquesta reserva requereix un avís previ. Les reserves abans de %s no es poden canviar.';
        $strings['MinNoticeErrorDelete'] = 'La supressió d\'aquesta reserva requereix un avís previ. No es permet suprimir reserves abans de %s.';
        $strings['MaxNoticeError'] = 'Aquesta reserva no es pot fer tan lluny en el futur. La darrera data i hora que es pot reservar és %s.';
        $strings['MinDurationError'] = 'Aquesta reserva ha de durar com a mínim %s.';
        $strings['MaxDurationError'] = 'Aquesta reserva no pot durar més de %s.';
        $strings['ConflictingAccessoryDates'] = 'No hi ha prou dels accessoris següents:';
        $strings['NoResourcePermission'] = 'No tens permís per accedir a un o més dels recursos sol·licitats.';
        $strings['ConflictingReservationDates'] = 'Hi ha reserves conflictives en les dates següents:';
        $strings['InstancesOverlapRule'] = 'Algunes instàncies de la sèrie de reserves se superposen:';
        $strings['StartDateBeforeEndDateRule'] = 'La data i l\'hora d\'inici han de ser anteriors a la data i l\'hora de finalització.';
        $strings['StartIsInPast'] = 'La data i l\'hora d\'inici no poden ser en el passat.';
        $strings['EmailDisabled'] = 'L\'administrador ha desactivat les notificacions per correu electrònic.';
        $strings['ValidLayoutRequired'] = 'S\'han de proporcionar franges horàries per a totes les 24 hores del dia que comencen i acaben a les 00:00.';
        $strings['CustomAttributeErrors'] = 'Hi ha problemes amb els atributs addicionals que heu proporcionat:';
        $strings['CustomAttributeRequired'] = '%s és un camp obligatori.';
        $strings['CustomAttributeInvalid'] = 'El valor proporcionat per a %s no és vàlid.';
        $strings['AttachmentLoadingError'] = 'Ho sentim, hi ha hagut un problema en carregar el fitxer sol·licitat.';
        $strings['InvalidAttachmentExtension'] = 'Només podeu carregar fitxers del tipus: %s';
        $strings['InvalidStartSlot'] = 'La data i l\'hora d\'inici sol·licitades no són vàlides.';
        $strings['InvalidEndSlot'] = 'La data i l\'hora de finalització sol·licitades no són vàlides.';
        $strings['MaxParticipantsError'] = '%s només pot donar suport a %s participants.';
        $strings['MinParticipantsError'] = '%s requereix com a mínim %s participants.';
        $strings['ReservationCriticalError'] = 'S\'ha produït un error crític en desar la vostra reserva. Si això continua, poseu-vos en contacte amb el vostre administrador del sistema.';
        $strings['InvalidStartReminderTime'] = 'L\'hora del recordatori d\'inici no és vàlida.';
        $strings['InvalidEndReminderTime'] = 'L\'hora del recordatori de finalització no és vàlida.';
        $strings['QuotaExceeded'] = 'S\'ha superat el límit de quota.';
        $strings['MultiDayRule'] = '%s no permet reserves entre dies.';
        $strings['MultiDayRuleAll'] = 'No es permeten reserves entre dies.';
        $strings['InvalidReservationData'] = 'Hi ha hagut problemes amb la vostra sol·licitud de reserva.';
        $strings['PasswordError'] = 'La contrasenya ha de contenir almenys %s lletres i com a mínim %s números.';
        $strings['PasswordErrorRequirements'] = 'La contrasenya ha de contenir una combinació d\'almenys %s lletres majúscules i minúscules i %s números.';
        $strings['NoReservationAccess'] = 'No tens permís per canviar aquesta reserva.';
        $strings['PasswordControlledExternallyError'] = 'La teva contrasenya està controlada per un sistema extern i no es pot actualitzar aquí.';
        $strings['AccessoryResourceRequiredErrorMessage'] = 'L\'accessori %s només es pot reservar amb els recursos %s';
        $strings['AccessoryMinQuantityErrorMessage'] = 'Heu de reservar com a mínim %s de l\'accessori %s';
        $strings['AccessoryMaxQuantityErrorMessage'] = 'No podeu reservar més de %s de l\'accessori %s';
        $strings['AccessoryResourceAssociationErrorMessage'] = 'L\'accessori \'%s\' no es pot reservar amb els recursos sol·licitats';
        $strings['NoResources'] = 'No heu afegit cap recurs.';
        $strings['ParticipationNotAllowed'] = 'No tens permís per unir-te a aquesta reserva.';
        $strings['ReservationCannotBeCheckedInTo'] = 'No es pot registrar aquesta reserva.';
        $strings['ReservationCannotBeCheckedOutFrom'] = 'Aquesta reserva no es pot retirar des de.';
        $strings['InvalidEmailDomain'] = 'Aquesta adreça de correu electrònic no és d\'un domini permès';
        $strings['TermsOfServiceError'] = 'Has d\'acceptar les Condicions del servei';
        $strings['UserNotFound'] = 'No s\'ha pogut trobar aquest usuari';
        $strings['ScheduleAvailabilityError'] = 'Aquesta programació està disponible entre %s i %s';
        $strings['ReservationNotFoundError'] = 'No s\'ha trobat la reserva';
        $strings['ReservationNotAvailable'] = 'Reserva no disponible';
        $strings['TitleRequiredRule'] = 'El títol de reserva és obligatori';
        $strings['DescriptionRequiredRule'] = 'La descripció de la reserva és necessària';
        $strings['WhatCanThisGroupManage'] = 'Què pot gestionar aquest grup?';
        $strings['ReservationParticipationActivityPreference'] = 'Quan algú s\'uneix o abandona la meva reserva';
        $strings['RegisteredAccountRequired'] = 'Només els usuaris registrats poden reservar reserves';
        $strings['InvalidNumberOfResourcesError'] = 'El nombre màxim de recursos que es poden reservar en una sola reserva és %s';
        $strings['ScheduleTotalReservationsError'] = 'Aquesta programació només permet reservar %s recursos simultàniament. Aquesta reserva violaria aquest límit en les dates següents:';
        $strings['UserConcurrentLimitError'] = 'Només podeu tenir %s reserves alhora. Aquesta reserva violaria aquest límit en les dates següents:';
        $strings['ResourceMustBeBookedWith'] = '%s s\'ha de reservar amb %s';
        $strings['ResourceCannotBeBookedWith'] = '%s no es pot reservar amb %s';
        $strings['ResourceCannotBeBookedAtSameTimeAs'] = '%s no es pot reservar al mateix temps que %s';
        $strings['ReservationCannotBeBookedTogether '] = 'Els recursos següents no es poden reservar junts';
        $strings['CorrectErrorsBelow'] = 'Si us plau, corregiu els errors següents';
        $strings['ResourceImageUploadError'] = 'No s\'ha pogut carregar la imatge. Comproveu el tipus i la mida.';
        $strings['ReservationUploadError'] = 'No s\'ha pogut carregar el fitxer. Comproveu el tipus i la mida.';
        $strings['PastAutoreleaseError'] = 'Aquesta reserva ha passat l\'hora d\'entrada i no es pot modificar.';
        $strings['CannotJoinReservation'] = 'No us podeu unir a aquesta reserva.';
        $strings['CannotDeclineReservation'] = 'No podeu rebutjar aquesta reserva.';
        $strings['WeHadTroubleProcessingYourRequest'] = 'Hem tingut problemes per processar la vostra sol·licitud.';
        $strings['NewPasswordCannotBeTheSameAsOld'] = 'La nova contrasenya no pot ser la mateixa que l\'antiga';
        $strings['ResourceQRScanFailed'] = 'El recurs no s\'ha pogut afegir. O el codi QR no és per a un recurs vàlid o no teniu permís per reservar aquest recurs.';
        $strings['AccessoryQRScanFailed'] = 'No s\'ha pogut afegir l\'accessori. O el codi QR no és per a un accessori vàlid o l\'accessori no es pot reservar.';
        $strings['TimezoneMismatchError'] = 'El vostre navegador està configurat en una zona horària diferent a la del vostre perfil. Això pot causar problemes amb els horaris de reserva.';
        $strings['AddResourceError'] = 'El recurs no té camps obligatoris';
        // End Errors

        // Page Titles
        $strings['CreateReservation'] = 'Nova reserva';
        $strings['EditReservation'] = 'Actualitza la reserva';
        $strings['LogIn'] = 'Iniciar sessió';
        $strings['ManageReservations'] = 'Reserves';
        $strings['AwaitingActivation'] = 'Esperant l\'activació';
        $strings['PendingApproval'] = 'Pendent d\'aprovació';
        $strings['ManageSchedules'] = 'Horaris';
        $strings['ManageResources'] = 'Recursos';
        $strings['ManageAccessories'] = 'Accessoris';
        $strings['ManageUsers'] = 'Usuaris';
        $strings['ManageGroups'] = 'Grups';
        $strings['ManageQuotas'] = 'Quotes';
        $strings['ManageBlackouts'] = 'Temps d\'apagada';
        $strings['MyDashboard'] = 'El meu tauler de control';
        $strings['ServerSettings'] = 'Configuració del servidor';
        $strings['Dashboard'] = 'Tauler de control';
        $strings['Help'] = 'Ajuda';
        $strings['Administration'] = 'Administració';
        $strings['About'] = 'Quant a';
        $strings['Bookings'] = 'Reserves';
        $strings['Schedule'] = 'Fer una reserva';
        $strings['Account'] = 'Compte';
        $strings['EditProfile'] = 'Edita el meu perfil';
        $strings['FindAnOpening'] = 'Troba una obertura';
        $strings['OpenInvitations'] = 'Invitacions obertes';
        $strings['ResourceCalendar'] = 'Calendari de recursos';
        $strings['Reservation'] = 'Nova reserva';
        $strings['Install'] = 'Instal·lació';
        $strings['ChangePassword'] = 'Canviar la contrasenya';
        $strings['MyAccount'] = 'El meu compte';
        $strings['Profile'] = 'Perfil';
        $strings['ApplicationManagement'] = 'Gestió de l\'aplicació';
        $strings['ForgotPassword'] = 'He oblidat la contrasenya';
        $strings['NotificationPreferences'] = 'Preferències de notificació';
        $strings['ManageAnnouncements'] = 'Anuncis';
        $strings['Responsibilities'] = 'Responsabilitats';
        $strings['GroupReservations'] = 'Reserves de grup';
        $strings['ResourceReservations'] = 'Reserves de recursos';
        $strings['Customization'] = 'Personalització';
        $strings['Attributes'] = 'Atributs';
        $strings['AccountActivation'] = 'Activació del compte';
        $strings['ScheduleReservations'] = 'Gestió de reserves';
        $strings['Reports'] = 'Informes';
        $strings['GenerateReport'] = 'Crea un informe nou';
        $strings['MySavedReports'] = 'Els meus informes desats';
        $strings['CommonReports'] = 'Informes comuns';
        $strings['ViewDay'] = 'Veure el dia';
        $strings['Group'] = 'Grup';
        $strings['ManageConfiguration'] = 'Configuració de l\'aplicació';
        $strings['LookAndFeel'] = 'Aparença';
        $strings['ManageResourceGroups'] = 'Grups de recursos';
        $strings['ManageResourceTypes'] = 'Tipus de recursos';
        $strings['ManageResourceStatus'] = 'Estats dels recursos';
        $strings['ReservationColors'] = 'Colors de reserva';
        $strings['SearchReservations'] = 'Cerca reserves';
        $strings['ManagePayments'] = 'Pagaments';
        $strings['ViewCalendar'] = 'Mostra el calendari';
        $strings['DataCleanup'] = 'Neteja de dades';
        $strings['ManageEmailTemplates'] = 'Gestiona les plantilles de correu electrònic';
        $strings['ManageMonitorViews'] = 'Visualitzacions del monitor';
        $strings['ConfirmAccount'] = 'Comprovació de seguretat';
        $strings['FirstLogin'] = 'Benvingut a Reservat!';
        $strings['ReservationsNav'] = 'Reserves';
        // End Page Titles

        // Day representations
        $strings['DaySundaySingle'] = 'G';
        $strings['DayMondaySingle'] = 'L';
        $strings['DayTuesdaySingle'] = 'T';
        $strings['DayWednesdaySingle'] = 'C';
        $strings['DayThursdaySingle'] = 'J';
        $strings['DayFridaySingle'] = 'V';
        $strings['DaySaturdaySingle'] = 'S';

        $strings['DaySundayAbbr'] = 'Dg';
        $strings['DayMondayAbbr'] = 'Dl';
        $strings['DayTuesdayAbbr'] = 'Dt';
        $strings['DayWednesdayAbbr'] = 'Dc';
        $strings['DayThursdayAbbr'] = 'Dj';
        $strings['DayFridayAbbr'] = 'Dv';
        $strings['DaySaturdayAbbr'] = 'Ds';
        // End Day representations

        // Email Subjects
        $strings['ReservationApprovedSubject'] = 'La teva reserva ha estat aprovada';
        $strings['ReservationCreatedSubject'] = 'S\'ha creat la teva reserva';
        $strings['ReservationUpdatedSubject'] = 'La teva reserva s\'ha actualitzat';
        $strings['ReservationDeletedSubject'] = 'La teva reserva s\'ha eliminat';
        $strings['ReservationCreatedAdminSubject'] = 'Notificació: S\'ha creat una reserva';
        $strings['ReservationUpdatedAdminSubject'] = 'Notificació: S\'ha actualitzat una reserva';
        $strings['ReservationDeleteAdminSubject'] = 'Notificació: S\'ha eliminat una reserva';
        $strings['ReservationApprovalAdminSubject'] = 'Notificació: La reserva requereix la vostra aprovació';
        $strings['ParticipantAddedSubject'] = 'Notificació de participació a la reserva';
        $strings['ParticipantDeletedSubject'] = 'Reserva eliminada';
        $strings['InviteeAddedSubject'] = 'Invitació de reserva';
        $strings['ResetPasswordRequest'] = 'Sol·licitud de restabliment de la contrasenya';
        $strings['ActivateYourAccount'] = 'Activeu el vostre compte';
        $strings['ReportSubject'] = 'El vostre informe sol·licitat (%s)';
        $strings['ReservationStartingSoonSubject'] = 'La reserva per a %s començarà aviat';
        $strings['ReservationEndingSoonSubject'] = 'La reserva per a %s finalitzarà aviat';
        $strings['UserAdded'] = 'S\'ha afegit un usuari nou';
        $strings['UserDeleted'] = 'El compte d\'usuari de %s ha estat suprimit per %s';
        $strings['GuestAccountCreatedSubject'] = 'Els detalls del vostre compte %s';
        $strings['AccountCreatedSubject'] = 'Els detalls del vostre compte %s';
        $strings['InviteUserSubject'] = '%s t\'ha convidat a unir-te a %s';
        $strings['ReservationApprovedSubjectWithResource'] = 'La reserva ha estat aprovada per a %s';
        $strings['ReservationCreatedSubjectWithResource'] = 'S\'ha creat una reserva per a %s';
        $strings['ReservationUpdatedSubjectWithResource'] = 'Reserva actualitzada per a %s';
        $strings['ReservationDeletedSubjectWithResource'] = 'S\'ha eliminat la reserva per a %s';
        $strings['ReservationCreatedAdminSubjectWithResource'] = 'Notificació: Reserva creada per a %s';
        $strings['ReservationUpdatedAdminSubjectWithResource'] = 'Notificació: Reserva actualitzada per a %s';
        $strings['ReservationDeleteAdminSubjectWithResource'] = 'Notificació: S\'ha eliminat la reserva per a %s';
        $strings['ReservationApprovalAdminSubjectWithResource'] = 'Notificació: La reserva per a %s requereix la vostra aprovació';
        $strings['ParticipantAddedSubjectWithResource'] = '%s t\'ha afegit a una reserva per a %s';
        $strings['ParticipantUpdatedSubjectWithResource'] = '%s ha actualitzat una reserva per a %s';
        $strings['ParticipantDeletedSubjectWithResource'] = '%s ha eliminat una reserva per a %s';
        $strings['InviteeAddedSubjectWithResource'] = '%s us ha convidat a una reserva per a %s';
        $strings['MissedCheckinEmailSubject'] = 'S\'ha perdut el registre de %s';
        $strings['ReservationShareSubject'] = '%s ha compartit una reserva per a %s';
        $strings['ReservationSeriesEndingSubject'] = 'La sèrie de reserves per a %s acaba el %s';
        $strings['ReservationParticipantAccept'] = '%s ha acceptat la teva invitació de reserva per a %s a %s';
        $strings['ReservationParticipantDecline'] = '%s ha rebutjat la teva invitació de reserva per a %s a %s';
        $strings['ReservationParticipantJoin'] = '%s s\'ha unit a la teva reserva per a %s a %s';
        $strings['ReservationAvailableSubject'] = '%s està disponible a %s';
        $strings['ResourceStatusChangedSubject'] = 'La disponibilitat de %s ha canviat';
        $strings['PasswordUpdatedByAdminSubject'] = 'La vostra contrasenya %s ha estat canviada';
        $strings['OneTimePasscodeSubject'] = 'La vostra contrasenya %s única';
        $strings['ReservationOwnershipChangedSubject'] = 'S\'han transferit les reserves';
        // End Email Subjects

        $this->Strings = $strings;

        return $this->Strings;
    }

    /**
     * @return array
     */
    protected function _LoadDays()
    {
        $days = array();

        /***
         * DAY NAMES
         * All of these arrays MUST start with Sunday as the first element
         * and go through the seven day week, ending on Saturday
         ***/
        // The full day name
        $days['full'] = array('Diumenge', 'Dilluns', 'Dimarts', 'Dimecres', 'Dijous', 'Divendres', 'Dissabte');
        // The three letter abbreviation
        $days['abbr'] = array('Dig', 'Dls', 'Dts', 'Dcs', 'Djs', 'Dvs', 'Dst');
        // The two letter abbreviation
        $days['two'] = array('Dg', 'Dl', 'Dm', 'Dc', 'Dj', 'Dv', 'Ds');
        // The one letter abbreviation
        $days['letter'] = array('G', 'L', 'T', 'C', 'J', 'V', 'S');

        $this->Days = $days;

        return $this->Days;
    }

    /**
     * @return array
     */
    protected function _LoadMonths()
    {
        $months = parent::_LoadMonths();

        /***
         * MONTH NAMES
         * All of these arrays MUST start with January as the first element
         * and go through the twelve months of the year, ending on December
         ***/
        // The full month name
        $months['full'] = array('Gener', 'Febrer', 'Març', 'Abril', 'Maig', 'Juny', 'Juliol', 'Agost', 'Setembre', 'Octubre', 'Novembre', 'Desembre');
        // The three letter month name
        $months['abbr'] = array('Gen', 'Feb', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Agt', 'Set', 'Oct', 'Nov', 'Des');

        $this->Months = $months;

        return $this->Months;
    }

    protected function _GetHtmlLangCode()
    {
        return 'ca';
    }
}
