<?php
/**
 * Copyright 2011-2023 Twinkle Toes Software, LLC
 */

require_once('en_gb.php');

class cz extends en_us
{
	/**
	 * @return array
	 */
	protected function _LoadDates()
	{
		$dates = array();

        $dates['general_date'] = 'j.n.Y';
        $dates['short_date'] = 'j.n.Y';
        $dates['general_datetime'] = 'j.n.Y H:i:s';
        $dates['short_datetime'] = 'j.n.Y H:i';
        $dates['schedule_daily'] = 'l, j.n.Y';
        $dates['reservation_email'] = 'j.n.Y  H:i';
        $dates['res_popup'] = 'j.n. H:i';
        $dates['res_popup_time'] = 'H:i';
        $dates['short_reservation_date'] = 'j.n.Y H:i';
        $dates['dashboard'] = 'j.n. H:i';
        $dates['period_time'] = 'H:i';
        $dates['timepicker'] = 'H:i';
        $dates['mobile_reservation_date'] = 'j.n. H:i';
        $dates['general_date_js'] = 'd.m.yy';
        $dates['general_time_js'] = 'h:mm tt';
        $dates['timepicker_js'] = 'H:i';
        $dates['momentjs_datetime'] = 'D.M.YY hh:mm';
        $dates['calendar_time'] = 'h:mma';
        $dates['calendar_dates'] = 'j.n.';
        $dates['embedded_date'] = 'j.n.';
        $dates['embedded_time'] = 'H:i';
        $dates['embedded_datetime'] = 'j.n. H:i';
        $dates['report_date'] = '%d.%m.';
        $dates['react_date'] = 'dd.MM.yyyy';
        $dates['react_time'] = 'HH:mm';
        $dates['react_datetime'] = 'dd.MM.yyyy HH:mm';
        $dates['monitor_date'] = 'j.n.Y';
        $dates['monitor_time'] = 'H:i';
        $dates['monitor_event_date'] = 'j.n.';
        $dates['monitor_event_time'] = 'H:i';
        $dates['sms_datetime'] = 'j.n. H:i';

		$this->Dates = $dates;

		return $this->Dates;
	}

	/**
	 * @return array
	 */
	protected function _LoadStrings()
	{
		$strings = parent::_LoadStrings();

        $strings['FirstName'] = 'Jméno';
        $strings['LastName'] = 'Příjmení';
        $strings['Timezone'] = 'Časová zóna';
        $strings['Edit'] = 'Upravit';
        $strings['Change'] = 'Změnit';
        $strings['Rename'] = 'Přejmenovat';
        $strings['Remove'] = 'Odstranit';
        $strings['Delete'] = 'Smazat';
        $strings['Update'] = 'Uložit';
        $strings['Cancel'] = 'Zrušit';
        $strings['Add'] = 'Přidat';
        $strings['Name'] = 'Název';
        $strings['Yes'] = 'Ano';
        $strings['No'] = 'Ne';
        $strings['FirstNameRequired'] = 'Jméno je povinné.';
        $strings['LastNameRequired'] = 'Příjmení je povinné.';
        $strings['PwMustMatch'] = 'Hesla se neshodují.';
        $strings['ValidEmailRequired'] = 'Platná e-mailová adresa je povinná.';
        $strings['UniqueEmailRequired'] = 'Tato e-mailová adresa je již v systému zaregistrována.';
        $strings['UniqueUsernameRequired'] = 'Toto uživatelské jméno je již v systému zaregistrované.';
        $strings['UserNameRequired'] = 'Uživatelské jméno je povinné.';
        $strings['CaptchaInvalid'] = 'Ověření pomocí captcha selhalo.';
        $strings['Today'] = 'Dnes';
        $strings['Week'] = 'Týden';
        $strings['Month'] = 'Měsíc';
        $strings['BackToCalendar'] = 'Zpět do kalendáře';
        $strings['BeginDate'] = 'Začátek';
        $strings['EndDate'] = 'Konec';
        $strings['Username'] = 'Uživatelské jméno';
        $strings['Password'] = 'Heslo';
        $strings['PasswordConfirmation'] = 'Potvrdit heslo';
        $strings['DefaultPage'] = 'Výchozí hlavní stránka';
        $strings['MyCalendar'] = 'Můj kalendář';
        $strings['ScheduleCalendar'] = 'Plánovací kalendář';
        $strings['Registration'] = 'Registrace';
        $strings['NoAnnouncements'] = 'Nejsou žádná oznámení';
        $strings['Announcements'] = 'Oznámení';
        $strings['NoUpcomingReservations'] = 'Nyní nemáte žádné naplánované rezervace.';
        $strings['UpcomingReservations'] = 'Vaše naplánované rezervace';
        $strings['AllNoUpcomingReservations'] = 'V následujících %s dnech nejsou naplánovány žádné rezervace.';
        $strings['AllUpcomingReservations'] = 'Všechny naplánované rezervace.';
        $strings['ShowHide'] = 'Zobrazit/skrýt';
        $strings['Error'] = 'Chyba';
        $strings['ReturnToPreviousPage'] = 'Vrátit se zpět na předchozí stránku';
        $strings['UnknownError'] = 'Neznámá chyba';
        $strings['InsufficientPermissionsError'] = 'Pro přístup k tomuto zdroji nemáte oprávnění';
        $strings['MissingReservationResourceError'] = 'Zdroj nebyl vybrán';
        $strings['MissingReservationScheduleError'] = 'Nebyl vybrán žádný rozvrh';
        $strings['DoesNotRepeat'] = 'Neopakovat';
        $strings['Daily'] = 'Denně';
        $strings['Weekly'] = 'Týdně';
        $strings['Monthly'] = 'Měsíčně';
        $strings['Yearly'] = 'Ročně';
        $strings['RepeatPrompt'] = 'Opakování';
        $strings['hours'] = 'hodin';
        $strings['days'] = 'dnů';
        $strings['weeks'] = 'týdnů';
        $strings['months'] = 'měsíců';
        $strings['years'] = 'let';
        $strings['day'] = 'den';
        $strings['week'] = 'Týden';
        $strings['month'] = 'Měsíc';
        $strings['year'] = 'rok';
        $strings['repeatDayOfMonth'] = 'den v měsíci';
        $strings['repeatDayOfWeek'] = 'den v týdnu';
        $strings['RepeatUntilPrompt'] = 'konec opakované rezervace';
        $strings['RepeatEveryPrompt'] = 'každý';
        $strings['RepeatDaysPrompt'] = 'Opakovat v dny';
        $strings['CreateReservationHeading'] = 'Nová rezervace';
        $strings['EditReservationHeading'] = 'Úprava rezervace: %s';
        $strings['ViewReservationHeading'] = 'Zobrazit rezervaci: %s';
        $strings['ReservationErrors'] = 'Změnit rezervaci';
        $strings['Create'] = 'Vytvořit';
        $strings['ThisInstance'] = 'jen v tomto případě';
        $strings['AllInstances'] = 'na všechna opakování';
        $strings['FutureInstances'] = 'jen do budoucna';
        $strings['Print'] = 'Tisknout';
        $strings['ShowHideNavigation'] = 'zobrazit/skrýt navigaci';
        $strings['ReferenceNumber'] = 'Referenční číslo';
        $strings['Tomorrow'] = 'Zítra';
        $strings['LaterThisWeek'] = 'Později v tomtu týdnu';
        $strings['NextWeek'] = 'Následující týden';
        $strings['SignOut'] = 'Odhlásit se';
        $strings['LayoutDescription'] = 'Začátek %s, zobrazeno %s dnů';
        $strings['AllResources'] = 'Všechny zdroje';
        $strings['TakeOffline'] = 'Vypnout';
        $strings['BringOnline'] = 'Zapnout';
        $strings['AddImage'] = 'Přidat obrázek';
        $strings['NoImage'] = 'Žádný obrázek';
        $strings['Move'] = 'Přesunout';
        $strings['AppearsOn'] = 'Objeví se na %s';
        $strings['Location'] = 'Umístění';
        $strings['NoLocationLabel'] = '(umístění nenastaveno)';
        $strings['Contact'] = 'Kontakt';
        $strings['NoContactLabel'] = '(kontakt nenastaven)';
        $strings['Description'] = 'Popis';
        $strings['NoDescriptionLabel'] = '(bez popisku)';
        $strings['Notes'] = 'Poznámky';
        $strings['NoNotesLabel'] = '(bez poznámek)';
        $strings['NoTitleLabel'] = '(bez názvu)';
        $strings['UsageConfiguration'] = 'Použít konfiguraci';
        $strings['ChangeConfiguration'] = 'Změnit konfiguraci';
        $strings['ResourceMinLength'] = 'Rezervace musí trvat nejméně <strong>%s</strong>';
        $strings['ReservationsMustLastAtLeast'] = 'Rezervace musí trvat nejméně';
        $strings['ResourceMinLengthNone'] = 'Neexistuje <strong>žádná minimální</strong> doba rezervace';
        $strings['ResourceMaxLength'] = 'Rezervace nesmí trvat déle než <strong>%s</strong>';
        $strings['ReservationsCannotLastMoreThan'] = 'Rezervace nesmí trvat déle než';
        $strings['ResourceMaxLengthNone'] = 'Neexistuje <strong>žádná maximální</strong> doba rezervace';
        $strings['ResourceRequiresApproval'] = 'Rezervace <strong>musí</strong> být schváleny';
        $strings['ResourceRequiresApprovalNone'] = 'Rezervace <strong>není třeba</strong> schvalovat';
        $strings['ResourcePermissionAutoGranted'] = 'Právo přístupu <strong>je</strong> automaticky uděleno';
        $strings['ResourcePermissionNotAutoGranted'] = 'Právo přístupu <strong>není</strong> uděleno automaticky';
        $strings['ResourceMinNotice'] = 'Rezervace musí být vytvořena nejpozději <strong>%s</strong> před jejím počátkem';
        $strings['ResourceAdvanceNoticeCreate'] = 'ochranná lhůta pro nové rezervace';
        $strings['ResourceMinNoticeNone'] = 'Rezervace mohou být vytvářeny až do současnosti';
        $strings['ResourceMinNoticeUpdate'] = 'Rezervace může být upravena nejpozději <strong>%s</strong> před začátkem';
        $strings['ResourceMinNoticeNoneUpdate'] = 'Rezervace může být upravena <strong>kdykoliv</strong> před začátkem';
        $strings['ResourceAdvanceNoticeUpdate'] = 'ochranná lhůta pro úpravu rezervace';
        $strings['ResourceMinNoticeDelete'] = 'Rezervace může být smazána nejpozději <strong>%s</strong> před začátkem';
        $strings['ResourceMinNoticeNoneDelete'] = 'Rezervace může být smazána kdykoliv před začátkem';
        $strings['ResourceAdvanceNoticeDelete'] = 'ochranná lhůta pro smazání rezervace';
        $strings['ResourceMaxNoticeEnd'] = 'nejzazší doba konce nové rezervace';
        $strings['ResourceMaxNotice'] = 'Rezervace nesmí končit později než <strong>%s</strong> od současnosti';
        $strings['ResourceMaxNoticeNone'] = 'Rezervace může skončit <strong>kdykoliv</strong> v budoucnu';
        $strings['ResourceBufferTime'] = 'Mezi rezervacemi musí být přestávka %s';
        $strings['BetweenReservationsThereMustBeAtLeast'] = 'Mezi rezervaceni musí být přestávka alespoň';
        $strings['ResourceBufferTimeNone'] = 'Mezi rezervacemi <strong>není</strong> přestávka';
        $strings['ResourceAllowMultiDay'] = 'Rezervace <strong>může</strong> přesáhnout do dalšího dne';
        $strings['ResourceNotAllowMultiDay'] = 'Rezervace <strong>nesmí</strong> přesáhnout do dalšího dne';
        $strings['ResourceCapacity'] = 'Tento zdroj má omezenou kapacitu na <strong>%s</strong> osob';
        $strings['ResourceCapacityNone'] = 'Tento zdroj má <strong>neomezenou</strong> kapacitu';
        $strings['AddNewResource'] = 'Přidat nový zdroj';
        $strings['AddNewUser'] = 'Přidat nového uživatele';
        $strings['AddResource'] = 'Přidat zdroj';
        $strings['Capacity'] = 'Kapacita';
        $strings['Access'] = 'Přístup';
        $strings['Duration'] = 'Trvání';
        $strings['Active'] = 'Aktivní';
        $strings['Inactive'] = 'Neaktivní';
        $strings['ResetPassword'] = 'Obnovit heslo';
        $strings['LastLogin'] = 'Poslední přihlášení';
        $strings['Search'] = 'Hledání';
        $strings['ResourcePermissions'] = 'Oprávnění ke zdrojům';
        $strings['Reservations'] = 'Rezervace';
        $strings['Groups'] = 'Skupiny';
        $strings['Users'] = 'Uživatelé';
        $strings['AllUsers'] = 'Všichni uživatelé';
        $strings['AllGroups'] = 'Všechny skupiny';
        $strings['AllSchedules'] = 'Všechny rozvrhy';
        $strings['UsernameOrEmail'] = 'Login';
        $strings['Members'] = 'Členové';
        $strings['QuickSlotCreationTimes'] = 'Vytvoř termíny každých %s minut mezi';
        $strings['ApplyUpdatesTo'] = 'Aplikovat úpravu';
        $strings['CancelParticipation'] = 'Zrušit účast';
        $strings['Attending'] = 'Účast';
        $strings['QuotaConfigurationInterval'] = 'Pro rozvrh %s a zdroj %s platí pro uživatele ve skupině %s omezení na %s %s každý(ch) %s %s';
        $strings['QuotaEnforcement'] = 'Vynuceno %s %s';
        $strings['reservations'] = 'Rezervace';
        $strings['reservation'] = 'rezervace';
        $strings['ChangeCalendar'] = 'Změnit kalendář';
        $strings['AddQuota'] = 'Přdat kvótu';
        $strings['FindUser'] = 'Najít uživatele';
        $strings['Created'] = 'Vytvořeno';
        $strings['LastModified'] = 'Poslední úprava';
        $strings['GroupName'] = 'Název skupiny';
        $strings['GroupMembers'] = 'Členové skupiny';
        $strings['GroupRoles'] = 'Role skupiny';
        $strings['GroupAdmin'] = 'Administrátor skupiny';
        $strings['Actions'] = 'Akce';
        $strings['CurrentPassword'] = 'Současné heslo';
        $strings['NewPassword'] = 'Nové heslo';
        $strings['InvalidPassword'] = 'Bylo chybně zadáno současné heslo.';
        $strings['PasswordChangedSuccessfully'] = 'Vaše nové heslo bylo úspěšně nastaveno';
        $strings['SignedInAs'] = 'Přihlášen jako';
        $strings['NotSignedIn'] = 'Nejste přihlášen';
        $strings['ReservationTitle'] = 'Název rezervace';
        $strings['ReservationDescription'] = 'Popis rezervace';
        $strings['ResourceList'] = 'Zdroje k rezervaci';
        $strings['Accessories'] = 'Příslušenství';
        $strings['InvitationList'] = 'Pozvaní';
        $strings['AccessoryName'] = 'Název příslušenství';
        $strings['QuantityAvailable'] = 'Dostupné množství';
        $strings['Resources'] = 'Zdroje';
        $strings['Participants'] = 'Účastníci';
        $strings['User'] = 'Uživatel';
        $strings['Resource'] = 'Zdroj';
        $strings['Status'] = 'Stav';
        $strings['Approve'] = 'Schválit';
        $strings['Page'] = 'Strana';
        $strings['Rows'] = 'Řádky';
        $strings['Unlimited'] = 'neomezeno';
        $strings['Email'] = 'E-mail';
        $strings['EmailAddress'] = 'E-mailová adresa';
        $strings['Phone'] = 'Telefon';
        $strings['Organization'] = 'Organizace';
        $strings['Position'] = 'Pozice';
        $strings['Language'] = 'Jazyk';
        $strings['Permissions'] = 'Oprávnění';
        $strings['Reset'] = 'Reset';
        $strings['FindGroup'] = 'Najít skupinu';
        $strings['Manage'] = 'Spravovat';
        $strings['None'] = 'Žádné';
        $strings['AddToOutlook'] = 'Přidat do kalendáře';
        $strings['Done'] = 'Hotovo';
        $strings['RememberMe'] = 'Přihlásit se trvale';
        $strings['FirstTimeUser?'] = 'Nemáte zde založený účet?';
        $strings['CreateAnAccount'] = 'Registrovat se';
        $strings['ViewSchedule'] = 'Zobrazit rozvrh';
        $strings['ForgotMyPassword'] = 'Zapomenuté heslo';
        $strings['YouWillBeEmailedPasswordInstructions'] = 'Instrukce pro změnu hesla vám budou zaslány e-mailem';
        $strings['Close'] = 'Zavřít';
        $strings['ExportToCSV'] = 'Exportovat do souboru CSV';
        $strings['OK'] = 'Odeslat';
        $strings['Working'] = 'Načítám…';
        $strings['Login'] = 'Přihlášení';
        $strings['AdditionalInformation'] = 'Další informace.';
        $strings['AllFieldsAreRequired'] = 'Všechna pole jsou povinná';
        $strings['Optional'] = 'Nepovinné';
        $strings['YourProfileWasUpdated'] = 'Váš profil by aktualizován.';
        $strings['YourSettingsWereUpdated'] = 'Vaše nastavení byla uložena';
        $strings['Register'] = 'Registrovat';
        $strings['SecurityCode'] = 'Bezpečnostní kód';
        $strings['PreferenceSendEmail'] = 'Oznámit e-mailem';
        $strings['PreferenceNoEmail'] = 'Neoznamovat';
        $strings['ReservationCreated'] = 'Rezervace byla vytvořena.';
        $strings['ReservationUpdated'] = 'Rezervace byla upravena.';
        $strings['ReservationRemoved'] = 'Rezervace byla odstraněna.';
        $strings['ReservationRequiresApproval'] = 'Jedna nebo více rezervací vyžadují schválení. Do té doby budou označeny jako nevyřízené.';
        $strings['YourReferenceNumber'] = 'Referenční číslo: %s';
        $strings['ChangeUser'] = 'Změnit uživatele';
        $strings['MoreResources'] = 'Další zdroje';
        $strings['ReservationLength'] = 'Délka rezervace';
        $strings['ParticipantList'] = 'Seznam účastníků';
        $strings['AddParticipants'] = 'Přidat účasníka';
        $strings['InviteOthers'] = 'Pozvat ostatní';
        $strings['AddResources'] = 'Přidat zdroje';
        $strings['AddAccessories'] = 'Přidat příslušenství';
        $strings['Accessory'] = 'Příslušenství';
        $strings['QuantityRequested'] = 'Požadované množství';
        $strings['CreatingReservation'] = 'Vytváření rezervace';
        $strings['UpdatingReservation'] = 'Úprava rezervace';
        $strings['DeleteWarning'] = 'Tato akce je trvalá a nelze ji vrátit zpět!';
        $strings['DeleteAccessoryWarning'] = 'Při odstranění tohoto příslušenství jej odstraníte také ze všech rezervací.';
        $strings['AddAccessory'] = 'Přidat příslušenství';
        $strings['AddBlackout'] = 'Přidat dobu uzavření';
        $strings['AllResourcesOn'] = 'všechny zdroje v rozvrhu';
        $strings['Reason'] = 'Odůvodnění';
        $strings['BlackoutShowMe'] = 'Zobrazit rezervace, které jsou v konfliktu s uzavřením';
        $strings['BlackoutDeleteConflicts'] = 'Odstranit rezervace, které jsou v konfliktu s uzavřením';
        $strings['Filter'] = 'Filtr';
        $strings['Between'] = 'Mezi';
        $strings['CreatedBy'] = 'Vytvořil/a';
        $strings['BlackoutCreated'] = 'Doba uzavření byla nastavena.';
        $strings['BlackoutNotCreated'] = 'Doba uzavření nemohla být nastavena';
        $strings['BlackoutUpdated'] = 'Doba uzavření byla upravena.';
        $strings['BlackoutNotUpdated'] = 'Doba uzavření nemohla být upravena';
        $strings['BlackoutConflicts'] = 'Čas uzavření provozu je v konfliktu s jinými časem uzavření';
        $strings['ReservationConflicts'] = 'Čas uzavření provozu je v konfliktu s časem rezervací';
        $strings['UsersInGroup'] = 'Uživatelé v této skupině';
        $strings['Browse'] = 'Prohledat';
        $strings['DeleteGroupWarning'] = 'Odstraněním této skupiny budou odstraněny všechny související oprávnění ke zdrojům. Uživatelé v této skupině mohou přijít o přístup ke zdrojům.';
        $strings['WhatRolesApplyToThisGroup'] = 'Jaká role se vztahuje k této skupině?';
        $strings['WhoCanManageThisGroup'] = 'Kdo může spravovat tuto skupinu?';
        $strings['WhoCanManageThisSchedule'] = 'Kdo může spravovat tento rozvrh?';
        $strings['AllQuotas'] = 'Všechny kvóty';
        $strings['QuotaReminder'] = 'Nezapomeňte: Kvóty se uplatňují na základě nastavení časového pásma.';
        $strings['AllReservations'] = 'Všechny rezervace';
        $strings['PendingReservations'] = 'Nevyřízené rezervace';
        $strings['Approving'] = 'Schvalování';
        $strings['MoveToSchedule'] = 'Přesunout do rozvrhu';
        $strings['DeleteResourceWarning'] = 'Odstraněním tohoto zdroje vymažete všechna související data včetně';
        $strings['DeleteResourceWarningReservations'] = 'všech minulých, současných a budoucích rezervací s ním spojených.';
        $strings['DeleteResourceWarningPermissions'] = 'všech přiřazených povolení.';
        $strings['DeleteResourceWarningReassign'] = 'Prosím přeřaďte cokoli, co nechcete, aby bylo vymazáno.';
        $strings['ScheduleLayout'] = 'Časový plán (časy v %s)';
        $strings['ReservableTimeSlots'] = 'Rezervovatelné termíny';
        $strings['BlockedTimeSlots'] = 'Nedostupné termíny';
        $strings['ThisIsTheDefaultSchedule'] = 'Výchozí rozvrh';
        $strings['DefaultScheduleCannotBeDeleted'] = 'Výchozí rozvrh nemůže být smazán';
        $strings['MakeDefault'] = 'Nastavit jako výchozí';
        $strings['BringDown'] = 'Snížit';
        $strings['ChangeLayout'] = 'Změnit rozvržení';
        $strings['AddSchedule'] = 'Přidat rozvrh';
        $strings['StartsOn'] = 'Začátek';
        $strings['NumberOfDaysVisible'] = 'Počet zobrazených dnů';
        $strings['UseSameLayoutAs'] = 'Použít stejný časový plán jako v rozvrhu';
        $strings['Format'] = 'Formát';
        $strings['OptionalLabel'] = 'Nepovinný popisek';
        $strings['LayoutInstructions'] = 'Vložte každý termín na jeden řádek. Termíny musí být rozplánovány na celý den od 0:00 do 24:00.';
        $strings['AddUser'] = 'Přidat uživatele';
        $strings['UserPermissionInfo'] = 'Skutečná práva přístupu ke zdroji mohou být jiná v závislosti na roli uživatele, právech skupiny nebo externím nastavení oprávnění';
        $strings['DeleteUserWarning'] = 'Po odstranění tohoto uživatele odstraníte také jeho všechny současné, budoucí a minulé rezervace.';
        $strings['AddAnnouncement'] = 'Přidat oznámení';
        $strings['Announcement'] = 'Oznámení';
        $strings['Priority'] = 'Priorita';
        $strings['Reservable'] = 'Volné';
        $strings['Unreservable'] = 'Zavřeno';
        $strings['Reserved'] = 'Rezervováno';
        $strings['MyReservation'] = 'Mé rezervace';
        $strings['Pending'] = 'Před schválením';
        $strings['Past'] = 'Minulé';
        $strings['Restricted'] = 'Omezené';
        $strings['ViewAll'] = 'Zobrazit vše';
        $strings['MoveResourcesAndReservations'] = 'Přesunout zdroje a rezervace do';
        $strings['TurnOffSubscription'] = 'Vypnout možnost přihlášení se ke kalendáři';
        $strings['TurnOnSubscription'] = 'Povolit možnost přihlášení se ke kalendáři';
        $strings['SubscribeToCalendar'] = 'Přihlášit se ke kalendáři';
        $strings['SubscriptionsAreDisabled'] = 'Přihlášení ke kalendáři není povoleno';
        $strings['NoResourceAdministratorLabel'] = '(Zádný administrátor zdroje)';
        $strings['WhoCanManageThisResource'] = 'Kdo může spravovat tyto zdroje?';
        $strings['ResourceAdministrator'] = 'Administrátor zdroje';
        $strings['Private'] = 'Soukromé';
        $strings['Accept'] = 'Potvrdit';
        $strings['Decline'] = 'Zamítnout';
        $strings['ShowFullWeek'] = 'Zobrazit celý týden';
        $strings['CustomAttributes'] = 'Uživatelské atributy';
        $strings['AddAttribute'] = 'Přidat atribut';
        $strings['EditAttribute'] = 'Upravit atribut';
        $strings['DisplayLabel'] = 'Zobrazit popisek';
        $strings['Type'] = 'Typ';
        $strings['Required'] = 'Povinné';
        $strings['ValidationExpression'] = 'Oveření výrazu';
        $strings['PossibleValues'] = 'Možnosti';
        $strings['SingleLineTextbox'] = 'Jednořádkové textové pole';
        $strings['MultiLineTextbox'] = 'Víceřádkové textové pole';
        $strings['Checkbox'] = 'Zaškrtávací box';
        $strings['SelectList'] = 'Výběr z nabídky';
        $strings['CommaSeparated'] = 'oddělujte čárkou';
        $strings['Category'] = 'Kategorie';
        $strings['CategoryReservation'] = 'Rezervace';
        $strings['CategoryGroup'] = 'Skupina';
        $strings['SortOrder'] = 'Pořadí';
        $strings['Title'] = 'Nadpis';
        $strings['AdditionalAttributes'] = 'Další atributy';
        $strings['True'] = 'Ano';
        $strings['False'] = 'Ne';
        $strings['ResetPasswordEmailSent'] = 'Pokud tato e-mailová adresa existuje, dostanete e-mailem instrukce k novému nastavení hesla. Požadavek vyprší za 30 minut';
        $strings['ActivationEmailSent'] = 'Brzy obdržíte aktivační e-mail.';
        $strings['AccountActivationError'] = 'Omlouváme se, váš účet nemohl být aktivován.';
        $strings['Attachments'] = 'Přílohy';
        $strings['AttachFile'] = 'Příloha';
        $strings['Maximum'] = 'limit';
        $strings['NoScheduleAdministratorLabel'] = 'Žádný administrátor rozvrhu';
        $strings['ScheduleAdministrator'] = 'Administrátor rozvrhu';
        $strings['Total'] = 'Celkem';
        $strings['QuantityReserved'] = 'Rezervované množství';
        $strings['AllAccessories'] = 'Všechno příslušenství';
        $strings['GetReport'] = 'Zobrazit report';
        $strings['NoResultsFound'] = 'Nenalezena žádná shoda';
        $strings['SaveThisReport'] = 'Uložit report';
        $strings['ReportSaved'] = 'Report uložen!';
        $strings['EmailReport'] = 'Zaslat report e-mailem';
        $strings['ReportSent'] = 'Report odeslán e-mailem!';
        $strings['RunReport'] = 'Generovat report';
        $strings['NoSavedReports'] = 'Nemáte uložen žádný report.';
        $strings['CurrentWeek'] = 'Tento týden';
        $strings['CurrentMonth'] = 'Tento měsíc';
        $strings['AllTime'] = 'Za celou dobu';
        $strings['FilterBy'] = 'Filtrovat podle';
        $strings['Select'] = 'Výběr';
        $strings['List'] = 'Seznam';
        $strings['TotalTime'] = 'Celkový čas';
        $strings['Count'] = 'Počet';
        $strings['Usage'] = 'Užití';
        $strings['AggregateBy'] = 'Seskupit podle';
        $strings['Range'] = 'Rozsah';
        $strings['Choose'] = 'Výběr';
        $strings['All'] = 'Vše';
        $strings['ViewAsChart'] = 'Zobrazit jako tabulku';
        $strings['ReservedResources'] = 'Rezervované zdroje';
        $strings['ReservedAccessories'] = 'Rezervované příslušenství';
        $strings['ResourceUsageTimeBooked'] = 'Využití zdroje - celková doba rezervací';
        $strings['ResourceUsageReservationCount'] = 'Využití zdroje - počet rezervací';
        $strings['Top20UsersTimeBooked'] = 'Top 20 uživatelů - celková doba rezervací';
        $strings['Top20UsersReservationCount'] = 'Top 20 uživatelů - počet rezervací';
        $strings['ConfigurationUpdated'] = 'Konfigurační soubor byl upraven';
        $strings['ConfigurationUiNotEnabled'] = 'Stránka není přístupná, protože $conf[\'settings\'][\'pages\'][\'enable.configuration\'] je chybový nebo chybí.';
        $strings['ConfigurationFileNotWritable'] = 'Konfigurační soubor musí být zapisovatelný.';
        $strings['ConfigurationUpdateHelp'] = 'Bližší instrukce k tomuto nastavení jsou k dispozici v sekci Konfigurace v <a target=_blank href=%s>Nápovědě</a>.';
        $strings['GeneralConfigSettings'] = 'Nastavení';
        $strings['UseSameLayoutForAllDays'] = 'Použít stejný rozpis pro všechny dny';
        $strings['LayoutVariesByDay'] = 'Rozpis se liší v jednotlivých dnech';
        $strings['ManageReminders'] = 'Upomínky';
        $strings['ReminderUser'] = 'Číslo uživatele';
        $strings['ReminderMessage'] = 'Zpráva';
        $strings['ReminderAddress'] = 'Adresa';
        $strings['ReminderSendtime'] = 'Čas odeslání';
        $strings['ReminderRefNumber'] = 'Referenční číslo rezervace';
        $strings['ReminderSendtimeDate'] = 'Datum upomínky';
        $strings['ReminderSendtimeTime'] = 'Čas (HH:MM)';
        $strings['ReminderSendtimeAMPM'] = 'dopoledne / odpoledne';
        $strings['AddReminder'] = 'Přidat upomínku';
        $strings['DeleteReminderWarning'] = 'Určitě smazat?';
        $strings['NoReminders'] = 'Nemáte žádné nadcházející připomínky.';
        $strings['Reminders'] = 'Upomínky';
        $strings['SendReminder'] = 'Odeslat upomínku';
        $strings['minutes'] = 'minut';
        $strings['hours'] = 'hodin';
        $strings['days'] = 'dnů';
        $strings['minute'] = 'hodina';
        $strings['hour'] = 'den';
        $strings['day'] = 'den';
        $strings['ReminderBeforeStart'] = 'Před začátkem';
        $strings['ReminderBeforeEnd'] = 'Před koncem';
        $strings['Logo'] = 'Logo';
        $strings['CssFile'] = 'CSS Soubor';
        $strings['ThemeUploadSuccess'] = 'Změny byly uloženy. Obnovte stránku.';
        $strings['MakeDefaultSchedule'] = 'Nastavit jako výchozí rozvrh';
        $strings['DefaultScheduleSet'] = 'Toto je nyní váš výchozí rozvrh';
        $strings['FlipSchedule'] = 'Přehodit časový plán rozvrhu';
        $strings['Next'] = 'Další';
        $strings['Success'] = 'Provedeno';
        $strings['Participant'] = 'Účastník';
        $strings['ResourceFilter'] = 'Filtr zdrojů';
        $strings['ResourceGroups'] = 'Skupiny zdrojů';
        $strings['AddNewGroup'] = 'Přidat novou skupinu';
        $strings['Quit'] = 'Ukončit';
        $strings['AddGroup'] = 'Přidat skupinu';
        $strings['StandardScheduleDisplay'] = 'Použít klasické zobrazení';
        $strings['TallScheduleDisplay'] = 'Použít zobrazení na výšku';
        $strings['WideScheduleDisplay'] = 'Použít zobrazení na šířku';
        $strings['CondensedWeekScheduleDisplay'] = 'Použít zkrácené týdenní zobrazení';
        $strings['ResourceGroupHelp1'] = 'Použijte metodu Drag and drop pro přemístění skupiny zdrojů.';
        $strings['ResourceGroupHelp2'] = 'Pro další akce klikněte pravým tlačítkem na název skupiny zdrojů.';
        $strings['ResourceGroupHelp3'] = 'Pro přidání zdroje do skupiny použijte metodu Drag and drop.';
        $strings['ResourceGroupWarning'] = 'Pokud používáte skupiny zdrojů, každý zdroj musí být přiřazen nejméně jedné skupině. Nepřiřazené zdroje nebude možné rezervovat.';
        $strings['ResourceType'] = 'Typ zdroje';
        $strings['AppliesTo'] = 'Použít na';
        $strings['UniquePerInstance'] = 'Unikátní ke každému';
        $strings['AddResourceType'] = 'Přidat typ zdroje';
        $strings['NoResourceTypeLabel'] = '(nezvolen typ zdroje)';
        $strings['ClearFilter'] = 'Vyčistit filtr';
        $strings['MinimumCapacity'] = 'Minimální kapacita';
        $strings['Color'] = 'Barva';
        $strings['Available'] = 'Dostupné';
        $strings['Unavailable'] = 'Obsazené';
        $strings['Hidden'] = 'Skryté';
        $strings['ResourceStatus'] = 'Stav zdroje';
        $strings['CurrentStatus'] = 'Současný stav';
        $strings['AllReservationResources'] = 'Všechny zdroje';
        $strings['File'] = 'Soubor';
        $strings['BulkResourceUpdate'] = 'Prázdné zdroje';
        $strings['Unchanged'] = 'Nezměněné';
        $strings['Common'] = 'příbuzné';
        $strings['AdminOnly'] = 'Jen admin';
        $strings['AdvancedFilter'] = 'Rozšířený filtr';
        $strings['MinimumQuantity'] = 'Minimální množství';
        $strings['MaximumQuantity'] = 'Maximální množství';
        $strings['ChangeLanguage'] = 'Změna jazyka';
        $strings['AddRule'] = 'Přidat pravidlo';
        $strings['Attribute'] = 'Atribut';
        $strings['RequiredValue'] = 'Požadovaná hodnota';
        $strings['ReservationCustomRuleAdd'] = 'Použít tuto barvu, pokud je atribut rezervace nastaven na následující hodnotu';
        $strings['AddReservationColorRule'] = 'Přidat pravidlo pro barvu rezervace';
        $strings['LimitAttributeScope'] = 'Požadovat v určitých případech';
        $strings['CollectFor'] = 'Požadovat jen pro';
        $strings['OnlyCollectInCertainCases'] = 'Požadovat jen v některých případech';
        $strings['SignIn'] = 'Přihlásit se';
        $strings['AllParticipants'] = 'Všichni účastníci';
        $strings['RegisterANewAccount'] = 'Vytvořit nový účet';
        $strings['Dates'] = 'Data';
        $strings['More'] = 'Více';
        $strings['ResourceAvailability'] = 'Dostupnost zdrojů';
        $strings['UnavailableAllDay'] = 'Nedostupné celý den';
        $strings['AvailableUntil'] = 'K dispozici do';
        $strings['AvailableBeginningAt'] = 'K dispozici počínaje ';
        $strings['AvailableAt'] = 'K dispozici v';
        $strings['AllResourceTypes'] = 'Všechny typy zdrojů';
        $strings['AllResourceStatuses'] = 'Všechny stavy zdrojů';
        $strings['AllowParticipantsToJoin'] = 'Povolit účastníkům se zapojit';
        $strings['Join'] = 'Přidat se';
        $strings['YouAreAParticipant'] = 'Jste účastníkem této události';
        $strings['YouAreInvited'] = 'Jste pozván k účasti na této události';
        $strings['YouCanJoinThisReservation'] = 'Můžete se přidat k této události';
        $strings['Import'] = 'Import';
        $strings['GetTemplate'] = 'Získat šablonu';
        $strings['UserImportInstructions'] = '<ul><li>Soubor musí být ve formátu CSV.</li><li>Uživatelské jméno a e-mail jsou povinné položky.</li><li>Platnost atributů nebude kontrolována.</li><li>Nevyplněná pole budou nastavena na výchozí hodnoty a \'heslo\' bude vypněno heslem uživatele.</li><li>Použijte přiloženou šablonu jako vzor.</li></ul>';
        $strings['RowsImported'] = 'Řádků importováno';
        $strings['RowsSkipped'] = 'Řádků přeskočeno';
        $strings['Columns'] = 'Sloupce';
        $strings['Reserve'] = 'Rezervovat';
        $strings['AllDay'] = 'Celý den';
        $strings['Everyday'] = 'Každý den';
        $strings['IncludingCompletedReservations'] = 'včetně uskutečněných rezervací';
        $strings['NotCountingCompletedReservations'] = 'kromě uskutečněných rezervací';
        $strings['RetrySkipConflicts'] = 'Přeskočit rezervace, které se překrývají';
        $strings['Retry'] = 'Znovu';
        $strings['RemoveExistingPermissions'] = 'Vymazat existující práva?';
        $strings['Continue'] = 'Pokrčovat';
        $strings['WeNeedYourEmailAddress'] = 'Por rezervaci je nutná e-mailová adresa';
        $strings['ResourceColor'] = 'Barva zdroje';
        $strings['DateTime'] = 'Datum a čas';
        $strings['AutoReleaseNotification'] = 'Automaticky uvolnit, pokud potvrzení příchodu neproběhne do <strong>%s</strong> minut';
        $strings['AutoReleaseDeleteNotification'] = 'Automaticky smazat, pokud potvrzení příchodu neproběhne do <strong>%s</strong> minut';
        $strings['AutoReleaseEndNotification'] = 'Automaticky ukončit, pokud potvrzení příchodu neproběhne do <strong>%s</strong> minut';
        $strings['RequiresCheckInNotification'] = '<strong>Vyžaduje</strong> potvrzení příchodu a odchodu';
        $strings['NoCheckInRequiredNotification'] = '<strong>Nevyžaduje</strong> potvrzení příchodu a odchodu';
        $strings['RequiresApproval'] = 'Vyžaduje povolení';
        $strings['CheckingIn'] = 'Potvrzuji příchod';
        $strings['CheckingOut'] = 'Potvrzuji odchod';
        $strings['CheckIn'] = 'Potvrdit příchod';
        $strings['CheckOut'] = 'Potvrdit odchod';
        $strings['ReleasedIn'] = 'Uvolněna v';
        $strings['CheckedInSuccess'] = 'Příchod potvrzen';
        $strings['CheckedOutSuccess'] = 'Odchod potvrzen';
        $strings['CheckInFailed'] = 'Příchod nemohl být potvrzen';
        $strings['CheckOutFailed'] = 'Odchod nemohl být potvrzen';
        $strings['CheckInTime'] = 'Čas příchodu';
        $strings['CheckOutTime'] = 'Čas odchodu';
        $strings['OriginalEndDate'] = 'Původní konec';
        $strings['ShowSpecificDates'] = 'Zobrazit konkrétní data';
        $strings['Users'] = 'Uživatelé';
        $strings['Guest'] = 'Hosté';
        $strings['ResourceDisplayPrompt'] = 'Zobrazit zdroj';
        $strings['Credits'] = 'Kredity';
        $strings['AvailableCredits'] = 'Dostupné kredity';
        $strings['CreditUsagePerSlot'] = 'Vyžaduje %s kreditů na termín (mimo špičku)';
        $strings['PeakCreditUsagePerSlot'] = 'Vyžaduje %s kreditů na termín (ve špičce)';
        $strings['CreditsRule'] = 'Nemáte dostatek kreditů. Požadováno %s kreditů. K dispozici %s kreditů.';
        $strings['PeakTimes'] = 'Špička';
        $strings['AllYear'] = 'Celý rok';
        $strings['MoreOptions'] = 'Více možností';
        $strings['SendAsEmail'] = 'Poslat e-mailem';
        $strings['UsersInGroups'] = 'Uživatelé ve skupinách';
        $strings['UsersWithAccessToResources'] = 'Uživatelé s právem přístupu ke zdroji';
        $strings['AnnouncementSubject'] = '%s zveřejnil nové oznámení';
        $strings['AnnouncementEmailNotice'] = 'uživatelé dostanou toto oznámení e-mailem';
        $strings['Day'] = 'den';
        $strings['NotifyWhenAvailable'] = 'Zaslat oznámení jakmile se uvolní';
        $strings['AddingToWaitlist'] = 'Uživatel přidán na seznam čekatelů';
        $strings['WaitlistRequestAdded'] = 'V případě, že se tento čas uvolní, dostanete oznámení';
        $strings['PrintQRCode'] = 'Tisknout QR kód';
        $strings['FindATime'] = 'Vyhledat volný zdroj';
        $strings['AnyResource'] = 'Kterýkoliv zdroj';
        $strings['ThisWeek'] = 'Tento týden';
        $strings['Hours'] = 'hodin';
        $strings['Minutes'] = 'minut';
        $strings['ImportICS'] = 'Import z ICS';
        $strings['ImportQuartzy'] = 'Import z Quartzy';
        $strings['OnlyIcs'] = 'Nahrány mohou být pouze soubory typu *.ics.';
        $strings['IcsLocationsAsResources'] = 'Místa budou importována jako zdroje.';
        $strings['IcsMissingOrganizer'] = 'Vlastníkem události bez organizátora bude aktuální uživatel.';
        $strings['IcsWarning'] = 'Pravidla pro rezervace nebudou uplatněna - konflikty, duplikáty apod. nejsou vyločeny.';
        $strings['BlackoutAroundConflicts'] = 'Uzavřít jen mimo existující rezervace';
        $strings['DuplicateReservation'] = 'Duplikovat rezervaci';
        $strings['UnavailableNow'] = 'Nyní nedostupný';
        $strings['ReserveLater'] = 'Rezervovat později';
        $strings['CollectedFor'] = 'Vyžadováno zdroji typu';
        $strings['IncludeDeleted'] = 'Včetně smazaných rezervací';
        $strings['Deleted'] = 'Smazáno';
        $strings['Back'] = 'Zpět';
        $strings['Forward'] = 'Vpřed';
        $strings['DateRange'] = 'Období';
        $strings['Copy'] = 'Kopírovat';
        $strings['Detect'] = 'Zjistit';
        $strings['Autofill'] = 'Vyplnit automaticky';
        $strings['NameOrEmail'] = 'jméno nebo e-mail';
        $strings['ImportResources'] = 'Importovat zdroje';
        $strings['ExportResources'] = 'Exportovat zdroje';
        $strings['ResourceImportInstructions'] = '<ul><li>Soubor musí být ve formátu CSV s kódováním UTF-8.</li><li>Jméno je povinný parametr. Zůstanou-li ostatní pole nevyplněna, doplní se standardními hodnotami.</li><li>Možnosti pro Stav jsou  \'Dostupný\', \'Nedostupný\' a \'Skrytý\'.</li><li>Barva musí být uvedena v hex formátu, např.  #ffffff.</li><li>Sloupce Automatické přiřazení a Potvrzení mohou mít hodnoty true nebo false.</li><li>Správnost atributů nebude vyžadována.</li><li>Jednotlivé skupiny zdrojů oddělte čárkami.</li><li>Použijte dodanou šablonu jako vzor.</li></ul>';
        $strings['ReservationImportInstructions'] = '<ul><li>Soubor musí být ve formátu CSV s kódováním UTF-8.</li><li>E-mail, název zdroje, začátek a konec jsou povinné položky.</li><li>Začátek a konec musí být uvedeny v plném formátu, doporučeno je použít tvar YYYY-mm-dd HH:mm (2017-12-31 20:30).</li><li>Pravidla, konflikty a povolené časové úseky nebudou kontrolovány.</li><li>Oznámení nebudou rozesílána.</li><li>Správnost atributů nebude vyžadována.</li><li>Jednotlivé názvy zdrojů oddělte čárkami.</li><li>Použijte dodanou šablonu jako vzor.</li></ul>';
        $strings['AutoReleaseMinutes'] = 'Automaticky uvolnit po (v minutách)';
        $strings['CreditsPeak'] = 'Počet kreditů (ve špičce)';
        $strings['CreditsOffPeak'] = 'Počet kreditů (mimo špičku)';
        $strings['ResourceMinLengthCsv'] = 'Minimální délka rezervace';
        $strings['ResourceMaxLengthCsv'] = 'Maximální délka rezervace';
        $strings['ResourceBufferTimeCsv'] = 'Pauza mezi rezervacemi';
        $strings['ResourceMinNoticeAddCsv'] = 'Zpráva o omezení vytvoření rezervace';
        $strings['ResourceMinNoticeUpdateCsv'] = 'Zpráva o omezení úpravy rezervace';
        $strings['ResourceMinNoticeDeleteCsv'] = 'Zpráva o omezení smazání rezervace';
        $strings['ResourceMaxNoticeCsv'] = 'Info o omezení konce rezervace';
        $strings['Export'] = 'Export';
        $strings['DeleteMultipleUserWarning'] = 'Vymazáním těchto uživatelů budou také smazány jejich současné, minulé i budoucí rezervace. Žádné e-maily nebudou rozesílány.';
        $strings['DeleteMultipleReservationsWarning'] = 'Žádné e-maily nebudou rozeslány.';
        $strings['ErrorMovingReservation'] = 'Chyba při přesunu rezervace.';
        $strings['SelectUser'] = 'Vybrat uživatele';
        $strings['InviteUsers'] = 'Pozvat uživatele';
        $strings['InviteUsersLabel'] = 'Zadejte e-mailové adresy zvaných uživatelů';
        $strings['ApplyToCurrentUsers'] = 'Aplikovat na aktuální uživatele';
        $strings['ReasonText'] = 'Text zdůvodnění';
        $strings['NoAvailableMatchingTimes'] = 'Žádný z volných časů nevyhovuje vašim výběrovým pravidlům';
        $strings['Schedules'] = 'Rozvrhy';
        $strings['NotifyUser'] = 'Informovat uživatele';
        $strings['UpdateUsersOnImport'] = 'Upravit existujícího uživatele, pokud daný e-mail už existuje';
        $strings['UpdateResourcesOnImport'] = 'Upravit existující zdroj, pokud název zdroje už existuje';
        $strings['Reject'] = 'Odmítnout';
        $strings['CheckingAvailability'] = 'Kontroluji dostupnost';
        $strings['CreditPurchaseNotEnabled'] = 'Možnost nakupovat kredity není povolena';
        $strings['CreditsCost'] = 'Cena za kredit';
        $strings['Currency'] = 'Měna';
        $strings['PayPalClientId'] = 'ID klienta';
        $strings['PayPalSecret'] = 'Tajný kód';
        $strings['PayPalEnvironment'] = 'Prostředí';
        $strings['Sandbox'] = 'Sandbox';
        $strings['Live'] = 'Živě';
        $strings['StripePublishableKey'] = 'Veřejný klíč';
        $strings['StripeSecretKey'] = 'Soukromý klíč';
        $strings['CreditsUpdated'] = 'Cena kreditu byla aktualizována';
        $strings['GatewaysUpdated'] = 'Platební brány byly aktualizovány';
        $strings['PurchaseSummary'] = 'Shrnutí nákupu';
        $strings['EachCreditCosts'] = 'Každý kredit stojí';
        $strings['Checkout'] = 'Potvrdit odchod';
        $strings['Quantity'] = 'Množství';
        $strings['CreditPurchase'] = 'Nákup kreditů';
        $strings['EmptyCart'] = 'Košík je prázdný';
        $strings['BuyCredits'] = 'Koupit kredity';
        $strings['CreditsPurchased'] = 'kreditů zakoupeno.';
        $strings['ViewYourCredits'] = 'Zobrazit kredity';
        $strings['TryAgain'] = 'Zkusit znova';
        $strings['PurchaseFailed'] = 'Při zpracování platby nastaly komplikace';
        $strings['NoteCreditsPurchased'] = 'Koupeno kreditů';
        $strings['CreditsUpdatedLog'] = 'Kredity navýšeny o %s';
        $strings['ReservationCreatedLog'] = 'Rezervace vytvořena.Referenční číslo %s';
        $strings['ReservationUpdatedLog'] = 'Rezervace upravena.Referenční číslo %s';
        $strings['ReservationDeletedLog'] = 'Rezervace smazána.Referenční číslo %s';
        $strings['BuyMoreCredits'] = 'Dokoupit kredity';
        $strings['Transactions'] = 'Transakce';
        $strings['Cost'] = 'Náklady';
        $strings['PaymentGateways'] = 'Platební brány';
        $strings['CreditHistory'] = 'Historie kreditu';
        $strings['TransactionHistory'] = 'Historie transakcí';
        $strings['Date'] = 'Datum';
        $strings['Note'] = 'Poznámka';
        $strings['CreditsBefore'] = 'Kredity před';
        $strings['CreditsAfter'] = 'Kredity po';
        $strings['TransactionFee'] = 'Tansakční poplatek';
        $strings['InvoiceNumber'] = 'Číslo faktury';
        $strings['TransactionId'] = 'ID transakce';
        $strings['Gateway'] = 'Platební brána';
        $strings['GatewayTransactionDate'] = 'Datum transakce na platební bráně';
        $strings['Refund'] = 'Vratka';
        $strings['IssueRefund'] = 'Provést vratku';
        $strings['RefundIssued'] = 'Vratka úspěšně realizována';
        $strings['RefundAmount'] = 'Částka k vrácení';
        $strings['AmountRefunded'] = 'Vráceno';
        $strings['FullyRefunded'] = 'Plně vráceno';
        $strings['YourCredits'] = 'Vaše kredity';
        $strings['PayWithCard'] = 'Platit kartou';
        $strings['or'] = 'nebo';
        $strings['CreditsRequired'] = 'Požadováno kreditů';
        $strings['AddToGoogleCalendar'] = 'Přidat na Google';
        $strings['Image'] = 'Obrázek';
        $strings['ChooseOrDropFile'] = 'Vyberte soubor nebo jej přetáhněte sem';
        $strings['SlackBookResource'] = 'Rezervovat %s hned';
        $strings['SlackBookNow'] = 'Hned Rezervovat';
        $strings['SlackNotFound'] = 'Zdroj s tímto názvem nebyl nalezen. Novou rezervaci založte kliknutím na Hned Rezervovat';
        $strings['AutomaticallyAddToGroup'] = 'Automaticky přidávat nové uživatele do této skupiny';
        $strings['GroupAutomaticallyAdd'] = 'Automatické členství';
        $strings['TermsOfService'] = 'Podmínky využívání služby';
        $strings['EnterTermsManually'] = 'Vložit podmínky ručně';
        $strings['LinkToTerms'] = 'Odkaz na podmínky';
        $strings['UploadTerms'] = 'Nahrát podmínky';
        $strings['RequireTermsOfServiceAcknowledgement'] = 'Požadovat odsouhlasení podmínek používání služby';
        $strings['UponReservation'] = 'Ppři rezervaci';
        $strings['UponRegistration'] = 'Při registraci';
        $strings['ViewTerms'] = 'Zobrazit podmínky využití služby';
        $strings['IAccept'] = 'Přijímám';
        $strings['TheTermsOfService'] = 'Podmínky využívání služby';
        $strings['DisplayPage'] = 'Zobrazit na stránce';
        $strings['AvailableAllYear'] = 'Celý rok';
        $strings['Availability'] = 'Dostupnost';
        $strings['AvailableBetween'] = 'K dizpozici mezi';
        $strings['ConcurrentYes'] = 'Zdroj může být rezervován více uživateli současně';
        $strings['ConcurrentNo'] = 'Zdroj nemůže být rezervován více uživateli současně';
        $strings['ScheduleAvailabilityEarly'] = 'Tento kalendář ještě není k dispozici. Bude k dispozici';
        $strings['ScheduleAvailabilityLate'] = 'Tento kalendář už není k dispozici. Byl k dispozici';
        $strings['ResourceImages'] = 'Obrázky zdroje';
        $strings['FullAccess'] = 'Plný přístup';
        $strings['ViewOnly'] = 'Pouze náhled';
        $strings['Purge'] = 'Trvale odstranit';
        $strings['UsersWillBeDeleted'] = 'uživatelů bude smazáno';
        $strings['BlackoutsWillBeDeleted'] = 'dob/y uzavření  bude smazáno';
        $strings['ReservationsWillBePurged'] = 'rezervace/rezervací  bude trvale odtraněno';
        $strings['ReservationsWillBeDeleted'] = 'rezervace/rezervací  bude smazáno';
        $strings['PermanentlyDeleteUsers'] = 'Trvale vymazat uživatele, kteří se nepřihlásili od';
        $strings['DeleteBlackoutsBefore'] = 'Vymazat termíny zavření provozu před';
        $strings['DeletedReservations'] = 'Smazané rezervace';
        $strings['DeleteReservationsBefore'] = 'Vymazat rezervace před';
        $strings['SwitchToACustomLayout'] = 'Přepnout na volný časový plán';
        $strings['SwitchToAStandardLayout'] = 'Přepnout na standardní (pravidelný) časový plán';
        $strings['ThisScheduleUsesACustomLayout'] = 'Rozvrh používá volný časový plán';
        $strings['ThisScheduleUsesAStandardLayout'] = 'Rozvrh používá standardní (pravidelný) časový plán';
        $strings['SwitchLayoutWarning'] = 'Určitě chcete změnit typ časového plánu? Všechny existující termíny budou smazány.';
        $strings['DeleteThisTimeSlot'] = 'Smazat tento termín?';
        $strings['Refresh'] = 'Obnovit';
        $strings['ViewReservation'] = 'Zobrazit rezervaci';
        $strings['PublicId'] = 'Veřejný identifikátor';
        $strings['Public'] = 'Veřejný';
        $strings['AtomFeedTitle'] = 'Rezervace %s';
        $strings['DefaultStyle'] = 'Výchozí styl';
        $strings['Standard'] = 'Standardní';
        $strings['StandardView'] = 'Standardní zobrazení';
        $strings['WideView'] = 'Zobrazení na šířku';
        $strings['TallView'] = 'Zobrazení na výšku';
        $strings['WeekView'] = 'Týdenní zobrazení';
        $strings['EmailTemplate'] = 'Šablona e-mailové zprávy';
        $strings['SelectEmailTemplate'] = 'Vyberte šablonu zprávy';
        $strings['ReloadOriginalContents'] = 'Obnovit původní obsah';
        $strings['UpdateEmailTemplateSuccess'] = 'Šablona zprávy byla upravena';
        $strings['UpdateEmailTemplateFailure'] = 'Šablona zprávy nemohla být modifikována. Zkontrolujte, zda je povolen zápis do adresáře.';
        $strings['BulkResourceDelete'] = 'Hromadné vymazání zdrojů';
        $strings['NewVersion'] = 'Nová verze!';
        $strings['WhatsNew'] = 'Co je nového?';
        $strings['OnlyViewedCalendar'] = 'Tento rozvrh je možné prohlížet pouze v kalendářovém zobrazení.';
        $strings['Grid'] = 'Tabulka';
        $strings['List'] = 'Seznam';
        $strings['NoReservationsFound'] = 'Nenalezeny žádné rezervace';
        $strings['EmailReservation'] = 'Zaslat rezervaci e-mailem';
        $strings['AdHocMeeting'] = 'Ad-hoc schůzka';
        $strings['NextReservation'] = 'Následující rezervace';
        $strings['MissedCheckin'] = 'Zmeškané potvrzení příchodu';
        $strings['MissedCheckout'] = 'Zmeškané potvrzení odchodu';
        $strings['Utilization'] = 'Využití';
        $strings['SpecificTime'] = 'Vybraný čas';
        $strings['NotAttending'] = 'Nezúčastní se';
        $strings['ViewAvailability'] = 'Zobrazit dostupnost';
        $strings['ReservationDetails'] = 'Detaily rezervace';
        $strings['StartTime'] = 'Čas začátku';
        $strings['EndTime'] = 'Čas konce';
        $strings['New'] = 'Nový';
        $strings['Updated'] = 'Aktualizovaný';
        $strings['Custom'] = 'Vlastní';
        $strings['AddDate'] = 'Přidat datum';
        $strings['RepeatOn'] = 'Opakovat';
        $strings['ScheduleConcurrentMaximum'] = 'Souběžně může být rezervováno nejvýše <b>%s</b> zdrojů';
        $strings['ScheduleConcurrentMaximumNone'] = 'Počet souběžně rezervovaných zdrojů není omezen';
        $strings['ScheduleMaximumConcurrent'] = 'Maximální počet souběžně rezevovaných zdrojů';
        $strings['ScheduleMaximumConcurrentNote'] = 'Je-li nastaveno, počet zdrojů, které mohou být v tomto rozvrhu souběžně rezervovány, je omezen.';
        $strings['ScheduleResourcesPerReservationMaximum'] = 'Každá rezervace je omezena na maximálně <b>%s</b> zdrojů';
        $strings['ScheduleResourcesPerReservationNone'] = 'Počet zdrojů v jedné rezervaci není omezen';
        $strings['ScheduleResourcesPerReservation'] = 'Maximální počet zdrojů v rezervaci';
        $strings['ResourceConcurrentReservations'] = 'Povolit %s souběžných rezervací';
        $strings['AllowConcurrentReservations'] = 'Povolit souběžné rezervace';
        $strings['ResourceConcurrentReservationsNone'] = '<strong>Nepovolit</strong> souběžné rezervace';
        $strings['AllowConcurrentReservationsLabel'] = '<strong>Povolit</strong> souběžné rezervace';
        $strings['ResourceDisplayInstructions'] = 'Nebyl vybrán žádný zdroj. URL zdroje k zobrazení lze nalézt ve Správě aplikace, sekce Zdroje. Zdroj musí být veřejně přístupný.';
        $strings['Owner'] = 'Vlastník';
        $strings['MaximumConcurrentReservations'] = 'Maximální počet souběžných rezervací';
        $strings['NotifyUsers'] = 'Poslat zprávu uživatelům';
        $strings['Message'] = 'Zpráva';
        $strings['AllUsersWhoHaveAReservationInTheNext'] = 'Každý, kdo má rezervaci během následujících';
        $strings['ChangeResourceStatus'] = 'Změň stav zdroje';
        $strings['UpdateGroupsOnImport'] = 'Modifikuj existující skupinu, pokud jsou názvy totožné';
        $strings['GroupsImportInstructions'] = '<ul><li>Soubor musí být ve formátu CSV.</li><li>Jméno je povinné.</li><li>Seznam členů je  seznam e-mailových adres oddělených čárkou.</li><li>Prázdný seznamy členů při aktualizaci skupin ponechá členy skupiny beze změny.</li><li>Seznam přístupových práv je seznam názvů zdrojů oddělených čárkou.</li><li>Prázdný seznam přístupových práv při aktualizaci skupiny ponechá práva nezměněna.</li><li>Použijte dodanou šablonu jako vzor.</li></ul>';
        $strings['PhoneRequired'] = 'Telefonní číslo je povinná položka';
        $strings['OrganizationRequired'] = 'Organizace je povinná položka';
        $strings['PositionRequired'] = 'Pracovní pozice je povinná položka';
        $strings['GroupMembership'] = 'Členství ve skupině';
        $strings['AvailableGroups'] = 'Dostupné skupiny';
        $strings['CheckingAvailabilityError'] = 'Nelze získat informaci o dostupnosti zdrojů - příliš mnoho zdrojů';
        $strings['ApiOnly'] = 'Přístup pouze přes API';
        $strings['ApiOnlyDetails'] = 'Uživatel se může přihlásit pouze přes API';
        $strings['PerReservation'] = 'na rezervaci';
        $strings['PerSlot'] = 'na časový slot';
        $strings['CreditsCalculated'] = 'Počet kreditů';
        $strings['CreditsApplied'] = 'Použitelnost kreditů';
        $strings['CreditsChargedBlockedSlots'] = 'Kredity se spotřebovávají i mimo rezervovatelné období';
        $strings['AllowReservationsToEndInBlockedSlots'] = 'Povolit ukončení rezervace mimo rezervovatelné období';
        $strings['ReservationsMustEndInAvailableSlots'] = 'Rezervace musí skončit v rezervovatelném období';
        $strings['Currently'] = 'Nyní';
        $strings['ResourceDisplay'] = 'Zobrazení využití zdroje';
        $strings['CopyToClipboard'] = 'Zkopírovat do schránky';
        $strings['CopyEmbedCode'] = 'Zkopírovat vestavěný kód do schránky';
        $strings['CopyRssLink'] = 'Zkopírovat RSS odkaz do schránky';
        $strings['CopyICalLink'] = 'Zkopírovat iCalendar odkaz do schránky';
        $strings['CopyToResourceDisplay'] = 'Zkopírovat odkaz na Zobrazení využití zdroje do schránky';
        $strings['CopiedToClipboard'] = 'Zkopírováno do schránky';
        $strings['UseDefaultLabel'] = 'Použít standardní označení';
        $strings['SlotLabel'] = 'Popisek časového intervalu';
        $strings['ResourceRelationships'] = 'Vztahy';
        $strings['MustBeBookedWith'] = 'Musí být rezervováno spolu s';
        $strings['CannotBeBookedWith'] = 'Nesmí být rezervováno spolu s';
        $strings['CannotBeBookedAtSameTime'] = 'Nesmí být rezervováno ve stejném čase jako';
        $strings['UpdateAndSend'] = 'Ulož a oznam';
        $strings['ResourceImageInstructions'] = 'Je dovoleno maximálně 10 obrázků (každý max. %sMB). Pouze JPG, GIF, PNG, SVG. Přesunutím lze uspořádat.';
        $strings['ViewFullSizeImage'] = 'Zobraz obrázek v plném rozlišení';
        $strings['Default'] = 'Standardní';
        $strings['DisplayInformation'] = 'Základní informace';
        $strings['ResourceInformation'] = 'Informace o zdroji';
        $strings['CopyId'] = 'Zkopírovat ID do schránky';
        $strings['PublicAccess'] = 'Veřejný přístup';
        $strings['AllowPublicAccess'] = 'Povolit veřejný přístup';
        $strings['AddAllUsers'] = 'Přidat všechny uživatele';
        $strings['ChangeAllAccess'] = 'Změnit všechny uživatele';
        $strings['ChangeAllGroupAccess'] = 'Změnit všechny skupiny';
        $strings['Reserve'] = 'Rezervovat';
        $strings['View'] = 'Zobrazit';
        $strings['NoUsersHavePermission'] = 'Žádný uživatel nemá práva';
        $strings['RemoveAllPermissions'] = 'Odstranit všechna práva';
        $strings['RemovePermissions'] = 'Odstranit práva';
        $strings['InheritPermissions'] = 'Odstranit a zdědit práva';
        $strings['ChangeUserAndGroupPermissions'] = 'Změnit práva uživatelů a skupin';
        $strings['DateFilter'] = 'Filtr data';
        $strings['Equals'] = 'rovná se';
        $strings['GreaterThan'] = 'větší než';
        $strings['LessThan'] = 'menší než';
        $strings['HasNoValue'] = 'Nemá žádnou hodnotu';
        $strings['NoResourcesInstructions'] = 'Nemáte vytvořeny žádné zdroje. Klikněte na Přidat zdroj.<br/><br/>Více o zdrojích v Booked <a href="{{resourceLink}}">zde</a>.<br/><br/>Začínáte s Booked? Přečtěte si náš<a href="{{gettingStartedLink}}">Průvodce začátečníka</a>';
        $strings['AddMoreResources'] = 'Přidat další zdroje';
        $strings['AddMoreResourcesInfo'] = 'Po přidání zdroje zůstat na této stránce';
        $strings['ResourceNameRequired'] = 'Jméno zdorje je povinné';
        $strings['ResourceSuccessfullyAdded'] = 'Zdroj {{resourceName}} byl přidán.';
        $strings['ViewAsList'] = 'Zobrazit jako seznam';
        $strings['ViewDetails'] = 'Zobrazit detaily';
        $strings['DeleteItemModalTitle'] = 'Smazat {{itemName}}?';
        $strings['Expand'] = 'Expandovat';
        $strings['Collapse'] = 'Složit';
        $strings['DeleteMultiple'] = 'Smazat více najednou';
        $strings['DeleteMultipleModalTitle'] = 'Smazat více najednou ({{count}})?';
        $strings['DeleteMultipleResourcesWarning'] = 'Tato akce trvale smaže všechny zdroje, které odpovídají filtru, včetně';
        $strings['ExportAllResources'] = 'Exportovat všechny zdroje';
        $strings['ExportFilteredResources'] = 'Exportovat vybrané zdroje';
        $strings['ExportResourceInstructions'] = 'Stáhnout CSV soubor s informacemi o zdrojích. Exportovaná data mohou být importována za účelem implementace hromadných změn';
        $strings['ImportResourcesConfirm'] = 'Importovat {{count}} zdrojů';
        $strings['NoResourceGroups'] = 'Nesjou žádné skupiny zdrojů';
        $strings['ShareCalendar'] = 'Sdílet kalendář';
        $strings['DoNotShareCalendar'] = 'Nesdílet kalendář';
        $strings['BackToMainCalendar'] = 'Zpět k hlavnímu kalendáři';
        $strings['ReservationsFound'] = 'Nalezeno %s rezervací';
        $strings['DeleteAll'] = 'Smazat vše';
        $strings['CopyResource'] = 'Zkopírovat zdroj';
        $strings['TermsAcceptedOn'] = 'přijato dne {{acceptDate}}';
        $strings['SpecificDates'] = 'Zobrazit konkrétní dny';
        $strings['DateOfMonth'] = 'Den v měsíci';
        $strings['WeekOfMonth'] = 'Týden v měsíci';
        $strings['Rules'] = 'Pravidla';
        $strings['ReservationMustBeBookedTogether'] = 'Tyto zdroje musí být rezervovány společně';
        $strings['ReservationRequiredResourceNoPermission'] = 'K některým požadovaným zdrojům nemáte oprávnění';
        $strings['AddRequiredResources'] = 'Přidejte požadované zdroje';
        $strings['Rules'] = 'Pravidla';
        $strings['NoUpcomingReservations'] = 'Nyní nemáte žádné naplánované rezervace.';
        $strings['AddNewMonitorView'] = 'Přidat zobrazení využití zdroje';
        $strings['UpdateMonitorView'] = 'Upravit zobrazení využití zdroje';
        $strings['DeleteMonitorView'] = 'Smazat zobrazení využití zdroje';
        $strings['DeleteMonitorViewPrompt'] = 'Určitě chcete smazat <strong>{{viewName}}</strong>?';
        $strings['ReservationsToShow'] = 'Rezervace k zobrazení';
        $strings['AllUpcomingReservations'] = 'Všechny naplánované rezervace.';
        $strings['ASetNumberOfUpcomingReservations'] = 'Nastavený počet nadcházejících rezervací';
        $strings['AllReservationsWithinADateRange'] = 'Všechny rezervace v časovém intervalu';
        $strings['ASpecificSetOfReservations'] = 'Konkrétní sada rezervací';
        $strings['UpcomingDaysToShow'] = 'Počet nadcházejících dnů k zobrazení';
        $strings['UpcomingReservationsToShow'] = 'Počet nadcházejících rezervací k zobrazení';
        $strings['DisplayOptions'] = 'Možnosti zobrazení';
        $strings['Style'] = 'Styl';
        $strings['ScrollInterval'] = 'Interval posunu obrazovky (s)';
        $strings['ShowReservations'] = 'Zobrazit rezervace';
        $strings['ShowLogo'] = 'Zobrazit logo';
        $strings['ShowDateAndTime'] = 'Zobrazit datum a čas';
        $strings['HideAvailability'] = 'Skrýt dostupnost';
        $strings['Invited'] = 'Pozvaní';
        $strings['SelectUserOrAddGuest'] = 'Vybrat uživatele nebo přidat hosta e-mailem';
        $strings['ReservationUploadInstructions'] = 'Nahrát soubory typu %s na %s';
        $strings['UploadFiles'] = 'Přetáhněte soubory sem nebo klikněte pro výběr souborů k nahrání';
        $strings['RetryReservationNotice'] = 'Můžete zkusit zadat rezervaci znova a vynechat konfliktní data';
        $strings['JoinWaitlistReservationNotice'] = 'Můžete se zapsat do seznamu uživatelů, kteří budou informováni, pokud se tento čas uvolní';
        $strings['NewReservation'] = 'Nová rezervace';
        $strings['ChangeReservation'] = 'Změnit rezervaci';
        $strings['UpdateRecurringTitle'] = 'Aktualizovat rezervaci';
        $strings['ParticipantRecurringNotice'] = 'Tato rezervace je částí sady pravidelných rezervací';
        $strings['UpdateRecurringNotice'] = 'Tato rezervace je částí sady pravidelných rezervací. Kterou instanci sady chcete upravit?';
        $strings['DeleteReservationModalTitle'] = 'Smazat rezervaci';
        $strings['DeleteRecurringNotice'] = 'Tato rezervace je částí sady pravidelných rezervací. Kterou instanci sady chcete smazat?';
        $strings['RequiresApprovalNotice'] = 'Tato rezervace vyžaduje vaše schválení';
        $strings['AcceptInvitation'] = 'Přijmout pozvání';
        $strings['DeclineInvitation'] = 'Odložit pozvání';
        $strings['YouAreAlreadyParticipating'] = 'V této rezervaci jste se již zúčastil';
        $strings['JoinAsGuestNotice'] = 'Pro účast v této rezervaci jako host musíte zadat e-mailovou adresu';
        $strings['CancelThisInstance'] = 'Zrušit tuto instanci';
        $strings['CancelSeries'] = 'Zrušit řadu';
        $strings['DeclineThisInstance'] = 'Odložit tuto instanci';
        $strings['DeclineSeries'] = 'Odložit celou řadu';
        $strings['AcceptThisInstance'] = 'Přijmout tuto instanci';
        $strings['AcceptSeries'] = 'Přijmout řadu';
        $strings['JoinThisInstance'] = 'Přidat se k této instanci';
        $strings['JoinSeries'] = 'Přidat se k řadě';
        $strings['MultipleEmailInstructions'] = 'Můžete přidat více e-mailových adres oddělených mezerami nebo čárkami';
        $strings['SendReservationAsEmail'] = 'Poslat e-mail ({{count}})';
        $strings['WithSpecificAttributeValues'] = 'S konkrétními hodnotami atributů';
        $strings['ReferenceNumbers'] = 'Referenční čísla';
        $strings['Value'] = 'Hodnota';
        $strings['Ascending'] = 'Rostoucí';
        $strings['Descending'] = 'Klesající';
        $strings['SortDirection'] = 'Směr';
        $strings['SortBy'] = 'Seřadit podle';
        $strings['LoadingCreditHistory'] = 'Nahrávám historii kreditů';
        $strings['HeadingText'] = 'Titulní text';
        $strings['StartTimeIsInPast'] = 'Počáteční čas je v minulosti';
        $strings['GroupCredits'] = 'Kredity';
        $strings['Replenish'] = 'Doplnit';
        $strings['AddCredits'] = 'Přidat kredity';
        $strings['ReplenishCredits'] = 'Doplnit kredity';
        $strings['AddCreditsEveryDays'] = 'Přidat %s kreditů každých %s dnů';
        $strings['AddCreditsDayOfMonth'] = 'Přidat %s kreditů %s. den v měsíci';
        $strings['AutomaticallyAddCredits'] = 'Automaticky přidat kredity všem uživatelům z této skupiny';
        $strings['AddCreditsToGroup'] = 'Přidat kredity všem uživatelům z této skupiny';
        $strings['AddNumberCreditsToGroup'] = 'Přidat %s kreditů všem uživatelům z této skupiny';
        $strings['CreditsAddedByAdminNote'] = 'Kredity přidány administrátorem';
        $strings['AutoReplenishCreditsNote'] = 'Kredity doplněny automaticky';
        $strings['Never'] = 'Nikdy';
        $strings['LastReplenished'] = 'Naposledy doplněno';
        $strings['ReservationsAutomaticallyExtended'] = 'Rezervace jsou automaticky prodlouženy, pokud se vlastník neodhlásí';
        $strings['ReservationsNotAutomaticallyExtended'] = 'Rezervace jsou ukončeny, pokud se vlastník neodhlásí';
        $strings['PasswordResetForced'] = 'Musíte aktualizovat své heslo';
        $strings['ForceChangePassword'] = 'Přinutit uživatele změnit heslo při nejbližším přihlášení';
        $strings['NotifyUserPasswordChange'] = 'Poslat uživateli e-mail s novým heslem';
        $strings['NoScheduleAdminGroupsDefined'] = 'Nejsou definovány žádné skupiny administrátorů rozvrhů';
        $strings['SecurityCheck'] = 'Bezpečnostní kontrola';
        $strings['SecurityCheckInstructions'] = 'Kvůli bezpečnosti musíme ověřit váš účet. Prosím vložte jednorázový kód zaslaný na adresu %s';
        $strings['OneTimePassCode'] = 'Jednorázový kód';
        $strings['ConfirmOTP'] = 'Potvrďte kód';
        $strings['ResendCode'] = 'Zaslat nový kód';
        $strings['InvalidOtp'] = 'Tento kód je nesprávný nebo jeho platnost vypršela. Prosím zkuste to znovu nebo si vyžádejte nový jednorázový kód.';
        $strings['OtpResendMessage'] = 'Zaslali jsme vám nový jednorázový kód. Platnost kódu vyprší za 10 minut.';
        $strings['ResetPasswordInstructions'] = 'Prosím zadejte nové heslo';
        $strings['ResendResetPassword'] = 'Opakovaně zaslat odkaz pro znovunastavení';
        $strings['ResetPasswordError'] = 'Neplatný odkaz pro znovunastavení hesla. Odkaz je platný jen %s minut.';
        $strings['SendResetLink'] = 'Poslat odkaz pro znovunastavení';
        $strings['ConfirmResetPassword'] = 'Vaše heslo bylo změněno. Prosím přihlašte se pomcí nového hesla.';
        $strings['TransferReservationOwnership'] = 'Přenést vlastnictví';
        $strings['TransferTo'] = 'Přenést vlastnictví na';
        $strings['FutureReservations'] = 'Budoucí rezervace';
        $strings['TransferOwnershipDeleteWarning'] = 'Pro zachování rezervace můžete přenést vlastnictví rezervace na jiného uživatele.';
        $strings['TransferReservationOwnershipNote'] = 'Přenést vlastnictví rezervace na jiného uživatele.';
        $strings['AddFavoriteResource'] = 'Přidat zdroj do oblíbených';
        $strings['RemoveFavoriteResource'] = 'Vyjmout zdroj z oblíbených';
        $strings['ReservationsCheckinLimitedToAdmin'] = 'Pouze aministrátoři se mohou odbavit nebo odhlásit';
        $strings['ReservationDeleted'] = 'Vaše rezervace byla smazána';
        $strings['PermissionLevel'] = 'Úroveň';
        $strings['Inherit'] = 'Zdědit';
        $strings['NoGroupsHavePermission'] = 'Žádná skupina nemá práva';
        $strings['AddAllGroups'] = 'Přidat všechny skupiny';
        $strings['NoColor'] = 'Žádná barva';
        $strings['UseDefault'] = 'Použij standard';
        $strings['MobileView'] = 'Mobilní zobrazení';
        $strings['BetweenAnyTimes'] = 'Mezi jakýmikoliv časy';
        $strings['DeletingReservation'] = 'Pouze pro administrátora zdroje';
        $strings['ResourceAdminRequired'] = 'Typy zdrojů';
        $strings['ResourceTypes'] = 'Typy zdrojů';
        $strings['Enabled'] = 'Povolen';
        $strings['CheckAvailability'] = 'Zjistit dostupnost';
        $strings['ManageAvailableAppointments'] = 'Spravovat dostupné schůzky';
        $strings['AddAvailableAppointmentTime'] = 'Přidat volný čas pro schůzku';
        $strings['OnlyApplicableAccessories'] = 'Zobraz pozue příslušenství, které může být rezervováno spolu s vybraným zdrojem';
        $strings['SelectThisAppointment'] = 'Vybrat tento čas schůzky';
        $strings['AppointmentTime'] = 'Čas schůzky';
        $strings['NoAvailableAppointments'] = 'Pro vámi vybrané datum nejsou žádné schůzky k dispozici. Prosím vyberte jiné datum.';
        $strings['NoAppointmentsOnDay'] = 'Žádné schůzky';
        $strings['BackDays'] = 'Posledních %s dnů';
        $strings['ForwardDays'] = 'Následujících %s dnů';
        $strings['LastWeek'] = 'Minulý týden';
        $strings['ShowMultiResourceGrouped'] = 'Zobraz rezervaci více zdrojů najednou jako jednu událost';
        $strings['MinimumParticipants'] = 'Minimální počet účastníků';
        $strings['NoMinimum'] = 'bez minima';
        $strings['PrintReservations'] = 'Vytisknout rezervace';
        $strings['Time'] = 'Čas';
        $strings['YourAccountWasCreatedOn'] = 'Váš účet byl vytvořen %s';
        $strings['MissedCheckinTimeWarning'] = 'U této rezervace byl zmeškán čas pro potvrzení příchodu';
        $strings['MissedCheckoutTimeWarning'] = 'U této rezervace byl zmeškán čas pro potvrzení odchodu';
        $strings['CheckedIn'] = 'Příchod potvrzen';
        $strings['CheckedOut'] = 'Odchod potvrzen';
        $strings['SelectUserOrGroup'] = 'Vybrat uživatele nebo skupinu';
        $strings['NoGroupsAssigned'] = '- Nepřiřazeny žádné skupiny -';
        $strings['CurrentlyFilteredResources'] = 'Aktuálně vyfiltrované zdroje (%s)';
        $strings['AllResourcesWithCount'] = 'Všechny zdroje (%s)';
        $strings['Section'] = 'Sekce';
        $strings['BulkUpdateWarning'] = 'Doporučujeme exportovat zálohu všech zdrojů před instalací upgardu.';
        $strings['DuplicateResourceImportWarning'] = 'Byla nalezena duplicitní jména zdrojů. Chcete-li upravit existující zdroje, zaškrtněte políčko níže.';
        $strings['EventsPerPage'] = 'Událostí na stránku';
        $strings['ScheduleReport'] = 'Rozvrh';
        $strings['ChangeSchedule'] = 'Změnit rozvrh';
        $strings['Frequency'] = 'Frekvence';
        $strings['SendTo'] = 'Odeslat';
        $strings['ScheduleReportOnThe'] = 'Na';
        $strings['ScheduleReportDayOfTheMonth'] = 'den v měsíci';
        $strings['AtLeastOneDayMustBeSelected'] = 'Musí být vybrán alespoň jeden den';
        $strings['AtLeastOneEmailMustBeAdded'] = 'Musí být přidán alespoň jeden e-mail';
        $strings['LastSent'] = 'Naposledy odesláno';
        $strings['ReservationColor'] = 'Barva rezervace';
        $strings['PhoneCountry'] = 'Telefonní kód země';
        $strings['SmsDisabled'] = 'SMS notifikace nejsou zapnuty.';
        $strings['PreferenceReservationReminders'] = 'Upomínky rezervací';
        $strings['PreferenceReservationCreated'] = 'Rezervace vytvořena';
        $strings['PreferenceReservationUpdated'] = 'Rezervace upravena';
        $strings['PreferenceReservationDeleted'] = 'Rezervace smazána';
        $strings['PreferenceReservationApproved'] = 'Rezervace potvzena';
        $strings['PreferenceReservationParticipants'] = 'Účastníci rezervace';
        $strings['PreferenceReservationSeriesEnding'] = 'Řada opakovaných rezervací končí';
        $strings['PreferenceReservationMissedCheckin'] = 'Zmeškal/a jste potvrzení příchodu';
        $strings['PreferenceReservationMissedCheckout'] = 'Zmeškal/a jste potvrzení odchodu';
        $strings['ReservationRemindersPreferenceDescription'] = 'Upomínky na začátek a konec rezervace. Pokud je nastaveno, upomínky budou vždy zaslány e-mailem.';
        $strings['ReservationCreatedPreferenceDescription'] = 'Když vytvoříte rezervaci nebo někdo vytvoří rezervaci vaším jménem.';
        $strings['ReservationUpdatedPreferenceDescription'] = 'Když upravíte rezervaci nebo někdo upraví rezervaci vaším jménem.';
        $strings['ReservationDeletedPreferenceDescription'] = 'Když smažete rezervaci nebo někdo smaže rezervaci vaším jménem.';
        $strings['ReservationApprovedPreferenceDescription'] = 'Pokud váš čekající požadavek na rezervaci byl schválen.';
        $strings['ReservationParticipantsPreferenceDescription'] = 'Pokud někdo akceptuje pozvání k vaší události (rezervaci) nebo zruší tuto akceptaci.';
        $strings['ReservationSeriesEndingPreferenceDescription'] = 'Pokud se přiblíží datum poslední události v rámci opakované rezervace.';
        $strings['ReservationMissedCheckinPreferenceDescription'] = 'Pokud se neodbavíte pro rezervaci, která začala.';
        $strings['ReservationMissedCheckoutPreferenceDescription'] = 'Pokud se neodhlásíte z rezervace, která skončila.';
        $strings['NotificationPreferenceOnlyEmail'] = 'Tato notifikace může být zaslána pouze e-mailem.';
        $strings['SMSNotifications'] = 'SMS notifikace';
        $strings['SMSPhoneMissing'] = 'K zprovoznění SMS notifikací prosím zadejte vaše telefonní číslo.';
        $strings['UpdateYourProfile'] = 'Aktualizovat váš profil';
        $strings['SMSConfirmCode'] = 'Prosím vložte kód, který jsme vám poslali na vaše telefonní číslo (%s)';
        $strings['SMSUpdateYourPhone'] = 'Upravte své telefonní číslo';
        $strings['SMSNeedToConfirm'] = 'Vaše telefonní číslo musí být před zasíláním SMS ověřeno';
        $strings['SendConfirmationCode'] = 'Poslat kód';
        $strings['SMSUnavailableCountry'] = 'Do této země nemůžeme zasílat SMS zprávy.';
        $strings['SMSOptInConfirmation'] = 'Požádali jste o zasílání SMS notifikací. Všechny nastavené notifikace budou zasílány na';
        $strings['SmsMoreInfo'] = 'Více informací o nastavení SMS notifikací v systému Booked.';
        $strings['SMSAllowedMessagesPerMonth'] = 'Počet povolených zpráv za měsíc';
        $strings['SMSSentThisMonth'] = 'Odesláno tento měsíc';
        $strings['SMSRemainingThisMonth'] = 'Zbývá pro tento měsíc';
        $strings['SMSAdjustSettingContact'] = 'Pro úpravu nastavení SMS kontaktujte';
        $strings['Options'] = 'Možnosti';
        $strings['Calendar'] = 'Kalendář';
        $strings['PartialMatch'] = 'Částečná shoda';
        $strings['UpdateThisReport'] = 'Upravit tento report';
        $strings['CancelNotification'] = 'Zrušit notifikaci';
        $strings['WaitlistSingle'] = 'Na tento časový interval někdo čeká';
        $strings['WaitlistPlural'] = 'Na tento časový interval čeká dalších %s uživatelů';
        $strings['Waitlist'] = 'Seznam čekajících';
        $strings['WaitlistRequests'] = 'Požadavek na seznam čekajících';
        $strings['AddMeetingLink'] = 'Přidat odkaz na schůzku';
        $strings['RemoveMeetingLink'] = 'Odstranit odkaz na schůzku';
        $strings['OpenLink'] = 'Otevřít odkaz';
        $strings['MeetingLink'] = 'Odkaz na schůzku';
        $strings['ZoomMeetingsOwnerOnly'] = 'Schůzky Zoom mohou být vytvořeny pouze vlastníkem rezervace.';
        $strings['ZoomMeetingsOwnerOnlyUpdate'] = 'Schůzky Zoom mohou být upravovány pouze vlastníkem rezervace.';
        $strings['ZoomMeetingWillBeCreated'] = 'Schůzka Zoom bude vytvořena';
        $strings['MustLinkZoomAccount'] = 'Musíte propojit váš účet Zoom.';
        $strings['ZoomDoesNotSupportCustomRecurrence'] = 'Zoom nepodporuje opakování v uživatelem zvolených intervalech. Schůzka bude vytvořena pouze pro první rezervaci.';
        $strings['TeamsMeetingsOwnerOnly'] = 'Schůzky Teams mohou být vytvořeny pouze vlastníkem rezervace.';
        $strings['TeamsMeetingsOwnerOnlyUpdate'] = 'Schůzky Teams mohou být upravovány pouze vlastníkem rezervace.';
        $strings['TeamsMeetingWillBeCreated'] = 'Schůzka Teams bude vytvořena';
        $strings['MustLinkTeamsAccount'] = 'Musíte propojit váš účet Microsoft.';
        $strings['TeamsDoesNotSupportCustomRecurrence'] = 'Teams nepodporuje opakování v uživatelem zvolených intervalech. Schůzka bude vytvořena pouze pro první rezervaci.';
        $strings['LinkedAccounts'] = 'Propojené účty';
        $strings['Linked'] = 'Propojené';
        $strings['Unlinked'] = 'Zrušené propojení';
        $strings['LinkAccount'] = 'Propojit účet';
        $strings['UnlinkAccount'] = 'Zrušit propojení účtu';
        $strings['DateFormat'] = 'Formát data';
        $strings['TimeFormat'] = 'Formát času';
        $strings['ChangeOwner'] = 'Změnit vlastníka';
        $strings['CoOwners'] = 'Spoluvlastníci';
        $strings['AddCoOwners'] = 'Přidat spoluvlastníky';
        $strings['ChangeCoOwners'] = 'Změnit spoluvlastníky';
        $strings['RemoveCoOwner'] = 'Odstranit spoluvlastníky';
        $strings['CoOwner'] = 'Spoluvlastník';
        $strings['MyReservations'] = 'Moje rezervace';
        $strings['ShowLegend'] = 'Zobrazit legendu';
        $strings['HideLegend'] = 'Skrýt legendu';
        $strings['AttributeCategory'] = 'Kategorie atributů';
        $strings['MultipleSelect'] = 'Vícenásobný výběr';
        $strings['MustBeBookedWithOneWay'] = 'Musí být rezervováno spolu s (jednosměrně)';
        $strings['QuotaOn'] = 'Každá osoba v';
        $strings['QuotaEachPersonIn'] = 'Každá osoba v';
        $strings['QuotaIsLimitedTo'] = 'Je omezena na';
        $strings['QuotaStopEnforcement'] = 'Ukončit vynucení';
        $strings['QuotaAheadOfCurrentTime'] = 'počínaje tímto okamžikem';
        $strings['Every'] = 'Každý';
        $strings['Enforced'] = 'Vynucena';
        $strings['Quotas'] = 'Kvóty';
        $strings['UpdateQuota'] = 'Upravit kvótu';
        $strings['UpTo'] = 'až';
        $strings['AddResourceMap'] = 'Přidat mapu zdrojů';
        $strings['Map'] = 'Mapa';
        $strings['Published'] = 'Publikováno';
        $strings['Draft'] = 'Pracovní verze';
        $strings['MapName'] = 'Jméno mapy';
        $strings['MapImageInstructions'] = 'Vyberte soubor s mapu. Pouze obrázky. Minimální šířka %s. Maximální šířka %s.';
        $strings['AdvancedSearchOptions'] = 'Podrobné vyhledávání';
        $strings['CreditsAreNotEnabled'] = 'Kreditní systém není nastaven';
        $strings['JoinReservation'] = 'Přidat se k rezervaci';
        $strings['DeleteReason'] = 'Smazat zdůvodnění';
        $strings['AddOAuthProvider'] = 'Přidat poskytovatele Oauth';
        $strings['OAuthProviderName'] = 'Jméno poskytovatele';
        $strings['OAuthClientId'] = 'ID klienta';
        $strings['OAuthClientSecret'] = 'Heslo klienta';
        $strings['AccessTokenGrantType'] = 'Způsob přidělení tokenu';
        $strings['OAuthAuthorizationUrl'] = 'Autorizační URL';
        $strings['OAuthAccessTokenUrl'] = 'URL přístupového tokenu';
        $strings['OAuthUserDetailsTokenUrl'] = 'URL detailů uživatele (vlastníka zdroje]';
        $strings['FieldMappings'] = 'Mapování polí';
        $strings['UpdateOAuthProvider'] = 'Upravit poskytovatele OAuth';
        $strings['LoginWith'] = 'Přihlásit se s';
        $strings['OAuthRedirectInstructions'] = 'Poskytovatelé OAuth mohou požadovat toto URL přesměrování při konfiguraci nového klienta';
        $strings['TheValueForReservationAttribute'] = 'Hodnota atributu rezervace';
        $strings['UpdateRule'] = 'Upravit pravidlo';
        $strings['OAuthProvider'] = 'Poskytovatel OAuth';
        $strings['ReservationColorRule'] = 'Pravidlo barvy rezervace';
        $strings['ReservationAttribute'] = 'Atribut rezervace';
        $strings['SelectAnAttribute'] = 'Zvol atribut';
        $strings['Criteria'] = 'Kriteria';
        $strings['ReleasedReservations'] = 'Uvolněné rezervace';
        $strings['LoginActivationReminder'] = 'Pokud jste v poslední době vytvořili účet, musíte je aktivovat. Prosím hledejte ve svých e-mailech odkaz na aktivaci.';
        $strings['ApprovedBy'] = 'Schválil/a';
        $strings['ApprovalDate'] = 'Schváleno dne';
        // End Strings

        // Install
        $strings['InstallApplication'] = 'Instalace Booked Scheduleru (pouze pro MySQL)';
        $strings['IncorrectInstallPassword'] = 'Nesprávné heslo.';
        $strings['SetInstallPassword'] = 'Před pokračováním musíte zadat instalační heslo.';
        $strings['InstallPasswordInstructions'] = 'V souboru %s nastavte %s na náhodné a obtížně uhodnutelné heslo, poté se vraťte na tuto stránku.<br/>Můžete použít %s';
        $strings['NoUpgradeNeeded'] = 'Booked je v aktuální. Žádná aktualizace není potřeba.';
        $strings['ProvideInstallPassword'] = 'Zadejte prosím instalační heslo.';
        $strings['InstallPasswordLocation'] = 'To je zadáno v řádku %s v souboru %s.';
        $strings['VerifyInstallSettings'] = 'Před pokračovnáním ověřte následující výchozí nastavení. Nebo je změňte v %s.';
        $strings['DatabaseName'] = 'Název databáze';
        $strings['DatabaseUser'] = 'Databázový uživatel';
        $strings['DatabaseHost'] = 'Databázový server';
        $strings['DatabaseCredentials'] = 'Musíte zadat přístupové údaje uživatele MySQL, který má práva k vytváření databází. Pokud takové údaje neznáte, kontaktujte svého databázového administrátora. Často lze použít údaje superuživatele (root).';
        $strings['MySQLUser'] = 'MySQL uživatel';
        $strings['InstallOptionsWarning'] = 'Následující nastavení pravděpodobně nebudou fungovat ve sdíleném prostředí. Pokud instalujete do sdíleného prostředí, použijte k dokončení následujících kroků nástroje pro správu MySQL.';
        $strings['CreateDatabase'] = 'Vytvořit databázi';
        $strings['CreateDatabaseUser'] = 'Vytvořit databázového uživatele';
        $strings['PopulateExampleData'] = 'Importovat vzorová data. Vytvoří administrátorský účet: admin/password a uživatelský účet: user/password';
        $strings['DataWipeWarning'] = 'Varování: Tato akce smaže veškerá data';
        $strings['RunInstallation'] = 'Spustit instalaci';
        $strings['UpgradeNotice'] = 'Aktualizujete z verze <b>%s</b> na verzi <b>%s</b>';
        $strings['RunUpgrade'] = 'Spustit aktualizaci';
        $strings['Executing'] = 'Provádí se';
        $strings['StatementFailed'] = 'Dotaz selhal. Podrobnosti:';
        $strings['SQLStatement'] = 'SQL dotaz:';
        $strings['ErrorCode'] = 'Kód chyby:';
        $strings['ErrorText'] = 'Text chyby:';
        $strings['InstallationSuccess'] = 'Instalace byla úspěšně dokončena!';
        $strings['RegisterAdminUser'] = 'Pokud jste neimportovali vzorová data, vytvořte účet administrátora. Ověřte že $conf[\'settings\'][\'allow.self.registration\'] = \'true\' v souboru %s.';
        $strings['LoginWithSampleAccounts'] = 'Pokud jste importovali vzorová data, přihlašte se s administrátorským pověřením admin/password nebo uživatelským pověřením user/password.';
        $strings['InstalledVersion'] = 'Nainstalovaná verze Booked Scheduleru je %s';
        $strings['InstallUpgradeConfig'] = 'Doporučujeme aktualizovat váš konfigurační soubor';
        $strings['InstallationFailure'] = 'Vyskytly se problémy během instalace. Prosím opravte je a zkuste instalaci spustit znovu.';
        $strings['ConfigureApplication'] = 'Nastavit Booked Scheduler';
        $strings['ConfigUpdateSuccess'] = 'Váš konfigurační soubor je aktuální!';
        $strings['ConfigUpdateFailure'] = 'Nepodařilo se automaticky aktualizovat konfigurační soubor. Prosím přepište obsah souboru config.php následujícím:';
        $strings['ScriptUrlWarning'] = 'Vaše nastavení <em>script.url</em> pravděpodobně není spávné. V současnosti je nastaveno na <strong>%s</strong>, ale nejspíše by mělo být <strong>%s</strong>';
        // End Install

        // Errors
        $strings['LoginError'] = 'Chybně zadané uživatelské jméno nebo heslo.';
        $strings['ReservationFailed'] = 'Vaše rezervace nemůže být vytvořena.';
        $strings['MinNoticeError'] = 'Pro tyto rezervace je nastavena ochranná lhůta. Nejdřívější datum a čas, na které může být rezervováno, je %s.';
        $strings['MinNoticeErrorUpdate'] = 'Pro změnu této rezervace je nastavena ochranná lhůta. Rezervace před %s nemohou být změněny.';
        $strings['MinNoticeErrorDelete'] = 'Smazání této rezervace není možné v ochranné lhůtě. Rezervace před %s nemohou být smazány.';
        $strings['MaxNoticeError'] = 'Tato rezervace nemůže být naplánována tak daleko. Nejzazší datum, které může být rezervováno je %s.';
        $strings['MinDurationError'] = 'Tato rezervace musí být delší než %s.';
        $strings['MaxDurationError'] = 'Tato rezervace nemůže trvat déle než %s.';
        $strings['ConflictingAccessoryDates'] = 'Překročili jste maximální počet následujícho příslušentví:';
        $strings['NoResourcePermission'] = 'Nemáte oprávnění k jednomu nebo více požadovaným zdrojům';
        $strings['ConflictingReservationDates'] = 'Existují rezervace, které jsou s vaší rezervací v konfliktu v uvedených dnech:';
        $strings['InstancesOverlapRule'] = 'Některé instance série rezervací se překrývají:';
        $strings['StartDateBeforeEndDateRule'] = 'Začátek rezervace musí předcházet její konec.';
        $strings['StartIsInPast'] = 'Začátek rezervace nemůže být v minulosti.';
        $strings['EmailDisabled'] = 'Administrátor zakázal posílání e-mailových upozornění.';
        $strings['ValidLayoutRequired'] = 'Rozpis termínů musí pokrývat celý den od 0:00 do 24:00 hodin.';
        $strings['CustomAttributeErrors'] = 'Atributy, které jste definoval/a, nejsou v pořádku:';
        $strings['CustomAttributeRequired'] = '%s je povinné pole.';
        $strings['CustomAttributeInvalid'] = 'Hodnota pro %s je chybná.';
        $strings['AttachmentLoadingError'] = 'Omlouváme se, došlo k chybě při načítání požadovaného souboru.';
        $strings['InvalidAttachmentExtension'] = 'Můžete nahrát pouze soubory těchto typů: %s';
        $strings['InvalidStartSlot'] = 'Požadovaný začátek rezervace je neplatný.';
        $strings['InvalidEndSlot'] = 'Požadovaný konec rezervace je neplatný.';
        $strings['MaxParticipantsError'] = '%s umožňuje pouze %s účastníků.';
        $strings['MinParticipantsError'] = 'Při ukládání rezervace nastala kritická chyba. Bude-li se tento problém opakovat, kontaktujte administrátora.';
        $strings['ReservationCriticalError'] = 'Závažná chyba při rezervaci. Kontaktuje nás prosím.';
        $strings['InvalidStartReminderTime'] = 'Začátek upomínky je chybně zadán.';
        $strings['InvalidEndReminderTime'] = 'Konec upomínky je chybně zadán.';
        $strings['QuotaExceeded'] = 'Kvóta je vyčerpána.';
        $strings['MultiDayRule'] = '%s nelze rezervovat přes více dnů.';
        $strings['MultiDayRuleAll'] = 'Rezervace překračující hranice dnů nejsou dovoleny.';
        $strings['InvalidReservationData'] = 'Nastal problém s požadavkem na rezervaci.';
        $strings['PasswordError'] = 'Heslo musí obsahovat nejméně %s písměn a nejméně %s čísel.';
        $strings['PasswordErrorRequirements'] = 'Heslo musí obsahovat kombinaci nejméně %s malých a velkých písmen a %s čísel.';
        $strings['NoReservationAccess'] = 'Nemáte povolení měnit tuto rezervaci.';
        $strings['PasswordControlledExternallyError'] = 'Vaše heslo je uloženo v externím systému a zde nemůže být změněno.';
        $strings['AccessoryResourceRequiredErrorMessage'] = 'Příslušenství %s může být pouze rezervováno spolu se zdrojem %s.';
        $strings['AccessoryMinQuantityErrorMessage'] = 'Musíte rezervovat alespoň %s z příslušenství %s.';
        $strings['AccessoryMaxQuantityErrorMessage'] = 'Nelze rezervovat více než %s z příslušenství %s.';
        $strings['AccessoryResourceAssociationErrorMessage'] = 'Příslušenství %s nemůže být pouze rezervováno spolu s vybraným zdrojem.';
        $strings['NoResources'] = 'Nebyl přidán žádný zdroj.';
        $strings['ParticipationNotAllowed'] = 'Nemáte oprávnění se připojit k této rezervaci.';
        $strings['ReservationCannotBeCheckedInTo'] = 'Nelze potvrdit zahájení této rezervace.';
        $strings['ReservationCannotBeCheckedOutFrom'] = 'Nelze potvrdit ukončení této rezervace.';
        $strings['InvalidEmailDomain'] = 'Tato e-mailová adresa nepatří do povolené domény.';
        $strings['TermsOfServiceError'] = 'Musíte přijmout podmínky poskytování služby';
        $strings['UserNotFound'] = 'Tento uživatel nebyl nalezen';
        $strings['ScheduleAvailabilityError'] = 'Tento rozvrh je k dispozici mezi %s a %s';
        $strings['ReservationNotFoundError'] = 'Rezervace nenalezena';
        $strings['ReservationNotAvailable'] = 'Rezervace není k dispozici';
        $strings['TitleRequiredRule'] = 'Název rezervace je povinný';
        $strings['DescriptionRequiredRule'] = 'Popis rezervace je povinný';
        $strings['WhatCanThisGroupManage'] = 'Co může tato skupina řídit?';
        $strings['RegisteredAccountRequired'] = 'Rezervace mohou vkládat pouze registrovaní uživatelé';
        $strings['InvalidNumberOfResourcesError'] = 'Maximální počet zdrojů , který může být rezervován v jedné rezervaci je %s';
        $strings['ScheduleTotalReservationsError'] = 'Tento rozvrh umožňuje pouze %s souběžných rezervací. Tato rezervace by překročila uvedený limit v následujících dnech:';
        $strings['UserConcurrentLimitError'] = 'Můžete mít najednou pouze %s rezervací. Tato rezervace by překročila nastavený limit v následujících dnech:';
        $strings['ResourceMustBeBookedWith'] = '%s musí být rezervováno spolu s %s';
        $strings['ResourceCannotBeBookedWith'] = '%s nesmí být rezervováno spolu s %s';
        $strings['ResourceCannotBeBookedAtSameTimeAs'] = '%s nesmí být rezervováno ve stejnou dobu jako %s';
        $strings['ReservationCannotBeBookedTogether '] = 'Následující zdroje nemohou být rezervovány společně';
        $strings['CorrectErrorsBelow'] = 'Prosím opravte níže uvedené chyby';
        $strings['ResourceImageUploadError'] = 'Obrázek nemůže být přijat. Prosím zkontrolujte velikost a typ souboru.';
        $strings['ReservationUploadError'] = 'Soubor nemůže být přijat. Prosím zkontrolujte velikost a typ souboru.';
        $strings['PastAutoreleaseError'] = 'U této rezervace už uplynul čas pro potvrzení příchodu a proto nemůže být změněna.';
        $strings['CannotJoinReservation'] = 'Nemůžete se přidat k této rezervaci.';
        $strings['CannotDeclineReservation'] = 'Tuto rezervaci nemůžete odmítnout.';
        $strings['WeHadTroubleProcessingYourRequest'] = 'Máme potíže zpracovat váš požadavek.';
        $strings['NewPasswordCannotBeTheSameAsOld'] = 'Nové heslo nesmí být stejné jako původní heslo';
        $strings['ResourceQRScanFailed'] = 'Zdroj nemůže být přidán. Buď QR kód neodpovídá existujícímu zdroji nebo nemáte právo rezervovat tento zdroj.';
        $strings['AccessoryQRScanFailed'] = 'Příslušenství nemůže být přidáno. Buď QR kód neodpovídá existujícímu příslušenství nebo nemáte právo rezervovat toto příslušenství.';
        $strings['TimezoneMismatchError'] = 'Váš prohlížeč má nastavenu jinou časovou zónu než váš profil. To může způsobit nesrovnalosti v časech rezervací.';
        $strings['AddResourceError'] = 'Zdroj nemá definována povinná pole';
        $strings['InvalidMeetingUrlError'] = 'URL odkazu na schůzku je neplatné';
        $strings['ErrorConnectingToExternalMeeting'] = 'Your login request could not be processed. Please try again.';
        $strings['MapImageError'] = 'Pouze obrázky. Minimální šířka %s. Maximální šířka %s.';
        $strings['OAuthLoginError'] = 'Váš požadavek na přihlášení nemohl být zpracován. Prosím zkuste to znovu.';
        // End Errors

        // Page Titles
        $strings['CreateReservation'] = 'Vytvořit rezervaci';
        $strings['EditReservation'] = 'Upravit rezervaci';
        $strings['LogIn'] = 'Přihlášení';
        $strings['ManageReservations'] = 'Rezervace';
        $strings['ManageReservationSettings'] = 'Nastavení rezervací';
        $strings['AwaitingActivation'] = 'Čeká na aktivaci';
        $strings['PendingApproval'] = 'Probíhá schválení';
        $strings['ManageSchedules'] = 'Rozvrhy';
        $strings['ManageResources'] = 'Zdroje';
        $strings['ManageAccessories'] = 'Příslušenství';
        $strings['ManageUsers'] = 'Uživatelé';
        $strings['ManageGroups'] = 'Skupiny';
        $strings['ManageQuotas'] = 'Kvóty';
        $strings['ManageBlackouts'] = 'Termíny zavření provozu';
        $strings['MyDashboard'] = 'Můj hlavní přehled';
        $strings['ServerSettings'] = 'Nastavení serveru';
        $strings['Dashboard'] = 'Hlavní přehled';
        $strings['Help'] = 'Nápověda';
        $strings['Administration'] = 'Administrace';
        $strings['About'] = 'O nás';
        $strings['Bookings'] = 'Rezervace';
        $strings['Schedule'] = 'Rozvrh';
        $strings['Account'] = 'Účet';
        $strings['EditProfile'] = 'Upravit vlastní profil';
        $strings['FindAnOpening'] = 'Najít volný termín';
        $strings['OpenInvitations'] = 'Zobrazit pozvání';
        $strings['ResourceCalendar'] = 'Kalendář zdroje';
        $strings['Reservation'] = 'rezervace';
        $strings['Install'] = 'Instalace';
        $strings['ChangePassword'] = 'Změnit heslo';
        $strings['MyAccount'] = 'Můj účet';
        $strings['Profile'] = 'Profil';
        $strings['ApplicationManagement'] = 'Správa systému';
        $strings['ForgotPassword'] = 'zapomenuté heslo';
        $strings['NotificationPreferences'] = 'E-mailové notifikace';
        $strings['ManageAnnouncements'] = 'Oznámení';
        $strings['Responsibilities'] = 'Odpovědnost';
        $strings['GroupReservations'] = 'Skupinové rezervace';
        $strings['ResourceReservations'] = 'Rezervace zdrojů';
        $strings['Customization'] = 'Úpravy';
        $strings['Attributes'] = 'Atributy';
        $strings['AccountActivation'] = 'Aktivace účtu';
        $strings['ScheduleReservations'] = 'Rezervace v rozvrhu';
        $strings['Reports'] = 'Report';
        $strings['GenerateReport'] = 'Vytvořit nový report';
        $strings['MySavedReports'] = 'Mé uložené reporty';
        $strings['CommonReports'] = 'Standardní reporty';
        $strings['ViewDay'] = 'Zobrazit denní přehled';
        $strings['Group'] = 'Skupina';
        $strings['ManageConfiguration'] = 'Nastavení aplikace';
        $strings['LookAndFeel'] = 'Nastavení vzhledu';
        $strings['ManageResourceGroups'] = 'Skupiny zdrojů';
        $strings['ManageResourceTypes'] = 'Typy zdrojů';
        $strings['ManageResourceStatus'] = 'Stavy zdrojů';
        $strings['ReservationColors'] = 'Barvy rezervace';
        $strings['SearchReservations'] = 'Vyhledat rezervace';
        $strings['ManagePayments'] = 'Platby';
        $strings['ViewCalendar'] = 'Zobrazit kalendář';
        $strings['DataCleanup'] = 'Vyčištění dat';
        $strings['ManageEmailTemplates'] = 'Spravovat šablony zpráv';
        $strings['ManageMonitorViews'] = 'Zobrazení využití zdroje';
        $strings['ConfirmAccount'] = 'Bezpečnostní kontrola';
        $strings['FirstLogin'] = 'Vítejte v Booked!';
        $strings['ReservationsNav'] = 'Rezervace';
        $strings['ManageMaps'] = 'Mapy zdrojů';
        $strings['ResourceMaps'] = 'Mapy zdrojů';
        $strings['ManageOAuth'] = 'Spravovat OAuth';
        // End Page Titles

        // Day representations
        $strings['DaySundaySingle'] = 'N';
        $strings['DayMondaySingle'] = 'P';
        $strings['DayTuesdaySingle'] = 'Ú';
        $strings['DayWednesdaySingle'] = 'S';
        $strings['DayThursdaySingle'] = 'Č';
        $strings['DayFridaySingle'] = 'P';
        $strings['DaySaturdaySingle'] = 'S';

        $strings['DaySundayAbbr'] = 'Ne';
        $strings['DayMondayAbbr'] = 'Po';
        $strings['DayTuesdayAbbr'] = 'Út';
        $strings['DayWednesdayAbbr'] = 'St';
        $strings['DayThursdayAbbr'] = 'Čt';
        $strings['DayFridayAbbr'] = 'Pá';
        $strings['DaySaturdayAbbr'] = 'So';
        // End Day representations

        // Email Subjects
        $strings['ReservationApprovedSubject'] = 'Vaše rezervace byla potvrzena';
        $strings['ReservationCreatedSubject'] = 'Vaše rezervace byla vytvořena';
        $strings['ReservationUpdatedSubject'] = 'Vaše rezervace byla upravena';
        $strings['ReservationDeletedSubject'] = 'Vaše rezervace byla zrušena';
        $strings['ReservationCreatedAdminSubject'] = 'Info: Rezervace byla vytvořena';
        $strings['ReservationUpdatedAdminSubject'] = 'Info: Rezervace byla upravena';
        $strings['ReservationDeleteAdminSubject'] = 'Info: Rezervace byla zrušena';
        $strings['ReservationApprovalAdminSubject'] = 'Info: Rezervace vyžaduje Vaše schválení';
        $strings['ParticipantAddedSubject'] = 'Informace o účastnících rezervace';
        $strings['ParticipantDeletedSubject'] = 'Informace o účastnících rezervace';
        $strings['InviteeAddedSubject'] = 'Pozvánka do rezervace';
        $strings['ResetPasswordRequest'] = 'Požadavek na resetování hesla';
        $strings['ActivateYourAccount'] = 'Prosíme, aktivujte svůj účet';
        $strings['ReportSubject'] = 'Booked report (%s)';
        $strings['ReservationStartingSoonSubject'] = 'Vaše rezervace %s zanedlouho začne';
        $strings['ReservationEndingSoonSubject'] = 'Vaše rezervace %s zanedlouho skončí';
        $strings['UserAdded'] = 'Byl přidán nový uživatel';
        $strings['UserDeleted'] = 'Účet uživatele %s byl smazán uživatelem %s';
        $strings['GuestAccountCreatedSubject'] = 'Parametry vašeho účtu %s';
        $strings['AccountCreatedSubject'] = 'Parametry vašeho účtu %s';
        $strings['InviteUserSubject'] = '%s vás pozval k účasti na %s';
        $strings['ReservationApprovedSubjectWithResource'] = 'Rezervace zdroje %s byla schválena';
        $strings['ReservationCreatedSubjectWithResource'] = 'Rezervace zdroje %s byla vytvořena';
        $strings['ReservationUpdatedSubjectWithResource'] = 'Rezervace zdroje %s byla upravena';
        $strings['ReservationDeletedSubjectWithResource'] = 'Rezervace zdroje %s byla smazána';
        $strings['ReservationCreatedAdminSubjectWithResource'] = 'Info: Rezervace zdroje %s byla vytvořena';
        $strings['ReservationUpdatedAdminSubjectWithResource'] = 'Info: Rezervace zdroje %s byla upravena';
        $strings['ReservationDeleteAdminSubjectWithResource'] = 'Info: Rezervace zdroje %s byla zrušena';
        $strings['ReservationApprovalAdminSubjectWithResource'] = 'Info: Rezervace zdroje %s vyžaduje vaše schválení';
        $strings['ParticipantAddedSubjectWithResource'] = '%s vás zahrnul do rezervace zdroje %s';
        $strings['ParticipantUpdatedSubjectWithResource'] = '%s upravil rezervaci zdroje %s';
        $strings['ParticipantDeletedSubjectWithResource'] = '%s zrušil rezervaci zdroje %s';
        $strings['InviteeAddedSubjectWithResource'] = '%s vás pozval k rezervovanému zdroji %s';
        $strings['MissedCheckinEmailSubject'] = 'Čas pro potvrzení příchodu pro %s uplynul';
        $strings['MissedCheckoutEmailSubject'] = 'Čas pro potvrzení odchodu pro %s uplynul';
        $strings['ReservationExtendedEmailSubject'] = 'Rezervace pro %s byla automatciky prodloužena';
        $strings['ReservationShareSubject'] = '% sdílí rezervaci zdroje %s';
        $strings['ReservationSeriesEndingSubject'] = 'Série rezervací %s končí %s';
        $strings['ReservationParticipantAccept'] = '%s přijal vaše pozvání do rezervace %s na %s';
        $strings['ReservationParticipantDecline'] = '%s odmítl vaše pozvání do rezervace %s na %s';
        $strings['ReservationParticipantJoin'] = '%s se přidal k vaší rezervaci %s na %s';
        $strings['ReservationAvailableSubject'] = 'zdroj %s je dostupný v %s';
        $strings['ResourceStatusChangedSubject'] = 'Dostupnost zdroje %s se změnila';
        $strings['PasswordUpdatedByAdminSubject'] = 'Vaše %s heslo bylo změněno';
        $strings['OneTimePasscodeSubject'] = 'Váš %s jednorázový kód';
        $strings['ReservationOwnershipChangedSubject'] = 'Rezervace byly přeneseny k vám';
        $strings['CoOwnerAddedSubjectWithResource'] = '%s vás přidal jako spoluvlastníka rezervace na %s';
        $strings['CoOwnerUpdatedSubjectWithResource'] = '%s upravil rezervaci, kterou spoluvlastníte, na %s';
        $strings['CoOwnerDeletedSubjectWithResource'] = '%s smazal rezervaci, kterou spoluvlastníte, na %s';
        $strings['PasswordUpdatedByUserSubject'] = 'Vaše heslo bylo modifikováno';
        // End Email Subjects

        // SMS
        $strings['SMSMessageReservationCreated'] = 'Rezervace pro %s v %s byla vytvořena. %s';
        $strings['SMSMessageReservationApproved'] = 'Rezervace pro %s v %s byla potvrzena. %s';
        $strings['SMSMessageReservationDeleted'] = 'Rezervace pro %s v %s byla smazána. %s';
        $strings['SMSMessageReservationUpdated'] = 'Rezervace pro %s v %s byla upravena. %s';
        $strings['SMSMessageReservationStartReminder'] = 'Rezervace pro %s začíná v %s. %s';
        $strings['SMSMessageReservationEndReminder'] = 'Rezervace pro %s končí v %s. %s';
        $strings['SMSMessageReservationSeriesEndingReminder'] = 'Poslední rezervace v řadě rezervací pro %s je v %s. %s';
        $strings['SMSMessageOTP'] = 'Váš jednorázový kód pro systém Booked je %s';
        $strings['SMSMessageOTPConfirm'] = 'Děkujeme za potvrzení telefonního čísla. Nastavení SMS notifikací můžete upravit v sekci Notifikace.';
        $strings['SMSMessageReservationMissedCheckin'] = 'Zmeškali jste čas pro potvrzení příchodu u rezervace na %s v %s. %s';
        $strings['SMSMessageReservationMissedCheckout'] = 'Zmeškali jste čas pro potvrzení odchodu u rezervace na %s v %s. %s';
        // End SMS

        $this->Strings = $strings;

        return $this->Strings;    
    }

	/**
	 * @return array
	 */
	protected function _LoadDays()
	{
		$days = array();

		/***
		 * DAY NAMES
		 * All of these arrays MUST start with Sunday as the first element
		 * and go through the seven day week, ending on Saturday
		 ***/
// The full day name
		$days['full'] = array('Neděle', 'Pondělí', 'Úterý', 'Středa', 'Čtvrtek', 'Pátek', 'Sobota');
// The three letter abbreviation
		$days['abbr'] = array('Ne', 'Po', 'Út', 'St', 'Čt', 'Pá', 'So');
// The two letter abbreviation
		$days['two'] = array('Ne', 'Po', 'Út', 'St', 'Čt', 'Pá', 'So');
// The one letter abbreviation
		$days['letter'] = array('Ne', 'Po', 'Út', 'St', 'Čt', 'Pá', 'So');

		$this->Days = $days;

		return $this->Days;
	}

	/**
	 * @return array
	 */
	protected function _LoadMonths()
	{
		$months = array();

		/***
		 * MONTH NAMES
		 * All of these arrays MUST start with January as the first element
		 * and go through the twelve months of the year, ending on December
		 ***/
// The full month name
		$months['full'] = array('Leden', 'Únor', 'Březen', 'Duben', 'Květen', 'Červen', 'Červenec', 'Srpen', 'Září', 'Říjen', 'Listopad', 'Prosinec');
// The three letter month name
		$months['abbr'] = array('Leden', 'Únor', 'Březen', 'Duben', 'Květen', 'Červen', 'Červenec', 'Srpen', 'Září', 'Říjen', 'Listopad', 'Prosinec');

		$this->Months = $months;

		return $this->Months;
	}

	protected function _GetHtmlLangCode()
	{
		return 'cz';
	}
}
