<?php
/**
 * Copyright 2011-2023 Twinkle Toes Software, LLC
 */

require_once('Language.php');
require_once('en_gb.php');

class es extends en_gb
{
    protected function _LoadStrings()
    {
        $strings = parent::_LoadStrings();

        $strings['FirstName'] = 'Nombre';
        $strings['LastName'] = 'Apellido';
        $strings['Timezone'] = 'Zona horaria';
        $strings['Edit'] = 'Editar';
        $strings['Change'] = 'Cambiar';
        $strings['Rename'] = 'Renombrar';
        $strings['Remove'] = 'Eliminar';
        $strings['Delete'] = 'Borrar';
        $strings['Update'] = 'Actualizar';
        $strings['Cancel'] = 'Cancelar';
        $strings['Add'] = 'Agregar';
        $strings['Name'] = 'Nombre';
        $strings['Yes'] = 'Sí';
        $strings['No'] = 'No';
        $strings['FirstNameRequired'] = 'Se requiere un nombre.';
        $strings['LastNameRequired'] = 'Se requiere un apellido.';
        $strings['PwMustMatch'] = 'La contraseña de confirmación debe coincidir.';
        $strings['ValidEmailRequired'] = 'Se requiere una dirección válida de correo.';
        $strings['UniqueEmailRequired'] = 'Esa dirección de correo ya está registrada.';
        $strings['UniqueUsernameRequired'] = 'Ese nombre de usuario ya está registrado.';
        $strings['UserNameRequired'] = 'Se requiere un nombre de usuario.';
        $strings['CaptchaMustMatch'] = 'Por favor, introduce los caracteres de seguridad tal como aparecen.';
        $strings['Today'] = 'Hoy';
        $strings['Week'] = 'Semana';
        $strings['Month'] = 'Mes';
        $strings['BackToCalendar'] = 'Regreso al calendario';
        $strings['BeginDate'] = 'Inicio';
        $strings['EndDate'] = 'Fin';
        $strings['Username'] = 'Nombre de usuario';
        $strings['Password'] = 'Contraseña';
        $strings['PasswordConfirmation'] = 'Confirmar contraseña';
        $strings['DefaultPage'] = 'Página de inicio predeterminada';
        $strings['MyCalendar'] = 'Mi calendario';
        $strings['ScheduleCalendar'] = 'Calendario de reservas';
        $strings['Registration'] = 'Registro';
        $strings['NoAnnouncements'] = 'No hay anuncios';
        $strings['Announcements'] = 'Anuncios';
        $strings['NoUpcomingReservations'] = 'No tienes reservas próximas';
        $strings['UpcomingReservations'] = 'Próximas reservas';
        $strings['AllNoUpcomingReservations'] = 'No tienes reservas en los próximos %s días';
        $strings['AllUpcomingReservations'] = 'Todas las reservas próximas';
        $strings['ShowHide'] = 'Mostrar/Ocultar';
        $strings['Error'] = 'Error';
        $strings['ReturnToPreviousPage'] = 'Volver a la página anterior';
        $strings['UnknownError'] = 'Error desconocido';
        $strings['InsufficientPermissionsError'] = 'No tienes permiso para acceder a este recurso';
        $strings['MissingReservationResourceError'] = 'No se ha seleccionado un recurso';
        $strings['MissingReservationScheduleError'] = 'No se ha seleccionado una planificación';
        $strings['DoesNotRepeat'] = 'No se repite';
        $strings['Daily'] = 'Diario';
        $strings['Weekly'] = 'Semanal';
        $strings['Monthly'] = 'Mensual';
        $strings['Yearly'] = 'Anual';
        $strings['RepeatPrompt'] = 'Repetir';
        $strings['hours'] = 'horas';
        $strings['days'] = 'días';
        $strings['weeks'] = 'semanas';
        $strings['months'] = 'meses';
        $strings['years'] = 'años';
        $strings['day'] = 'día';
        $strings['week'] = 'semana';
        $strings['month'] = 'mes';
        $strings['year'] = 'año';
        $strings['repeatDayOfMonth'] = 'día del mes';
        $strings['repeatDayOfWeek'] = 'día de la semana';
        $strings['RepeatUntilPrompt'] = 'Hasta';
        $strings['RepeatEveryPrompt'] = 'Cada';
        $strings['RepeatDaysPrompt'] = 'En';
        $strings['CreateReservationHeading'] = 'Crear una nueva reserva';
        $strings['EditReservationHeading'] = 'Editando reserva %s';
        $strings['ViewReservationHeading'] = 'Viendo reserva %s';
        $strings['ReservationErrors'] = 'Cambiar reserva';
        $strings['Create'] = 'Crear';
        $strings['ThisInstance'] = 'Sólo esta instancia';
        $strings['AllInstances'] = 'Todas las instancias';
        $strings['FutureInstances'] = 'Instancias futuras';
        $strings['Print'] = 'Imprimir';
        $strings['ShowHideNavigation'] = 'Mostrar/Ocultar navegación';
        $strings['ReferenceNumber'] = 'Número de referencia';
        $strings['Tomorrow'] = 'Mañana';
        $strings['LaterThisWeek'] = 'Más tarde esta semana';
        $strings['NextWeek'] = 'Siguiente semana';
        $strings['SignOut'] = 'Cerrar';
        $strings['LayoutDescription'] = 'Empieza en %s, mostrando %s días cada vez';
        $strings['AllResources'] = 'Todos los recursos';
        $strings['TakeOffline'] = 'Deshabilitar';
        $strings['BringOnline'] = 'Habilitar';
        $strings['AddImage'] = 'Agregar imagen';
        $strings['NoImage'] = 'Sin imagen asignada';
        $strings['Move'] = 'Mover';
        $strings['AppearsOn'] = 'Aparece en %s';
        $strings['Location'] = 'Localización';
        $strings['NoLocationLabel'] = '(no se ha fijado una localización)';
        $strings['Contact'] = 'Contacto';
        $strings['NoContactLabel'] = '(sin información de contacto)';
        $strings['Description'] = 'Descripción';
        $strings['NoDescriptionLabel'] = '(sin descripción)';
        $strings['Notes'] = 'Notas';
        $strings['NoNotesLabel'] = '(sin notas)';
        $strings['NoTitleLabel'] = '(sin título)';
        $strings['UsageConfiguration'] = 'Configuración de uso';
        $strings['ChangeConfiguration'] = 'Cambiar configuración';
        $strings['ResourceMinLength'] = 'Las reservas deben durar por lo menos %s';
        $strings['ResourceMinLengthNone'] = 'No hay duración mínima de reserva';
        $strings['ResourceMaxLength'] = 'Las reservas no pueden durar más de %s';
        $strings['ResourceMaxLengthNone'] = 'No hay duración máxima de reserva';
        $strings['ResourceRequiresApproval'] = 'Las reservas deben ser aprobadas';
        $strings['ResourceRequiresApprovalNone'] = 'Las reservas no requieren ser aprobadas';
        $strings['ResourcePermissionAutoGranted'] = 'El permiso se concede automáticamente';
        $strings['ResourcePermissionNotAutoGranted'] = 'El permiso no se concede automáticamente';
        $strings['ResourceMinNotice'] = 'Las reservas deben realizarse al menos %s antes del tiempo de inicio';
        $strings['ResourceMinNoticeNone'] = 'Las reservas se pueden realizar hasta la hora actual';
        $strings['ResourceMinNoticeUpdate'] = 'Las reservas pueden actualizarse al menos %s antes del tiempo de inicio';
        $strings['ResourceMinNoticeNoneUpdate'] = 'Las reservas se pueden actualizar hasta la hora de inicio';
        $strings['ResourceMinNoticeDelete'] = 'Las reservas pueden borrarse al menos %s antes del tiempo de inicio';
        $strings['ResourceMinNoticeNoneDelete'] = 'Las reservas se pueden borrar hasta la hora de inicio';
        $strings['ResourceMaxNotice'] = 'Las reservas no deben durar más de %s desde la hora actual';
        $strings['ResourceMaxNoticeNone'] = 'Las reservas pueden terminar en cualquier momento futuro';
        $strings['ResourceBufferTime'] = 'Debe de haber %s entre reservas';
        $strings['ResourceBufferTimeNone'] = 'No hay tiempo entre reservas';
        $strings['ResourceAllowMultiDay'] = 'Las reservas pueden extenderse a lo largo de días';
        $strings['ResourceNotAllowMultiDay'] = 'Las reservas no pueden extenderse a lo largo de días';
        $strings['ResourceCapacity'] = 'Este recurso tiene una capacidad de %s personas';
        $strings['ResourceCapacityNone'] = 'Este recurso tiene capacidad ilimitada';
        $strings['AddNewResource'] = 'Agregar nuevo recurso';
        $strings['AddNewUser'] = 'Agregar nuevo usuario';
        $strings['AddResource'] = 'Agregar recurso';
        $strings['Capacity'] = 'Capacidad';
        $strings['Access'] = 'Acceso';
        $strings['Duration'] = 'Duración';
        $strings['Active'] = 'Activo';
        $strings['Inactive'] = 'Inactivo';
        $strings['ResetPassword'] = 'Restablecer contraseña';
        $strings['LastLogin'] = 'Último inicio de sesión';
        $strings['Search'] = 'Buscar';
        $strings['ResourcePermissions'] = 'Permisos del recurso';
        $strings['Reservations'] = 'Reservas';
        $strings['Groups'] = 'Grupos';
        $strings['Users'] = 'Usuarios';
        $strings['AllUsers'] = 'Todos los usuarios';
        $strings['AllGroups'] = 'Todos los grupos';
        $strings['AllSchedules'] = 'Todas las planificaciones';
        $strings['UsernameOrEmail'] = 'Usuario DMSAS';
        $strings['Members'] = 'Miembros';
        $strings['QuickSlotCreation'] = 'Crear un intervalo de tiempo cada %s minutos entre %s y %s';
        $strings['ApplyUpdatesTo'] = 'Aplicar actualizaciones a';
        $strings['CancelParticipation'] = 'Cancelar participación';
        $strings['Attending'] = 'Asistencia';
        $strings['QuotaConfiguration'] = 'En %s para %s usuarios en %s están limitados a %s %s por cada %s';
        $strings['QuotaEnforcement'] = 'Impuesto %s %s';
        $strings['reservations'] = 'reservas';
        $strings['reservation'] = 'reserva';
        $strings['ChangeCalendar'] = 'Cambiar calendario';
        $strings['AddQuota'] = 'Agregar cuota';
        $strings['FindUser'] = 'Encontrar usuario';
        $strings['Created'] = 'Creado';
        $strings['LastModified'] = 'Última modificación';
        $strings['GroupName'] = 'Nombre de grupo';
        $strings['GroupMembers'] = 'Miembros del grupo';
        $strings['GroupRoles'] = 'Roles del grupo';
        $strings['GroupAdmin'] = 'Administrador del grupo';
        $strings['Actions'] = 'Acciones';
        $strings['CurrentPassword'] = 'Contraseña actual';
        $strings['NewPassword'] = 'Nueva contraseña';
        $strings['InvalidPassword'] = 'La contraseña actual es incorrecta';
        $strings['PasswordChangedSuccessfully'] = 'Tu contraseña se ha modificado correctamente';
        $strings['SignedInAs'] = 'Sesión iniciada por ';
        $strings['NotSignedIn'] = 'No has iniciado sesión';
        $strings['ReservationTitle'] = 'Título de la reserva';
        $strings['ReservationDescription'] = 'Descripción de la reserva';
        $strings['ResourceList'] = 'Recursos a reservar';
        $strings['Accessories'] = 'Accesorios';
        $strings['InvitationList'] = 'Invitados';
        $strings['AccessoryName'] = 'Nombre de accesorio';
        $strings['QuantityAvailable'] = 'Cantidad disponible';
        $strings['Resources'] = 'Recursos';
        $strings['Participants'] = 'Participantes';
        $strings['User'] = 'Usuario';
        $strings['Resource'] = 'Recurso';
        $strings['Status'] = 'Estado';
        $strings['Approve'] = 'Aprobado';
        $strings['Page'] = 'Página';
        $strings['Rows'] = 'Filas';
        $strings['Unlimited'] = 'Ilimitado';
        $strings['Email'] = 'Correo';
        $strings['EmailAddress'] = 'Direción de Correo';
        $strings['Phone'] = 'Teléfono';
        $strings['Organization'] = 'Organización';
        $strings['Position'] = 'Posición';
        $strings['Language'] = 'Idioma';
        $strings['Permissions'] = 'Permisos';
        $strings['Reset'] = 'Reiniciar';
        $strings['FindGroup'] = 'Encontrar grupo';
        $strings['Manage'] = 'Gestionar';
        $strings['None'] = 'Ninguno';
        $strings['AddToOutlook'] = 'Agregar a Outlook';
        $strings['Done'] = 'Hecho';
        $strings['RememberMe'] = 'Recuérdame';
        $strings['FirstTimeUser?'] = '¿Eres un usuario nuevo?';
        $strings['CreateAnAccount'] = 'Crear cuenta';
        $strings['ViewSchedule'] = 'Ver planificación';
        $strings['ForgotMyPassword'] = 'He olvidado mi contraseña';
        $strings['YouWillBeEmailedANewPassword'] = 'Se te enviará una contraseña generada aleatoriamente.';
        $strings['Close'] = 'Cerrar';
        $strings['ExportToCSV'] = 'Exportar a CSV';
        $strings['OK'] = 'OK';
        $strings['Working'] = 'Trabajando...';
        $strings['Login'] = 'Iniciar sesión';
        $strings['AdditionalInformation'] = 'Información adicional';
        $strings['AllFieldsAreRequired'] = 'Se requieren todos los campos';
        $strings['Optional'] = 'opcional';
        $strings['YourProfileWasUpdated'] = 'Se ha actualizado el perfil';
        $strings['YourSettingsWereUpdated'] = 'Se han actualizado los ajustes';
        $strings['Register'] = 'Registrar';
        $strings['SecurityCode'] = 'Código de seguridad';
        $strings['ReservationCreatedPreference'] = 'Cuando creo una reserva o una reserva se crea en mi nombre';
        $strings['ReservationUpdatedPreference'] = 'Cuando actualizo una reserva o una reserva se actualiza en mi nombre';
        $strings['ReservationDeletedPreference'] = 'Cuando borro una reserva o se borra una reserva en mi nombre';
        $strings['ReservationApprovalPreference'] = 'Cuando mi reserva pendiente ha sido aprobada';
        $strings['PreferenceSendEmail'] = 'Envíame un correo';
        $strings['PreferenceNoEmail'] = 'No me notifiques';
        $strings['ReservationCreated'] = '¡Tu reserva se ha creado correctamente!';
        $strings['ReservationUpdated'] = '¡Tu reserva se ha actualizado correctamente!';
        $strings['ReservationRemoved'] = 'Tu reserva se ha eliminado';
        $strings['ReservationRequiresApproval'] = 'Uno o más de los recursos reservados requieren aprobación antes de su uso. Esta reserva queará pendiente hasta que sea aprobada.';
        $strings['YourReferenceNumber'] = 'Tu número de referencia es %s';
        $strings['ChangeUser'] = 'Cambiar usuario';
        $strings['MoreResources'] = 'Más recursos';
        $strings['ReservationLength'] = 'Duración de la reserva';
        $strings['ParticipantList'] = 'Lista de participantes';
        $strings['AddParticipants'] = 'Agregar participantes';
        $strings['InviteOthers'] = 'Invitar a otros';
        $strings['AddResources'] = 'Agregar recursos';
        $strings['AddAccessories'] = 'Agregar Accesorios';
        $strings['Accessory'] = 'Accesorio';
        $strings['QuantityRequested'] = 'Cantidad requerida';
        $strings['CreatingReservation'] = 'Creando reserva';
        $strings['UpdatingReservation'] = 'Actualizando reserva';
        $strings['DeleteWarning'] = '¡Esta acción es permanente e irrecuperable!';
        $strings['DeleteAccessoryWarning'] = 'Al borrar este accesorio se eliminará de todas las reservas.';
        $strings['AddAccessory'] = 'Agregar accesorio';
        $strings['AddBlackout'] = 'Agregar No Disponibilidad';
        $strings['AllResourcesOn'] = 'Todos los recursos habilitados';
        $strings['Reason'] = 'Razón';
        $strings['BlackoutShowMe'] = 'Muéstrame reservas en conflicto';
        $strings['BlackoutDeleteConflicts'] = 'Borrar las reservas en conflicto';
        $strings['Filter'] = 'Filtrar';
        $strings['Between'] = 'Entre';
        $strings['CreatedBy'] = 'Creada por';
        $strings['BlackoutCreated'] = 'Se ha creado la no disponibilidad';
        $strings['BlackoutNotCreated'] = 'No se ha podido crear la no disponibilidad';
        $strings['BlackoutUpdated'] = 'Se ha actualizado la no disponibilidad';
        $strings['BlackoutNotUpdated'] = 'No se pudo actualizar la no disponibilidad';
        $strings['BlackoutConflicts'] = 'Hay tiempos de no disponibilidad en conflicto';
        $strings['ReservationConflicts'] = 'Hay tiempos de reserva en conflicto';
        $strings['UsersInGroup'] = 'Usuarios en este grupo';
        $strings['Browse'] = 'Navegar';
        $strings['DeleteGroupWarning'] = 'Al borrar este grupo se eliminarán todos los permisos de los recursos asociados.  Los usuarios en este grupo pueden perder acceso a los recursos.';
        $strings['WhatRolesApplyToThisGroup'] = '¿Qué roles aplican a este grupo?';
        $strings['WhoCanManageThisGroup'] = '¿Quién puede gestionar este grupo?';
        $strings['WhoCanManageThisSchedule'] = '¿Quién puede gestionar esta planificación?';
        $strings['AllQuotas'] = 'Todas las cuotas';
        $strings['QuotaReminder'] = 'Recordatorio: las cuotas se fijan basándose en la zona horaria de las planificaciones.';
        $strings['AllReservations'] = 'Todas las reservas';
        $strings['PendingReservations'] = 'Reservas pendientes';
        $strings['Approving'] = 'Aprobando';
        $strings['MoveToSchedule'] = 'Mover a planificación';
        $strings['DeleteResourceWarning'] = 'Al borrar este recurso se eliminarán todos los datos asociados, incluyendo';
        $strings['DeleteResourceWarningReservations'] = 'todos las reservas pasadas, actuales y futuras asociadas';
        $strings['DeleteResourceWarningPermissions'] = 'todas las asignaciones de permisos';
        $strings['DeleteResourceWarningReassign'] = 'Por favor reasigna todo lo que no quieras que sea borrado antes de continuar';
        $strings['ScheduleLayout'] = 'Distribución horaria (todas las veces %s)';
        $strings['ReservableTimeSlots'] = 'Intervalos de tiempo reservables';
        $strings['BlockedTimeSlots'] = 'Intervalos de tiempo bloqueados';
        $strings['ThisIsTheDefaultSchedule'] = 'Esta es la planificación predeterminada';
        $strings['DefaultScheduleCannotBeDeleted'] = 'La planificación predeterminada no se puede eliminar';
        $strings['MakeDefault'] = 'Hacer predeterminada';
        $strings['BringDown'] = 'Deshabilitar';
        $strings['ChangeLayout'] = 'Cambiar distribución horaria';
        $strings['AddSchedule'] = 'Agregar planificación';
        $strings['StartsOn'] = 'Comienza en';
        $strings['NumberOfDaysVisible'] = 'Números de días visibles';
        $strings['UseSameLayoutAs'] = 'Usar la misma distribución horaria que';
        $strings['Format'] = 'Formato';
        $strings['OptionalLabel'] = 'Etiqueta opcional';
        $strings['LayoutInstructions'] = 'Introduce un intervalo de tiempo por línea. Se deben proporcionar intervalos de tiempo para las 24 horas del día comenzando y terminando a las 12:00 AM.';
        $strings['AddUser'] = 'Agregar usuario';
        $strings['UserPermissionInfo'] = 'El acceso real a los recursos puede ser diferente dependiendo de los roles del usuario, permisos de grupo, o ajustes externos de permisos';
        $strings['DeleteUserWarning'] = 'Al borrar este usuario se eliminarán todas sus reservas actuales, futuras y pasadas.';
        $strings['AddAnnouncement'] = 'Agregar anuncio';
        $strings['Announcement'] = 'Anuncio';
        $strings['Priority'] = 'Prioridad';
        $strings['Reservable'] = 'Reservable';
        $strings['Unreservable'] = 'No reservable';
        $strings['Reserved'] = 'Reservado';
        $strings['MyReservation'] = 'Mi reserva';
        $strings['Pending'] = 'Pendiente';
        $strings['Past'] = 'Pasado';
        $strings['Restricted'] = 'Restringido';
        $strings['ViewAll'] = 'Ver todo';
        $strings['MoveResourcesAndReservations'] = 'Mover recursos y reservas a';
        $strings['TurnOffSubscription'] = 'Desactivar suscripciones en calendario';
        $strings['TurnOnSubscription'] = 'Activar suscripciones en calendario';
        $strings['SubscribeToCalendar'] = 'Subscribirse a este calendario';
        $strings['SubscriptionsAreDisabled'] = 'El administrador ha deshabilitado las suscripciones a este calendario';
        $strings['NoResourceAdministratorLabel'] = '(No hay administrador de recurso)';
        $strings['WhoCanManageThisResource'] = '¿Quién puede administrar este recurso?';
        $strings['ResourceAdministrator'] = 'Administrador de recurso';
        $strings['Private'] = 'Privado';
        $strings['Accept'] = 'Aceptar';
        $strings['Decline'] = 'Rechazar';
        $strings['ShowFullWeek'] = 'Mostrar semana completa';
        $strings['CustomAttributes'] = 'Personalizar atributos';
        $strings['AddAttribute'] = 'Agregar un atributo';
        $strings['EditAttribute'] = 'Editar un atributo';
        $strings['DisplayLabel'] = 'Etiqueta visible';
        $strings['Type'] = 'Tipo';
        $strings['Required'] = 'Requerido';
        $strings['ValidationExpression'] = 'Expresión de validación';
        $strings['PossibleValues'] = 'Posibles valores';
        $strings['SingleLineTextbox'] = 'Caja de texto de una sola línea';
        $strings['MultiLineTextbox'] = 'Caja de texto de múltiples líneas';
        $strings['Checkbox'] = 'Casilla de verificación';
        $strings['SelectList'] = 'Lista de selección';
        $strings['CommaSeparated'] = 'separado por comas';
        $strings['Category'] = 'Categoría';
        $strings['CategoryReservation'] = 'Reserva';
        $strings['CategoryGroup'] = 'Grupo';
        $strings['SortOrder'] = 'Orden';
        $strings['Title'] = 'Título';
        $strings['AdditionalAttributes'] = 'Atributos adicionales';
        $strings['True'] = 'Verdadero';
        $strings['False'] = 'Falso';
        $strings['ForgotPasswordEmailSent'] = 'Se ha enviado un correo electrónico a la dirección proporcionada, con instrucciones para restablecer la contraseña';
        $strings['ActivationEmailSent'] = 'Pronto recibirás un correo de activación.';
        $strings['AccountActivationError'] = 'Lo siento, no hemos podido activar la cuenta.';
        $strings['Attachments'] = 'Adjuntos';
        $strings['AttachFile'] = 'Adjuntar archivo';
        $strings['Maximum'] = 'máximo';
        $strings['NoScheduleAdministratorLabel'] = 'No hay administrador de calendario';
        $strings['ScheduleAdministrator'] = 'Administrador de calendario';
        $strings['Total'] = 'Total';
        $strings['QuantityReserved'] = 'Cantidad Reservada';
        $strings['AllAccessories'] = 'Todos los accesorios';
        $strings['GetReport'] = 'Obtener informe';
        $strings['NoResultsFound'] = 'No hemos encontrado coincidencias';
        $strings['SaveThisReport'] = 'Guardar este informe';
        $strings['ReportSaved'] = '¡Informe guardado!';
        $strings['EmailReport'] = 'Enviar informe por correo';
        $strings['ReportSent'] = '¡Informe enviado!';
        $strings['RunReport'] = 'Generar informe';
        $strings['NoSavedReports'] = 'No has guardado el informe.';
        $strings['CurrentWeek'] = 'Semana actual';
        $strings['CurrentMonth'] = 'Mes actual';
        $strings['AllTime'] = 'Todo el tiempo';
        $strings['FilterBy'] = 'Filtrar por';
        $strings['Select'] = 'Seleccionar';
        $strings['List'] = 'Lista';
        $strings['TotalTime'] = 'Tiempo total';
        $strings['Count'] = 'Cuenta';
        $strings['Usage'] = 'Uso';
        $strings['AggregateBy'] = 'Agregar por';
        $strings['Range'] = 'Rango';
        $strings['Choose'] = 'Elegir';
        $strings['All'] = 'Todo';
        $strings['ViewAsChart'] = 'Ver como gráfico';
        $strings['ReservedResources'] = 'Recurso reservado';
        $strings['ReservedAccessories'] = 'Accesorio reservado';
        $strings['ResourceUsageTimeBooked'] = 'Uso de recurso - tiempo reservado';
        $strings['ResourceUsageReservationCount'] = 'Uso de recurso - número de reservas';
        $strings['Top20UsersTimeBooked'] = 'Top 20 - Tiempo reservado';
        $strings['Top20UsersReservationCount'] = 'Top 20 - Número de reservas';
        $strings['ConfigurationUpdated'] = 'Se actualizó el fichero de configuración';
        $strings['ConfigurationUiNotEnabled'] = 'No se puede acceder a esta página porque $conf[\'settings\'][\'pages\'][\'enable.configuration\'] está configurado a Falso.';
        $strings['ConfigurationFileNotWritable'] = 'El fichero de configuración no es editable. Por favor compruebe los permisos de este fichero e inténtelo de nuevo.';
        $strings['ConfigurationUpdateHelp'] = 'Vaya a la sección de Configuración del <a target=_blank href=%s>Archivo de ayuda</a> para documentación sobre estas opciones.';
        $strings['GeneralConfigSettings'] = 'opciones';
        $strings['UseSameLayoutForAllDays'] = 'Usar la misma distribución horaria para todos los días';
        $strings['LayoutVariesByDay'] = 'La distribución horaria varía por días';
        $strings['ManageReminders'] = 'Recordatorios';
        $strings['ReminderUser'] = 'ID de usuario';
        $strings['ReminderMessage'] = 'Mensaje';
        $strings['ReminderAddress'] = 'Direcciones';
        $strings['ReminderSendtime'] = 'Hora de envío';
        $strings['ReminderRefNumber'] = 'Número de referencia de la reserva';
        $strings['ReminderSendtimeDate'] = 'Fecha del recordatorio';
        $strings['ReminderSendtimeTime'] = 'Hora del recordatorio (HH:MM)';
        $strings['ReminderSendtimeAMPM'] = 'AM / PM';
        $strings['AddReminder'] = 'Agregar recordatorio';
        $strings['DeleteReminderWarning'] = '¿Estás seguro?';
        $strings['NoReminders'] = 'No tienes recordatorios próximos.';
        $strings['Reminders'] = 'Recordatorios';
        $strings['SendReminder'] = 'Enviar recordatorio';
        $strings['minutes'] = 'minutos';
        $strings['hours'] = 'horas';
        $strings['days'] = 'días';
        $strings['ReminderBeforeStart'] = 'antes de la hora de inicio';
        $strings['ReminderBeforeEnd'] = 'antes de la hora de finalización';
        $strings['Logo'] = 'Logo';
        $strings['CssFile'] = 'Archivo CSS';
        $strings['ThemeUploadSuccess'] = 'Se han guardado los cambios. Actualiza la página para hacer efectivos los cambios.';
        $strings['MakeDefaultSchedule'] = 'Hacer esta planificación mi planificación predeterminada';
        $strings['DefaultScheduleSet'] = 'Ahora ésta es tu planificación predeterminada';
        $strings['FlipSchedule'] = 'Girar la distribución de la planificación';
        $strings['Next'] = 'Siguiente';
        $strings['Success'] = 'Éxito';
        $strings['Participant'] = 'Participante';
        $strings['ResourceFilter'] = 'Filtro de recursos';
        $strings['ResourceGroups'] = 'Grupos de recursos';
        $strings['AddNewGroup'] = 'Agregar un nuevo grupo';
        $strings['Quit'] = 'Salir';
        $strings['AddGroup'] = 'Agregar grupo';
        $strings['StandardScheduleDisplay'] = 'Usar la vista de programación estándar';
        $strings['TallScheduleDisplay'] = 'Usar la vista de programación alargada';
        $strings['WideScheduleDisplay'] = 'Usar la vista de programación ancha';
        $strings['CondensedWeekScheduleDisplay'] = 'Usar la vista de programación de semana condensada';
        $strings['ResourceGroupHelp1'] = 'Arrastra los grupos de recursos a organizar.';
        $strings['ResourceGroupHelp2'] = 'Haz clic con el botón derecho sobre el nombre de un grupo de recursos para acciones adicionales.';
        $strings['ResourceGroupHelp3'] = 'Arrastra los recursos para agregarlos a los grupos.';
        $strings['ResourceGroupWarning'] = 'Si usas los grupos de recursos, cada recurso debe estar asignado al menos a un grupo. Los recursos no asignados no estarán disponibles para ser reservados.';
        $strings['ResourceType'] = 'Tipo de recurso';
        $strings['AppliesTo'] = 'Aplica a';
        $strings['UniquePerInstance'] = 'Único por instancia';
        $strings['AddResourceType'] = 'Agregar tipo de recurso';
        $strings['NoResourceTypeLabel'] = '(no está establecido el tipo de recurso)';
        $strings['ClearFilter'] = 'Limpiar filtro';
        $strings['MinimumCapacity'] = 'Capacidad mínima';
        $strings['Color'] = 'Color';
        $strings['Available'] = 'Disponible';
        $strings['Unavailable'] = 'No disponible';
        $strings['Hidden'] = 'Oculto';
        $strings['ResourceStatus'] = 'Estado del recurso';
        $strings['CurrentStatus'] = 'Estado actual';
        $strings['AllReservationResources'] = 'Todos los recursos de las reservas';
        $strings['File'] = 'Fichero';
        $strings['BulkResourceUpdate'] = 'Actualización masiva de recursos';
        $strings['Unchanged'] = 'Sin cambios';
        $strings['Common'] = 'Común';
        $strings['AdminOnly'] = 'Solo administradores';
        $strings['AdvancedFilter'] = 'Filtro avanzado';
        $strings['MinimumQuantity'] = 'Cantidad mínima';
        $strings['MaximumQuantity'] = 'Cantidad máxima';
        $strings['ChangeLanguage'] = 'Cambiar idioma';
        $strings['AddRule'] = 'Agregar regla';
        $strings['Attribute'] = 'Atributo';
        $strings['RequiredValue'] = 'Valor requerido';
        $strings['ReservationCustomRuleAdd'] = 'Si %s entonces la reserva será de color';
        $strings['AddReservationColorRule'] = 'Agregar regla de color de reserva';
        $strings['LimitAttributeScope'] = 'Recopilar en casos específicos';
        $strings['CollectFor'] = 'Recopilar para';
        $strings['SignIn'] = 'Iniciar sesión';
        $strings['AllParticipants'] = 'Todos los participantes';
        $strings['RegisterANewAccount'] = 'Registrar una nueva cuenta';
        $strings['Dates'] = 'Fechas';
        $strings['More'] = 'Más';
        $strings['ResourceAvailability'] = 'Disponibilidad del recurso';
        $strings['UnavailableAllDay'] = 'No disponible en todo el día';
        $strings['AvailableUntil'] = 'Disponible hasta las';
        $strings['AvailableBeginningAt'] = 'Disponible desde las';
        $strings['AvailableAt'] = 'Disponible en';
        $strings['AllResourceTypes'] = 'Todos los tipos de recursos';
        $strings['AllResourceStatuses'] = 'Todos los estados de los recursos';
        $strings['AllowParticipantsToJoin'] = 'Permitir a los participantes unirse';
        $strings['Join'] = 'Unirse';
        $strings['YouAreAParticipant'] = 'Participas en esta reserva';
        $strings['YouAreInvited'] = 'Estás invitado a esta reserva';
        $strings['YouCanJoinThisReservation'] = 'Puedes unirte a esta reserva';
        $strings['Import'] = 'Importar';
        $strings['GetTemplate'] = 'Obtener plantilla';
        $strings['UserImportInstructions'] = 'El archivo debe estar en formato CSV. El nombre de usuario y el correo son campos obligatorios. Dejar otros campos en blanco establecerá valores predeterminados y \'password\' como la contraseña del usuario. Usa la plantilla proporcionada como ejemplo.';
        $strings['RowsImported'] = 'Filas importadas';
        $strings['RowsSkipped'] = 'Columnas omitidas';
        $strings['Columns'] = 'Columnas';
        $strings['Reserve'] = 'Reservar';
        $strings['AllDay'] = 'Todo el día';
        $strings['Everyday'] = 'Todos los días';
        $strings['IncludingCompletedReservations'] = 'Incluyendo las reservas completadas';
        $strings['NotCountingCompletedReservations'] = 'Sin incluir las reservas completadas';
        $strings['RetrySkipConflicts'] = 'Omitir las reservas que entran en conflicto';
        $strings['Retry'] = 'Reintentar';
        $strings['RemoveExistingPermissions'] = '¿Eliminar los permisos existentes?';
        $strings['Continue'] = 'Continuar';
        $strings['WeNeedYourEmailAddress'] = 'Necesitamos el correo electrónico para reservar';
        $strings['ResourceColor'] = 'Color del recurso';
        $strings['DateTime'] = 'Fecha Hora';
        $strings['AutoReleaseNotification'] = 'Automáticamente liberado si no se hace «check in» en %s minutos';
        $strings['RequiresCheckInNotification'] = 'Requiere «check in»/«check out»';
        $strings['NoCheckInRequiredNotification'] = 'No requiere «check in»/«check out»';
        $strings['RequiresApproval'] = 'Requiere aprobación';
        $strings['CheckingIn'] = 'Haciendo «check in»';
        $strings['CheckingOut'] = 'Haciendo «check out»';
        $strings['CheckIn'] = '«Check in»';
        $strings['CheckOut'] = '«Check out»';
        $strings['ReleasedIn'] = 'Liberado en ';
        $strings['CheckedInSuccess'] = '«Check in» realizado';
        $strings['CheckedOutSuccess'] = '«Check out» realizado';
        $strings['CheckInFailed'] = 'No se pudo hacer el «check in»';
        $strings['CheckOutFailed'] = 'No se pudo hacer el «check out»';
        $strings['CheckInTime'] = 'Hora de «check in»';
        $strings['CheckOutTime'] = 'Hora de «check out»';
        $strings['OriginalEndDate'] = 'Finalización original';
        $strings['SpecificDates'] = 'Mostrar fechas específicas';
        $strings['Users'] = 'Usuarios';
        $strings['Guest'] = 'Invitado';
        $strings['ResourceDisplayPrompt'] = 'Recurso a mostrar';
        $strings['Credits'] = 'Créditos';
        $strings['AvailableCredits'] = 'Créditos disponibles';
        $strings['CreditUsagePerSlot'] = 'Requiere %s créditos por por intervalo (valle)';
        $strings['PeakCreditUsagePerSlot'] = 'Requiere %s créditos por intervalo (pico)';
        $strings['CreditsRule'] = 'No tienes crédito suficiente. Créditos necesarios: %s. Créditos en cuenta: %s';
        $strings['PeakTimes'] = 'Horas pico';
        $strings['AllYear'] = 'Todo el año';
        $strings['MoreOptions'] = 'Más opciones';
        $strings['SendAsEmail'] = 'Enviar por correo';
        $strings['UsersInGroups'] = 'Usuarios en grupos';
        $strings['UsersWithAccessToResources'] = 'Usuarios con acceso a recursos';
        $strings['AnnouncementSubject'] = '%s ha publicado un nuevo anuncio';
        $strings['AnnouncementEmailNotice'] = 'los usuarios recibirán este anuncio por correo';
        $strings['Day'] = 'Día';
        $strings['NotifyWhenAvailable'] = 'Notificarme cuando esté disponible';
        $strings['AddingToWaitlist'] = 'Añadiéndote a la lista de espera';
        $strings['WaitlistRequestAdded'] = 'Se le notificará si esta hora está disponible';
        $strings['PrintQRCode'] = 'Imprimir código Print QR';
        $strings['FindATime'] = 'Buscar un horario';
        $strings['AnyResource'] = 'Cualquier recurso';
        $strings['ThisWeek'] = 'Esta semana';


        $strings['Hours'] = 'Horas';
        $strings['Minutes'] = 'Minutos';
        $strings['ImportICS'] = 'Importar desde ICS';
        $strings['ImportQuartzy'] = 'Importar desde Quartzy';
        $strings['OnlyIcs'] = 'Sólo se pueden cargar ficheros *.ics .';
        $strings['IcsLocationsAsResources'] = 'Las ubicaciones serán importadas como recursos.';
        $strings['IcsMissingOrganizer'] = 'Si un evento no tiene organizador, el propietario será el usuario actual.';
        $strings['IcsWarning'] = 'Las reglas de reservas no se aplicarán - conflictos, duplicados, etc son posibles.';
        $strings['BlackoutAroundConflicts'] = 'Blackout around conflicting reservations';
        $strings['DuplicateReservation'] = 'Duplicar';
        $strings['UnavailableNow'] = 'No disponible en este momento';
        $strings['ReserveLater'] = 'Reservar más tarde';
        $strings['CollectedFor'] = 'Recogido para';
        $strings['IncludeDeleted'] = 'Incluir reservas borradas';
        $strings['Deleted'] = 'Borrado';
        $strings['Back'] = 'Atrás';
        $strings['Forward'] = 'Adelante';
        $strings['DateRange'] = 'Rango de fechas';


        $strings['Copy'] = 'Copiar';
        $strings['Detect'] = 'Detectar';
        $strings['Autofill'] = 'Auto rellenar';
        $strings['NameOrEmail'] = 'nombre o correo electrónico';
        $strings['ImportResources'] = 'Importar Recursos';
        $strings['ExportResources'] = 'Exportar Recursos';
        $strings['ResourceImportInstructions'] = '<ul><li>El fichero debe tener formato CSV con codificación UTF-8.</li><li>El nombre es un campo obligatorio. Dejar otros campos en blanco establecerá los valores por defecto.</li><li>Los estados disponibles son \'Disponible\', \'No disponible\' and \'Oculto\'.</li><li>El color será el formato hexadecimal. ex) #ffffff.</li><li>Las columnas de asignación y aprobación automática pueden ser verdadero o falso.</li><li>La validez del atributo no se aplicará.</li><li>Separar por comas los grupos de recursos.</li><li>Utilice la plantilla suministrada como ejemplo.</li></ul>';
        $strings['ReservationImportInstructions'] = '<ul><li>El fichero debe tener formato CSV con codificación UTF-8.</li><li>Correo electrónico, nombre del recurso, comienzo y finalización son campos obligatorios.</li><li>Comienzo y finalización requieren la fecha completa. El formato recomendado es YYYY-mm-dd HH:mm (2017-12-31 20:30).</li><li>Las reglas, los conflictos y los intervalos de tiempo válidos no serán verificados.</li><li>No se enviarán notificaciones.</li><li>La validez del atributo no se aplicará.</li><li>Separar por comas los grupos de recursos.</li><li>Utilice la plantilla suministrada como ejemplo.</li></ul>';
        $strings['AutoReleaseMinutes'] = 'Autorelease Minutes';
        $strings['CreditsPeak'] = 'Credits (peak)';
        $strings['CreditsOffPeak'] = 'Credits (off peak)';
        $strings['ResourceMinLengthCsv'] = 'Longitud Mínima de Reserva';
        $strings['ResourceMaxLengthCsv'] = 'Longitud Máxima de Reserva';
        $strings['ResourceBufferTimeCsv'] = 'Buffer Time';
        $strings['ResourceMinNoticeAddCsv'] = 'Reservation Add Minimum Notice';
        $strings['ResourceMinNoticeUpdateCsv'] = 'Reservation Update Minimum Notice';
        $strings['ResourceMinNoticeDeleteCsv'] = 'Reservation Delete Minimum Notice';
        $strings['ResourceMaxNoticeCsv'] = 'Reservation Maximum End';
        $strings['Export'] = 'Exportar';
        $strings['DeleteMultipleUserWarning'] = 'Eliminar estos usuarios eliminará todas sus reservas actuales, futuras e históricas. No se enviarán correos electrónicos.';
        $strings['DeleteMultipleReservationsWarning'] = 'No se enviarán correos electrónicos.';
        $strings['ErrorMovingReservation'] = 'Error Moviendo las Reservas';
        $strings['SelectUser'] = 'Seleccionar usuario';
        $strings['InviteUsers'] = 'Invitar Usuarios';
        $strings['InviteUsersLabel'] = 'Introduzca la dirección de correo electrónico de las personas a invitar';
        $strings['ApplyToCurrentUsers'] = 'Aplicar a los usuarios actuales';
        $strings['ReasonText'] = 'Razón';
        $strings['NoAvailableMatchingTimes'] = 'No hay horas disponibles que coincidan con tu búsqueda';
        $strings['Schedules'] = 'Horarios';
        $strings['NotifyUser'] = 'Notificar al usuario';
        $strings['UpdateUsersOnImport'] = 'Actualizar el usuario existente si la dirección del correo electrónico ya existe.';
        $strings['UpdateResourcesOnImport'] = 'Actualizar los recursos existentes si el nombre ya existe';
        $strings['Reject'] = 'Rechazar';
        $strings['CheckingAvailability'] = 'Comprobando disponibilidad';
        $strings['CreditPurchaseNotEnabled'] = 'No tiene habilitada la opción de comprar créditos';
        $strings['CreditsCost'] = 'Cada crédito cuesta';
        $strings['Currency'] = 'Moneda';
        $strings['PayPalClientId'] = 'ID de cliente';
        $strings['PayPalSecret'] = 'Password';
        $strings['PayPalEnvironment'] = 'Environment';
        $strings['Sandbox'] = 'Sandbox';
        $strings['Live'] = 'Live';
        $strings['StripePublishableKey'] = 'Publishable key';
        $strings['StripeSecretKey'] = 'Secret key';
        $strings['CreditsUpdated'] = 'Credit cost has been updated';
        $strings['GatewaysUpdated'] = 'Payment gateways have been updated';
        $strings['PurchaseSummary'] = 'Resumen de Compra';
        $strings['EachCreditCosts'] = 'Cada crédito cuesta';
        $strings['Checkout'] = 'Checkout';
        $strings['Quantity'] = 'Cantidad';
        $strings['CreditPurchase'] = 'Compra de Crédito';
        $strings['EmptyCart'] = 'Su cesta está vacia.';
        $strings['BuyCredits'] = 'Comprar Créditos';
        $strings['CreditsPurchased'] = 'Créditos comprados.';
        $strings['ViewYourCredits'] = 'Ver tus créditos';
        $strings['TryAgain'] = 'Intentar de nuevo';
        $strings['PurchaseFailed'] = 'Hemos tenido problemas procesando su pago.';
        $strings['NoteCreditsPurchased'] = 'Créditos comprados';
        $strings['CreditsUpdatedLog'] = 'Créditos actualizados por %s';
        $strings['ReservationCreatedLog'] = 'Reserva creada. Número de referencia %s';
        $strings['ReservationUpdatedLog'] = 'Reserva actualizada. Número de referencia %s';
        $strings['ReservationDeletedLog'] = 'Reserva borrada. Número de referencia %s';
        $strings['BuyMoreCredits'] = 'Comprar Más Créditos';
        $strings['Transactions'] = 'Transacciones';
        $strings['Cost'] = 'Coste';
        $strings['PaymentGateways'] = 'Payment Gateways';
        $strings['CreditHistory'] = 'Historial de Crédito';
        $strings['TransactionHistory'] = 'Historial de Transacciones';
        $strings['Date'] = 'Fecha';
        $strings['Note'] = 'Nota';
        $strings['CreditsBefore'] = 'Creditos Antes';
        $strings['CreditsAfter'] = 'Creditos Después';
        $strings['TransactionFee'] = 'Tarifa de Transacción';
        $strings['InvoiceNumber'] = 'Número de Factura';
        $strings['TransactionId'] = 'ID de Transacción';
        $strings['Gateway'] = 'Gateway';
        $strings['GatewayTransactionDate'] = 'Gateway Transaction Date';
        $strings['Refund'] = 'Reembolso';
        $strings['IssueRefund'] = 'Issue Refund';
        $strings['RefundIssued'] = 'Reembolso emitido con éxito';
        $strings['RefundAmount'] = 'Cantidad Devuelta';
        $strings['AmountRefunded'] = 'Reintegrado';
        $strings['FullyRefunded'] = 'Totalmente Reembolsado';
        $strings['YourCredits'] = 'Tus Créditos';
        $strings['PayWithCard'] = 'Pagas con Tarjeta';
        $strings['or'] = 'o';
        $strings['CreditsRequired'] = 'Creditos Requeridos';
        $strings['AddToGoogleCalendar'] = 'Añadir a Google';
        $strings['Image'] = 'Imagen';
        $strings['ChooseOrDropFile'] = 'Elige un fichero o arrástralo aquí';
        $strings['SlackBookResource'] = 'Book %s now';
        $strings['SlackBookNow'] = 'Reservar ahora';
        $strings['SlackNotFound'] = 'No hemos podido encontrar ningún recurso con ese nombre. Reservar ahora para comenzar una nueva reserva.';
        $strings['AutomaticallyAddToGroup'] = 'Automaticamente añadir nuevos usuarios a este grupo';
        $strings['GroupAutomaticallyAdd'] = 'Auto Añadir';
        $strings['TermsOfService'] = 'Terminos del Servicio';
        $strings['EnterTermsManually'] = 'Introduzca los Términos Manualmente';
        $strings['LinkToTerms'] = 'Enlace a los Términos';
        $strings['UploadTerms'] = 'Subir los Términos';
        $strings['RequireTermsOfServiceAcknowledgement'] = 'Requerir aceptación de los Términos del Servicio';
        $strings['UponReservation'] = 'Tras la Reserva';
        $strings['UponRegistration'] = 'Tras el Registro';
        $strings['ViewTerms'] = 'Ver los Términos del Servicio';
        $strings['IAccept'] = 'Accepto';
        $strings['TheTermsOfService'] = 'los Términos del Servicio';
        $strings['DisplayPage'] = 'Mostrar Página';
        $strings['AvailableAllYear'] = 'Todo el Año';
        $strings['Availability'] = 'Disopnibilidad';
        $strings['AvailableBetween'] = 'Disponible Entre';
        $strings['ConcurrentYes'] = 'Los recursos pueden ser reservados por más de una persona a la vez';
        $strings['ConcurrentNo'] = 'Los recursos no pueden ser reservados por más de una persona a la vez';
        $strings['ScheduleAvailabilityEarly'] = 'Esta planificación no está todavía disponible. Lo estará próximamente';
        $strings['ScheduleAvailabilityLate'] = 'Esta planificación ya no está disponible. Estuvo disponible';
        $strings['ResourceImages'] = 'Recursos de Imagenes';
        $strings['FullAccess'] = 'Acceso completo';
        $strings['ViewOnly'] = 'Sólo Ver';
        $strings['Purge'] = 'Purgar';
        $strings['UsersWillBeDeleted'] = 'los usuarios serán borrados';
        $strings['BlackoutsWillBeDeleted'] = 'blackout times will be deleted';
        $strings['ReservationsWillBePurged'] = 'reservations will be purged';
        $strings['ReservationsWillBeDeleted'] = 'se borrarán las reservas';
        $strings['PermanentlyDeleteUsers'] = 'Borrar definitivamente los usuarios que no se han logado desde';
        $strings['DeleteBlackoutsBefore'] = 'Delete blackout times before';
        $strings['DeletedReservations'] = 'Reservas Borradas';
        $strings['DeleteReservationsBefore'] = 'Borrar reservas anteriores a';
        $strings['SwitchToACustomLayout'] = 'Cambiar a un diseño personalizado';
        $strings['SwitchToAStandardLayout'] = 'Cambiar a un diseño standard';
        $strings['ThisScheduleUsesACustomLayout'] = 'Este horario usa un diseño personalizado';
        $strings['ThisScheduleUsesAStandardLayout'] = 'Este horario usa un diseño estandar';
        $strings['SwitchLayoutWarning'] = 'Are you sure that you want to change the layout type? This will remove all existing slots.';
        $strings['DeleteThisTimeSlot'] = 'Delete this time slot?';
        $strings['Refresh'] = 'Refrescar';
        $strings['ViewReservation'] = 'Ver Reserva';
        $strings['PublicId'] = 'Id Público';
        $strings['Public'] = 'Público';
        $strings['AtomFeedTitle'] = '%s Reservas';
        $strings['DefaultStyle'] = 'Estilo por Defecto';
        $strings['Standard'] = 'Estandar';
        $strings['Wide'] = 'Ancho';
        $strings['Tall'] = 'Alto';
        $strings['EmailTemplate'] = 'Plantilla de Correo Electrónico';
        $strings['SelectEmailTemplate'] = 'Seleccionar Plantilla de Correo Electrónico';
        $strings['ReloadOriginalContents'] = 'Recargar Contenido Original';
        $strings['UpdateEmailTemplateSuccess'] = 'Plantilla de correo electrónico actualizada';
        $strings['UpdateEmailTemplateFailure'] = 'No se pudo actualizar la plantilla del correo electrónico. Asegúrese que el directorio tiene permiso de escritura.';
        $strings['BulkResourceDelete'] = 'Bulk Resource Delete';
        $strings['NewVersion'] = '¡Nueva versión!';
        $strings['WhatsNew'] = '¿Qué hay nuevo?';
        $strings['OnlyViewedCalendar'] = 'Este calendario sólo se puede ver desde la vista de calendario';
        $strings['Grid'] = 'Cuadrícula';
        $strings['List'] = 'Lista';
        $strings['NoReservationsFound'] = 'No se han Encontrado Reservas';
        $strings['EmailReservation'] = 'Dirección de correo electrónico de la reserva';
        $strings['AdHocMeeting'] = 'Ad hoc Meeting';
        $strings['NextReservation'] = 'Próxima Reserva';
        $strings['MissedCheckin'] = 'Missed Checkin';
        $strings['MissedCheckout'] = 'Missed Checkout';
        $strings['Utilization'] = 'Uso';
        $strings['SpecificTime'] = 'Specific Time';
        $strings['ReservationSeriesEndingPreference'] = 'When my recurring reservation series is ending';
        $strings['NotAttending'] = 'Not Attending';
        $strings['ViewAvailability'] = 'Ver Disponibilidad';
        $strings['ReservationDetails'] = 'Detalles de la Reserva';
        $strings['StartTime'] = 'Hora de Comienzo';
        $strings['EndTime'] = 'Hora de Fin';
        $strings['ReservationSeriesEndingPreference'] = 'Cuando mi reserva recurrente está por terminar';
        // End Strings

        // Install
        $strings['InstallApplication'] = 'Instalar Booked Scheduler (solo MySQL)';
        $strings['IncorrectInstallPassword'] = 'Lo siento, la contraseña no es correcta.';
        $strings['SetInstallPassword'] = 'Debes establecer una contraseña de instalación antes de iniciar la instalación.';
        $strings['InstallPasswordInstructions'] = 'En %s por favor establece %s a una contraseña aleatoria y difícil de adivinar, entonces vuelve a esta página.<br/>Puedes usar %s';
        $strings['NoUpgradeNeeded'] = 'No es necesaria una actualización. ¡Ejecutar el proceso de instalación borrará todos los datos existentes e instalará una copia nueva de Booked Scheduler!';
        $strings['ProvideInstallPassword'] = 'Por favor proporciona la contraseña de instalación.';
        $strings['InstallPasswordLocation'] = 'Puede encontrarse en %s en %s.';
        $strings['VerifyInstallSettings'] = 'Verifica las siguientes opciones predeterminadas antes de continuar. O puedes cambiarlas en %s.';
        $strings['DatabaseName'] = 'Nombre de la base de datos';
        $strings['DatabaseUser'] = 'Usuario de la base de datos';
        $strings['DatabaseHost'] = 'Servidor de la base de datos';
        $strings['DatabaseCredentials'] = 'Debes proporcionar credenciales de un usuario de MySQL que tenga privilegios para crear bases de datos. Si no sabes cuá, contacta con el administrador de bases de datos. Em muchos casos, «root» funcionará.';
        $strings['MySQLUser'] = 'Usuario de MySQL';
        $strings['InstallOptionsWarning'] = 'Las siguientes opciones probablemente no funcionen en un entorno alojado. Si estás instalando en un entorno alojado, usa las herramientas de asistencia de MySQL para completar estos pasos.';
        $strings['CreateDatabase'] = 'Crear la base de datos';
        $strings['CreateDatabaseUser'] = 'Crear el usuario de la base de datos';
        $strings['PopulateExampleData'] = 'Importar datos de ejemplo. Crea la cuenta de administrador: admin/password y la cuenta de usuario: user/password';
        $strings['DataWipeWarning'] = 'Aviso: esto borrará los datos existentes';
        $strings['RunInstallation'] = 'Ejecutar la instalación';
        $strings['UpgradeNotice'] = 'Estás actualizando desde la versión <b>%s</b> a la versión <b>%s</b>';
        $strings['RunUpgrade'] = 'Ejecutar actualización';
        $strings['Executing'] = 'Ejecutando';
        $strings['StatementFailed'] = 'Error. Detalles:';
        $strings['SQLStatement'] = 'Sentencia SQL:';
        $strings['ErrorCode'] = 'Código de error:';
        $strings['ErrorText'] = 'Texto del error:';
        $strings['InstallationSuccess'] = '¡La instalación se ha completado correctamente!';
        $strings['RegisterAdminUser'] = 'Registra tu usuario administrador. Esto es necesario si no importaste los datos de ejemplo. Asegúrate de que  $conf[\'settings\'][\'allow.self.registration\'] = \'true\' en el archivo %s.';
        $strings['LoginWithSampleAccounts'] = 'Si importaste los datos de ejemplo, puedes iniciar sesión con admin/password para usuario administrador o user/password para usuario básico.';
        $strings['InstalledVersion'] = 'Ahora estás ejecutando la versión %s de Booked Scheduler';
        $strings['InstallUpgradeConfig'] = 'Se recomienda actualizar el archivo de configuración';
        $strings['InstallationFailure'] = 'Hubo problemas con la instalación. Por favor, corrígelos y reintenta la instalación.';
        $strings['ConfigureApplication'] = 'Configurar Booked Scheduler';
        $strings['ConfigUpdateSuccess'] = '¡El archivo de configuración se ha actualizado!';
        $strings['ConfigUpdateFailure'] = 'No pudimos actualizar automáticamente el archivo de configuración. Por favor sobreescribe el contenido de config.php con lo siguiente:';
        $strings['ScriptUrlWarning'] = 'Su fichero de configuración <em>script.url</em> puede no ser correcto. Actualmente es <strong>%s</strong>, pensamos que debería ser <strong>%s</strong>';
        // End Install


        // Errors
        $strings['LoginError'] = 'No se ha encontrado una correspondencia para tu Nombre de Usuario (Identificador) y contraseña';
        $strings['ReservationFailed'] = 'Tu reserva no se ha podido realizar';
        $strings['MinNoticeError'] = 'Esta reserva se debe realizar por anticipado.  La fecha más temprana que puede ser reservada %s.';
        $strings['MinNoticeErrorUpdate'] = 'Cambiar esta reserva requiere aviso previo. Las reservas antes del %s no se pueden cambiar.';
        $strings['MinNoticeErrorDelete'] = 'La eliminación de esta reserva requiere aviso previo. Las reservas antes del %s no se pueden borrar.';
        $strings['MaxNoticeError'] = 'Esta reserva no se puede alargar tan lejos en el futuro. La última fecha en la que se puede reservar es %s.';
        $strings['MinDurationError'] = 'Esta reserva debe durar al menos %s.';
        $strings['MaxDurationError'] = 'Esta reserva no puede durar más de %s.';
        $strings['ConflictingAccessoryDates'] = 'No hay suficientes de los siguientes accesorios:';
        $strings['NoResourcePermission'] = 'No tienes permisos para acceder uno o más de los recursos requeridos';
        $strings['ConflictingReservationDates'] = 'Hay conflictos en las reservas de las siguientes fechas:';
        $strings['StartDateBeforeEndDateRule'] = 'La fecha de inicio debe ser anterior a la fecha final';
        $strings['StartIsInPast'] = 'La fecha inicial no puede ser pasada';
        $strings['EmailDisabled'] = 'El administrador ha desactivado las notificaciones por correo';
        $strings['ValidLayoutRequired'] = 'Se deben proporcionar intervalos de tiempo para las 24 horas del día comenzando y terminando a las 12:00 AM.';
        $strings['CustomAttributeErrors'] = 'Hay problemas con los atributos adicionales que proporcionaste:';
        $strings['CustomAttributeRequired'] = '%s es un campo requerido.';
        $strings['CustomAttributeInvalid'] = 'El valor proporcionado para %s no es válido.';
        $strings['AttachmentLoadingError'] = 'Lo siento, hubo un problema con el fichero solicitado.';
        $strings['InvalidAttachmentExtension'] = 'Solamente puedes subir ficheros de tipo: %s';
        $strings['InvalidStartSlot'] = 'La fecha y hora de comienzo solicitada no es válida.';
        $strings['InvalidEndSlot'] = 'La fecha y hora de finalización solicitada no es válido.';
        $strings['MaxParticipantsError'] = '%s puede soportar %s participantes solamente.';
        $strings['ReservationCriticalError'] = 'Hubo un error crítico guardando tu reserva. Si continúa, contacta con el administrador del sistema.';
        $strings['InvalidStartReminderTime'] = 'La hora de comienzo del recordatorio no es válida.';
        $strings['InvalidEndReminderTime'] = 'La hora de finalización del recordatorio no es válida.';
        $strings['QuotaExceeded'] = 'Límite de cuota excedido.';
        $strings['MultiDayRule'] = '%s no permite reservar a través de días.';
        $strings['InvalidReservationData'] = 'Hubo problemas con tu solicitud de reserva.';
        $strings['PasswordError'] = 'La contraseña debe contener al menos %s letras y al menos %s números.';
        $strings['PasswordErrorRequirements'] = 'La contraseña debe contener una combinación de al menos %s letras mayúsculas y minúsculas y %s números.';
        $strings['NoReservationAccess'] = 'No tienes permisos para cambiar esta reserva.';
        $strings['PasswordControlledExternallyError'] = 'La contraseña se controla con un sistema externo y no se puede actualizar desde aquí.';
        $strings['AccessoryResourceRequiredErrorMessage'] = 'El accesorio %s solamente puede reservarse con los recursos %s';
        $strings['AccessoryMinQuantityErrorMessage'] = 'Debes reservar al menos %s del accesorio %s';
        $strings['AccessoryMaxQuantityErrorMessage'] = 'No puedes reservar más de %s del accesorio %s';
        $strings['AccessoryResourceAssociationErrorMessage'] = 'El accesorio \'%s\' no puede reservarse con los recursos solicitados';
        $strings['NoResources'] = 'No has agregado ningún recurso.';
        $strings['ParticipationNotAllowed'] = 'No tienes permiso para unirte a esta reserva.';
        $strings['ReservationCannotBeCheckedInTo'] = 'No se puede hacer «check in» en esta reserva.';
        $strings['ReservationCannotBeCheckedOutFrom'] = 'No se puede hacer «check out» en esta reserva.';
        $strings['InvalidEmailDomain'] = 'Esa dirección de correo electrónico no es de un dominio permitido';
        $strings['TermsOfServiceError'] = 'Debe aceptar los Términos de Servcio';
        $strings['UserNotFound'] = 'No se pudo encontrar al usuario';
        $strings['ScheduleAvailabilityError'] = 'Este calendario está disponible entre %s y %s';
        $strings['ReservationNotFoundError'] = 'Reserva no encontrada';
        $strings['ReservationNotAvailable'] = 'Reserva no disponible';
        $strings['TitleRequiredRule'] = 'Es obligatorio el título de la reserva';
        $strings['DescriptionRequiredRule'] = 'Es obligatoria la descripción de la reserva';
        $strings['WhatCanThisGroupManage'] = '¿Qué puede gestionar este grupo?';
        $strings['ReservationParticipationActivityPreference'] = 'Cuando alguien se une o deja mi reserva';
        $strings['RegisteredAccountRequired'] = 'Sólo los usuarios registrados pueden realizar reservas';
        // End Errors

        // Page Titles
        $strings['CreateReservation'] = 'Crear reserva';
        $strings['EditReservation'] = 'Editar reserva';
        $strings['LogIn'] = 'Iniciar sesión';
        $strings['ManageReservations'] = 'Gestionar reservas';
        $strings['AwaitingActivation'] = 'Esperando activación';
        $strings['PendingApproval'] = 'Pendiente de aprobación';
        $strings['ManageSchedules'] = 'Planificaciones';
        $strings['ManageResources'] = 'Recursos';
        $strings['ManageAccessories'] = 'Accesorios';
        $strings['ManageUsers'] = 'Usuarios';
        $strings['ManageGroups'] = 'Grupos';
        $strings['ManageQuotas'] = 'Cuotas';
        $strings['ManageBlackouts'] = 'Agenda de no disponibilidad';
        $strings['MyDashboard'] = 'Mi tablón';
        $strings['ServerSettings'] = 'Ajustes de servidor';
        $strings['Dashboard'] = 'Tablón';
        $strings['Help'] = 'Ayuda';
        $strings['Administration'] = 'Administración';
        $strings['About'] = 'Acerca de';
        $strings['Bookings'] = 'Reservas';
        $strings['Schedule'] = 'Planificación';
        $strings['Account'] = 'Cuenta';
        $strings['EditProfile'] = 'Editar mi perfil';
        $strings['FindAnOpening'] = 'Encontrar un hueco';
        $strings['OpenInvitations'] = 'Invitaciones pendientes';
        $strings['ResourceCalendar'] = 'Calendario de recursos';
        $strings['Reservation'] = 'Nueva reserva';
        $strings['Install'] = 'Instalación';
        $strings['ChangePassword'] = 'Cambiar contraseña';
        $strings['MyAccount'] = 'Mi cuenta';
        $strings['Profile'] = 'Perfil';
        $strings['ApplicationManagement'] = 'Gestión de la aplicación';
        $strings['ForgotPassword'] = 'Contraseña olvidada';
        $strings['NotificationPreferences'] = 'Preferencias de notificación';
        $strings['ManageAnnouncements'] = 'Anuncios';
        $strings['Responsibilities'] = 'Responsabilidades';
        $strings['GroupReservations'] = 'Reservas del grupo';
        $strings['ResourceReservations'] = 'Reservas de recursos';
        $strings['Customization'] = 'Personalización';
        $strings['Attributes'] = 'Atributos';
        $strings['AccountActivation'] = 'Activación de cuenta';
        $strings['ScheduleReservations'] = 'Programar reservas';
        $strings['Reports'] = 'Informes';
        $strings['GenerateReport'] = 'Crear nuevo informe';
        $strings['MySavedReports'] = 'Mis informes guardados';
        $strings['CommonReports'] = 'Informes comunes';
        $strings['ViewDay'] = 'Ver día';
        $strings['Group'] = 'Grupo';
        $strings['ManageConfiguration'] = 'Configuración de la aplicación';
        $strings['LookAndFeel'] = 'Apariencia';
        $strings['ManageResourceGroups'] = 'Grupos de recursos';
        $strings['ManageResourceTypes'] = 'Tipos de recursos';
        $strings['ManageResourceStatus'] = 'Estados de recursos';
        $strings['ReservationColors'] = 'Colores de las reservas';


        $strings['SearchReservations'] = 'Buscar Reservas';
        $strings['ManagePayments'] = 'Pagos';
        $strings['ViewCalendar'] = 'Ver Calendario';
        $strings['DataCleanup'] = 'Limpiar Datos';
        $strings['ManageEmailTemplates'] = 'Administrar Plantillas de Correo Electrónico';
        // End Page Titles

        // Day representations
        $strings['DaySundaySingle'] = 'D';
        $strings['DayMondaySingle'] = 'L';
        $strings['DayTuesdaySingle'] = 'M';
        $strings['DayWednesdaySingle'] = 'X';
        $strings['DayThursdaySingle'] = 'J';
        $strings['DayFridaySingle'] = 'V';
        $strings['DaySaturdaySingle'] = 'S';

        $strings['DaySundayAbbr'] = 'Dom';
        $strings['DayMondayAbbr'] = 'Lun';
        $strings['DayTuesdayAbbr'] = 'Mar';
        $strings['DayWednesdayAbbr'] = 'Mié';
        $strings['DayThursdayAbbr'] = 'Jue';
        $strings['DayFridayAbbr'] = 'Vie';
        $strings['DaySaturdayAbbr'] = 'Sáb';
        // End Day representations

        // Email Subjects
        $strings['ReservationApprovedSubject'] = 'Se ha aprobado tu reserva';
        $strings['ReservationCreatedSubject'] = 'Se ha creado tu reserva';
        $strings['ReservationUpdatedSubject'] = 'Se ha actualizado tu reserva';
        $strings['ReservationDeletedSubject'] = 'Se ha eliminado tu reserva';
        $strings['ReservationCreatedAdminSubject'] = 'Notificación: se ha creado una reserva';
        $strings['ReservationUpdatedAdminSubject'] = 'Notificación: se ha actualizado una reserva';
        $strings['ReservationDeleteAdminSubject'] = 'Notificación: se ha eliminado una reserva';
        $strings['ReservationApprovalAdminSubject'] = 'Notificación: una reserva necesita aprobación';
        $strings['ParticipantAddedSubject'] = 'Notificación de participación en reserva';
        $strings['ParticipantDeletedSubject'] = 'Eliminación de participación en reserva';
        $strings['InviteeAddedSubject'] = 'Invitación a reserva';
        $strings['ResetPassword'] = 'Petición de reinicio de contraseña';
        $strings['ActivateYourAccount'] = 'Por favor, activa tu cuenta';
        $strings['ReportSubject'] = 'El informe solicitado (%s)';
        $strings['ReservationStartingSoonSubject'] = 'La reserva de %s comienza pronto';
        $strings['ReservationEndingSoonSubject'] = 'La reserva de %s finaliza pronto';
        $strings['UserAdded'] = 'Se ha agregado un nuevo usuario';
        $strings['UserDeleted'] = 'La cuenta de usuario de %s fue borrada por %s';
        $strings['GuestAccountCreatedSubject'] = 'Detalles de la cuenta';
        $strings['AccountCreatedSubject'] = 'Los detalles de su cuenta %s ';
        $strings['InviteUserSubject'] = '%s le ha invitado a unirse %s';

        $strings['ReservationApprovedSubjectWithResource'] = 'La reserva ha sido aprobada por %s';
        $strings['ReservationCreatedSubjectWithResource'] = 'Reserva Creada por %s';
        $strings['ReservationUpdatedSubjectWithResource'] = 'Reserva Actualizada por %s';
        $strings['ReservationDeletedSubjectWithResource'] = 'Reserva Borrada por %s';
        $strings['ReservationCreatedAdminSubjectWithResource'] = 'Notificación: Reserva Creada por %s';
        $strings['ReservationUpdatedAdminSubjectWithResource'] = 'Notificación: Reserva Actualizada por %s';
        $strings['ReservationDeleteAdminSubjectWithResource'] = 'Notificación: Reserva Borrada por %s';
        $strings['ReservationApprovalAdminSubjectWithResource'] = 'Notificación: Reserva para %s Requiere su aprovación';
        $strings['ParticipantAddedSubjectWithResource'] = '%s le ha añadido a una Reserva para %s';
        $strings['ParticipantDeletedSubjectWithResource'] = '%s ha eliminado una Reserva para %s';
        $strings['InviteeAddedSubjectWithResource'] = '%s le ha invitado a una Reserva para %s';
        $strings['MissedCheckinEmailSubject'] = 'Missed checkin for %s';
        $strings['ReservationShareSubject'] = '%s ha compartido una Reserva para %s';
        $strings['ReservationSeriesEndingSubject'] = 'Reservation Series for %s is Ending on %s';
        $strings['ReservationParticipantAccept'] = '%s ha Aceptado su Invitación a la Reserva para %s el %s';
        $strings['ReservationParticipantDecline'] = '%s ha Rechazado su Invitación a la Reserva para %s el %s';
        $strings['ReservationParticipantJoin'] = '%s se ha Unido a su Reserva para %s el %s';
        // End Email Subjects

        $strings['No'] = 'No';
        $strings['CaptchaInvalid'] = 'El captcha de seguridad ha fallado.';
        $strings['Password'] = 'Contraseña';
        $strings['Error'] = 'Error';
        $strings['RepeatEveryPrompt'] = 'Todo';
        $strings['CreateReservationHeading'] = 'Nueva Reserva';
        $strings['ReservationErrors'] = 'Cambio Reserva';
        $strings['ReservationsMustLastAtLeast'] = 'Las reservas debe durar al menos';
        $strings['ReservationsCannotLastMoreThan'] = 'Las reservas no pueder durar mas de';
        $strings['ResourceAdvanceNoticeCreate'] = 'aviso para nuevas reservas';
        $strings['ResourceAdvanceNoticeUpdate'] = 'aviso para modificación de reservas';
        $strings['ResourceAdvanceNoticeDelete'] = 'aviso para eliminación de reservas';
        $strings['ResourceMaxNoticeEnd'] = 'máxino avisos para nuevas reservas';
        $strings['BetweenReservationsThereMustBeAtLeast'] = 'Entre reservas al menos debe haber';
        $strings['Reservations'] = 'Reservas';
        $strings['QuickSlotCreationTimes'] = 'Crear todos los inervalos cada %s minutos';
        $strings['QuotaConfigurationInterval'] = 'En %s para %s usuarios en %s están limitados %s %s todos %s %s';
        $strings['YouWillBeEmailedPasswordInstructions'] = 'Recibirás un correo con instrucciones para actualizar la contraseña';
        $strings['OK'] = 'OK';
        $strings['ResetPasswordEmailSent'] = 'Si este correo electónico existe, recibirás un correo con instruciones para cambiar tú contraseña. EsIf this email address exists, you will receive an email with instructions to reset your password. Esta petición expirará en 30 minutos.';
        $strings['Total'] = 'Total';
        $strings['TotalTime'] = 'Tiempo';
        $strings['ReminderMessage'] = 'Mensaje';
        $strings['ReminderSendtimeAMPM'] = 'AM / PM';
        $strings['minute'] = 'minuto';
        $strings['hour'] = 'hora';
        $strings['Logo'] = 'Logotipo';
        $strings['Color'] = 'Color';
        $strings['OnlyCollectInCertainCases'] = 'Sólo recolectar en ciertos casos';
        $strings['AutoReleaseDeleteNotification'] = 'Automáticamente borrados si no se registra en <strong>%s</strong> minutos';
        $strings['AutoReleaseEndNotification'] = 'Automáticamente finalizado si no se registra en <strong>%s</strong> minutos';
        $strings['ShowSpecificDates'] = 'Mostrar fechas específicas';
        $strings['Credits'] = 'Creditos';
        $strings['BlackoutAroundConflicts'] = 'Ocultar alrededor de reservas conflictivas';
        $strings['AutoReleaseMinutes'] = 'Auto liberar minutos';
        $strings['CreditsPeak'] = 'Créditos (pico)';
        $strings['CreditsOffPeak'] = 'Créditos (fuera pico)';
        $strings['ResourceBufferTimeCsv'] = 'Buffer Tiempo';
        $strings['ResourceMinNoticeAddCsv'] = 'Añadir Aviso Mínimo de Reserva ';
        $strings['ResourceMinNoticeUpdateCsv'] = 'Actualizar Aviso Mínimo de Reserva';
        $strings['ResourceMinNoticeDeleteCsv'] = 'Borrar Aviso Mínimo de Reserva';
        $strings['ResourceMaxNoticeCsv'] = 'Fin Máximo de Reserva';
        $strings['PayPalEnvironment'] = 'Entorno';
        $strings['Sandbox'] = 'Sandbox';
        $strings['Live'] = 'Vivo';
        $strings['StripePublishableKey'] = 'Llave publicable';
        $strings['StripeSecretKey'] = 'Clave secreta';
        $strings['CreditsUpdated'] = 'Coste del Crédito ha sido actualizado';
        $strings['GatewaysUpdated'] = 'Las pasarela de pago han sido actualizadas';
        $strings['Checkout'] = 'Realizar Salida';
        $strings['PaymentGateways'] = 'Pasarela de Pagos';
        $strings['Gateway'] = 'Pasarela';
        $strings['GatewayTransactionDate'] = 'Fecha de Transacción en la pasarela';
        $strings['IssueRefund'] = 'Refundir problema';
        $strings['SlackBookResource'] = 'Reserva %s ahora';
        $strings['BlackoutsWillBeDeleted'] = 'blackout tiempos serán borrados';
        $strings['ReservationsWillBePurged'] = 'Las reservas serán purgadas';
        $strings['DeleteBlackoutsBefore'] = 'Borrar blackout tiempos antes';
        $strings['SwitchLayoutWarning'] = 'Está seguro que quiere cambiar el tipo de diseño? Esto eliminará los intervalos existentes.';
        $strings['DeleteThisTimeSlot'] = 'Eliminar este intervalo?';
        $strings['StandardView'] = 'Vista Estándar';
        $strings['WideView'] = 'Vista Ampliada';
        $strings['TallView'] = 'Vista Vertical';
        $strings['WeekView'] = 'Vista Semanal';
        $strings['BulkResourceDelete'] = 'Borrado completo de Recurso';
        $strings['AdHocMeeting'] = 'Reunión Ad hoc';
        $strings['MissedCheckin'] = 'Entrada Perdida';
        $strings['MissedCheckout'] = 'Salida Perdida';
        $strings['SpecificTime'] = 'Tiempo Especifico';
        $strings['NotAttending'] = 'No Atendida';
        $strings['New'] = 'Nueva';
        $strings['Updated'] = 'Actualizado';
        $strings['Custom'] = 'Personalizado';
        $strings['AddDate'] = 'Añadir Fecha';
        $strings['RepeatOn'] = 'Activar Repetición';
        $strings['ScheduleConcurrentMaximum'] = 'Un total de <b>%s</b> pueden ser reservados a la vez';
        $strings['ScheduleConcurrentMaximumNone'] = 'No hay límite para el número de recursos reservados concurrentes';
        $strings['ScheduleMaximumConcurrent'] = 'Máximo de números de recursos reservados concurrentemente';
        $strings['ScheduleMaximumConcurrentNote'] = 'Cuando se actualiza, el númro de recursos que puedes ser reservados concurrentemente para este calendario será limitado.';
        $strings['ScheduleResourcesPerReservationMaximum'] = 'Cada reserva está limitada a un máximo de <b>%s</b> recursos';
        $strings['ScheduleResourcesPerReservationNone'] = 'No hay límite para el número de recursos por reserva';
        $strings['ScheduleResourcesPerReservation'] = 'Número máximo de recursos por reserva';
        $strings['ResourceConcurrentReservations'] = 'Permitir %s reservas concurrentes';
        $strings['AllowConcurrentReservations'] = 'Permitir %s reservas concurrentes';
        $strings['ResourceConcurrentReservationsNone'] = '<strong>No Permitir</strong> reservas concurrentes';
        $strings['AllowConcurrentReservationsLabel'] = '<strong>Permitir</strong> reservas concurrentes';
        $strings['ResourceDisplayInstructions'] = 'No se ha seleccionado Recurso. Puedes encontrar la URL para mostrar un recurso en el Control de la Aplicación, Recursos. El recurso debe ser accesible.';
        $strings['Owner'] = 'Propietario';
        $strings['MaximumConcurrentReservations'] = 'Máximo Reservas Concurrentes';
        $strings['NotifyUsers'] = 'Notificar Usuarios';
        $strings['Message'] = 'Mensaje';
        $strings['AllUsersWhoHaveAReservationInTheNext'] = 'Nadia con una reserva en el próximo';
        $strings['ChangeResourceStatus'] = 'Cambiar el estado del Recurso';
        $strings['UpdateGroupsOnImport'] = 'Actualizar grupo existente si coincide';
        $strings['GroupsImportInstructions'] = '<ul><li>Fichero debe estar en formato CSV.</li><li>El nombre es obligatorio.</li><li>La lista de Miembros debe ser una lista de correos separadas por una coma.</li><li>Los miembros vacios de la lista no serán cambiados cuando se actualizan los grupos.</li><li>La lista de permisos debe ser una lista de nombres de recursos separados por coma.</li><li>No serán modificados la listad de permisos vacios cuando se actualizan los grupos.</li><li>Usar la plantilla proporcionada en el ejemplo.</li></ul>';
        $strings['PhoneRequired'] = 'Teléfono Obligatorio';
        $strings['OrganizationRequired'] = 'Organización Obligatoria';
        $strings['PositionRequired'] = 'Posición Obligatoria';
        $strings['GroupMembership'] = 'Grupo Obligatorio';
        $strings['AvailableGroups'] = 'Grupos Disponibles';
        $strings['CheckingAvailabilityError'] = 'No se pueden obtener disponibilidad de recursos-demasiados recursos';
        $strings['ApiOnly'] = 'Sólo Acceso API';
        $strings['ApiOnlyDetails'] = 'Este usuario será solo accesible a través de  API';
        $strings['PerReservation'] = 'por reserva';
        $strings['PerSlot'] = 'por intervalo';
        $strings['CreditsCalculated'] = 'Créditos calculados';
        $strings['CreditsApplied'] = 'Créditos Aplicables';
        $strings['CreditsChargedBlockedSlots'] = 'Los créditos son cargados para intervalos bloqueados';
        $strings['AllowReservationsToEndInBlockedSlots'] = 'Permitir reservas al final de intervalos bloqueados';
        $strings['ReservationsMustEndInAvailableSlots'] = 'Reservas deben terminar en los intervalos disponibles';
        $strings['Currently'] = 'Actualmente';
        $strings['ResourceDisplay'] = 'Mostrar Recurso';
        $strings['CopyToClipboard'] = 'Copiar al portapapeles';
        $strings['CopyEmbedCode'] = 'Cpiar el código al portapapeles';
        $strings['CopyRssLink'] = 'Copiar el enlace RSS al portapapeles';
        $strings['CopyICalLink'] = 'Copiar el enlace iCalendar al portapapeles';
        $strings['CopyToResourceDisplay'] = 'Copiar la visión del Recurso al portapapeles';
        $strings['CopiedToClipboard'] = 'Copiado al portapapeles';
        $strings['UseDefaultLabel'] = 'Usar etiqueta por defecto';
        $strings['SlotLabel'] = 'Etiqueta del Intervalo';
        $strings['ResourceRelationships'] = 'Relaciones';
        $strings['MustBeBookedWith'] = 'Debe Ser Reservado Con (Doble Vía)';
        $strings['CannotBeBookedWith'] = 'No Puede Ser Reservado Con';
        $strings['CannotBeBookedAtSameTime'] = 'No Puede Ser Reservado Al Mismo Tiempo';
        $strings['UpdateAndSend'] = 'Modificar y Avisar';
        $strings['ResourceImageInstructions'] = 'Solo son admitidas imágenes superiores a 10(%sMB cada) si son jpg, gif, png, svg. Arrastra para reordenar.';
        $strings['ViewFullSizeImage'] = 'Imagen De Tamaño Completo';
        $strings['Default'] = 'Por Defecto';
        $strings['DisplayInformation'] = 'Muestra Información';
        $strings['ResourceInformation'] = 'Información Recurso';
        $strings['CopyId'] = 'Copiar ID al portapapeles';
        $strings['PublicAccess'] = 'Acceso Público';
        $strings['AllowPublicAccess'] = 'Permitir Acceso Público';
        $strings['AddAllUsers'] = 'Añadir todos los usuarios';
        $strings['ChangeAllAccess'] = 'Cambiar todos los usuarios';
        $strings['ChangeAllGroupAccess'] = 'Cambiar todos los grupos';
        $strings['View'] = 'Vista';
        $strings['NoUsersHavePermission'] = 'No Hay Usuarios Con Permisos';
        $strings['RemoveAllPermissions'] = 'Eliminar Todos Los Permisos';
        $strings['RemovePermissions'] = 'Eliminar Permisos';
        $strings['InheritPermissions'] = 'Eliminar y Heredar Permisos';
        $strings['ChangeUserAndGroupPermissions'] = 'Cambiar Permisos de Usuario y Grupo';
        $strings['DateFilter'] = 'Fecha Filtro';
        $strings['Equals'] = 'Igual';
        $strings['GreaterThan'] = 'Mayor Que';
        $strings['LessThan'] = 'Menor Que';
        $strings['HasNoValue'] = 'Not Tiene El Valor';
        $strings['NoResourcesInstructions'] = "No tienes ningún recurso. Click en Añadir Recurso para añadir un nuevo recurso.<br/><br/>Quieres aprender mas sobre recursos en Booked <a href='{{resourceLink}}'>aquí</a>.<br/><br/>Nuevo en Booked? Puedes leer nuestra <a href='{{gettingStartedLink}}'>Guia de Principiantes</a>";
        $strings['AddMoreResources'] = 'Añadir Mas Recursos';
        $strings['AddMoreResourcesInfo'] = 'Permanece en esta pagina después de añadir un recurso';
        $strings['ResourceNameRequired'] = 'El recurse es obligatorio.';
        $strings['ResourceSuccessfullyAdded'] = '{{resourceName}} ha sido añadido.';
        $strings['ViewAsList'] = 'Vista como lista';
        $strings['ViewDetails'] = 'Vista de Detalle';
        $strings['DeleteItemModalTitle'] = 'Borrar {{itemName}}?';
        $strings['Expand'] = 'Expandir';
        $strings['Collapse'] = 'Comprimir';
        $strings['DeleteMultiple'] = 'Borrado Múltiple';
        $strings['DeleteMultipleModalTitle'] = 'Borrado Múltiple ({{count}})?';
        $strings['DeleteMultipleResourcesWarning'] = 'Esto eliminará permanentemente todos los recursos que coincidan con el filtro actual, incluyendo';
        $strings['ExportAllResources'] = 'Exportar todos los recursos';
        $strings['ExportFilteredResources'] = 'Exportar los recurso filtrados';
        $strings['ExportResourceInstructions'] = 'Descarga el fichero CSV que contiene la información del recurso. La información exportada puede ser re-importada para cambios masivos.';
        $strings['ImportResourcesConfirm'] = 'Importados {{count}} Recursos';
        $strings['NoResourceGroups'] = 'No hay grupos de recursos';
        $strings['ShareCalendar'] = 'Compartir Calendario';
        $strings['DoNotShareCalendar'] = 'No compartir Calendario';
        $strings['BackToMainCalendar'] = 'Volver al calendario principal';
        $strings['ReservationsFound'] = '%s Reservas encontradas';
        $strings['DeleteAll'] = 'Borrar Todo';
        $strings['CopyResource'] = 'Copiar Recurso';
        $strings['TermsAcceptedOn'] = 'Aceptado en {{acceptDate}}';
        $strings['DateOfMonth'] = 'Fecha del Mes';
        $strings['WeekOfMonth'] = 'Semana del Mes';
        $strings['Rules'] = 'Reglas';
        $strings['ReservationMustBeBookedTogether'] = 'Estos recursos debe ser reservados juntos';
        $strings['ReservationRequiredResourceNoPermission'] = 'No tienes permiso para alguno de los recursos requeridos';
        $strings['AddRequiredResources'] = 'Añadir Recursos Obligatorios';
        $strings['AddNewMonitorView'] = 'Añadir Vista de Monitor';
        $strings['UpdateMonitorView'] = 'Actualizar Vista de Monitor';
        $strings['DeleteMonitorView'] = 'Borrar Vista de Monitor';
        $strings['DeleteMonitorViewPrompt'] = 'Estas seguro que deseas eliminar <strong>{{viewName}}</strong>?';
        $strings['ReservationsToShow'] = 'Reservas a Mostrar';
        $strings['ASetNumberOfUpcomingReservations'] = 'Inicializa un número de próximas reservas';
        $strings['AllReservationsWithinADateRange'] = 'Todas las reservas entre un rango de fechas';
        $strings['ASpecificSetOfReservations'] = 'Un conjunto específico de reservas';
        $strings['UpcomingDaysToShow'] = 'Mostrar Próximos Días';
        $strings['UpcomingReservationsToShow'] = 'Mostrar Próximas Reservas';
        $strings['DisplayOptions'] = 'Opciones de Visualización';
        $strings['Style'] = 'Estilo';
        $strings['ScrollInterval'] = 'Intervalo del Scroll (segundos)';
        $strings['ShowReservations'] = 'Mostrar Reservas';
        $strings['ShowLogo'] = 'Mostrar Logo';
        $strings['ShowDateAndTime'] = 'Mostrar Fecha y Hora';
        $strings['HideAvailability'] = 'Ocultar Disponibilidad';
        $strings['Invited'] = 'Invitado';
        $strings['SelectUserOrAddGuest'] = 'Selecciona usuario o añade un correo';
        $strings['ReservationUploadInstructions'] = 'Sube ficheros del tipo  %s al %s';
        $strings['UploadFiles'] = 'Arrastra los fichero aquí o pulsa para seleccionar ficheros a subir';
        $strings['RetryReservationNotice'] = 'Puedes intentar esta reserva, saltarse las fecha con conflictos.';
        $strings['JoinWaitlistReservationNotice'] = 'Puede seleccionar una lista de espera para ser avisado cuando esta hora esté disponible.';
        $strings['NewReservation'] = 'Nueva Reserva';
        $strings['ChangeReservation'] = 'Cambiar Reserva';
        $strings['UpdateRecurringTitle'] = 'Actualizar Reserva';
        $strings['ParticipantRecurringNotice'] = 'Esta reserva es part de una serie recurrente.';
        $strings['UpdateRecurringNotice'] = 'Esta reserva es parte de una serie recurrente. Que instancias de esta serie quieres actualizar?';
        $strings['DeleteReservationModalTitle'] = 'Borrar Reserva';
        $strings['DeleteRecurringNotice'] = 'Esta reserva es parte de una serie recurrente. Que instancias de esta serie quieres eliminar?';
        $strings['RequiresApprovalNotice'] = 'Esta reserva requiere tú aprobación';
        $strings['AcceptInvitation'] = 'Aceptar Invitación';
        $strings['DeclineInvitation'] = 'Rechazar Invitación';
        $strings['YouAreAlreadyParticipating'] = 'Ya estás participando en esta reserva';
        $strings['JoinAsGuestNotice'] = 'Para unirte a esta reserva como invitado, debes proporcionar un correo electrónico';
        $strings['CancelThisInstance'] = 'Cancela Esta Instancia';
        $strings['CancelSeries'] = 'Cancelar Serie';
        $strings['DeclineThisInstance'] = 'Rechazar Esta Instancia';
        $strings['DeclineSeries'] = 'Rechazar Serie';
        $strings['AcceptThisInstance'] = 'Accept This Instance';
        $strings['AcceptSeries'] = 'Aceptar Serie';
        $strings['JoinThisInstance'] = 'Unirse A Esta Instancia';
        $strings['JoinSeries'] = 'Unirse Serie';
        $strings['MultipleEmailInstructions'] = 'Puedes añadir múltiples correos, separados por un espacio o una coma';
        $strings['SendReservationAsEmail'] = 'Enviar Correo ({{count}})';
        $strings['WithSpecificAttributeValues'] = 'Con valores de atributos específicos';
        $strings['ReferenceNumbers'] = 'Números de Referencia';
        $strings['Value'] = 'Valor';
        $strings['Ascending'] = 'Ascendente';
        $strings['Descending'] = 'Descendente';
        $strings['SortDirection'] = 'Dirección';
        $strings['SortBy'] = 'Ordenado Por';
        $strings['LoadingCreditHistory'] = 'Cargando la historia de creditos';
        $strings['HeadingText'] = 'Texto de Cabecera';
        $strings['StartTimeIsInPast'] = 'El hora de comienzo está en el pasado';
        $strings['GroupCredits'] = 'Crédito';
        $strings['Replenish'] = 'Recargar';
        $strings['AddCredits'] = 'Añadir Créditos';
        $strings['ReplenishCredits'] = 'Recargar Créditos';
        $strings['AddCreditsEveryDays'] = 'Añadir %s créditos cada %s días';
        $strings['AddCreditsDayOfMonth'] = 'Añadir %s créditos en el día %s de cada mes';
        $strings['AutomaticallyAddCredits'] = 'Automáticamente añadir créditos para todos los usuarios de este grupo';
        $strings['AddCreditsToGroup'] = 'Añadir créditos a todos los usuarios de este grupo';
        $strings['AddNumberCreditsToGroup'] = 'Añadir %s créditos a todos los usuarios de este grupo';
        $strings['CreditsAddedByAdminNote'] = 'Créditos añadidos por el administrador';
        $strings['AutoReplenishCreditsNote'] = 'Créditos automáticamente recargados';
        $strings['Never'] = 'Nunca';
        $strings['LastReplenished'] = 'Última Recarga';
        $strings['ReservationsAutomaticallyExtended'] = 'Las Reservas son automáticamente extendidas si el propietario no realiza la salida';
        $strings['ReservationsNotAutomaticallyExtended'] = 'Las Reservas son finalizadas si el propietario no realiza la salida';
        $strings['PasswordResetForced'] = 'Debes actualizar tú contraseña';
        $strings['ForceChangePassword'] = 'Forzar al ususario a cambiar su contraseña la próxima vez que inicie sesión';
        $strings['NotifyUserPasswordChange'] = 'Enviar al usuario un correo con la nueva contraseña';
        $strings['NoScheduleAdminGroupsDefined'] = 'No hay grupos de calendario administrador definido';
        $strings['SecurityCheck'] = 'Check de seguridad';
        $strings['SecurityCheckInstructions'] = 'Para tú seguridad, necesitamos confirmar tú cuenta.Por favor introduce la contraseña un solo uso enviada a %s';
        $strings['OneTimePassCode'] = 'Contraseña Un Solo Uso';
        $strings['ConfirmOTP'] = 'Confirma Contraseña';
        $strings['ResendCode'] = 'Envía Nueva Contraseña';
        $strings['InvalidOtp'] = 'La contraseña es incorrecta o ha expirados. Por favor inténtalo de nuevo o solicita una nueva contraseña de un solo uso.';
        $strings['OtpResendMessage'] = 'Hemos enviado una nueva contraseña de un solo uso. Este código expirará en 10 minutos.';
        $strings['ResetPasswordInstructions'] = 'Por Favor introduce una nueva contraseña';
        $strings['ResendResetPassword'] = 'Re-Envia enlace restablecimiento';
        $strings['ResetPasswordError'] = 'Enlace de restablecimiento de contraseña inválido. El enlace de restablecimiento de contraseña sólo es válido por %s minutos.';
        $strings['SendResetLink'] = 'Envía enlace de restablecimiento de contraseña';
        $strings['ConfirmResetPassword'] = 'Tú contraseña ha sido actualizada. Por favor inicia sesión usando tú nueva contraseña.';
        $strings['TransferReservationOwnership'] = 'Transferir Propiedad';
        $strings['TransferTo'] = 'Transferir propiedad a';
        $strings['FutureReservations'] = 'Futuras Reservas';
        $strings['TransferOwnershipDeleteWarning'] = 'Puedes transferir la propiedad de la reserva para mantener estas reservas.';
        $strings['TransferReservationOwnershipNote'] = 'Transfiere la propiedad de la reserva a una persona diferente.';
        $strings['AddFavoriteResource'] = 'Añade Recurso Favorito';
        $strings['RemoveFavoriteResource'] = 'Elimina Recurso Favorito ';
        $strings['ReservationsCheckinLimitedToAdmin'] = 'Sólo el Admin puede realizar entradas/salidas';
        $strings['ReservationDeleted'] = 'Tú reserva ha sido eliminada';
        $strings['PermissionLevel'] = 'Nivel';
        $strings['Inherit'] = 'Heredado';
        $strings['NoGroupsHavePermission'] = 'No hay grupo con permisos';
        $strings['AddAllGroups'] = 'Añadir Todos los Grupos';
        $strings['NoColor'] = 'Sin Color';
        $strings['UseDefault'] = 'Uso por Defecto';
        $strings['MobileView'] = 'Vista Móvil';
        $strings['BetweenAnyTimes'] = 'Entre Cualquier Hora';
        $strings['DeletingReservation'] = 'Borrando Reserva';
        $strings['ResourceAdminRequired'] = 'Recurso  Administrador es obligatorio.';
        $strings['ResourceTypes'] = 'Tipos de Recursos';
        $strings['Enabled'] = 'Habilitado';
        $strings['CheckAvailability'] = 'Verifica Disponibilidad';
        $strings['ManageAvailableAppointments'] = 'Gestionar Citas Disponibles';
        $strings['AddAvailableAppointmentTime'] = 'Añadir hora de cita disponible';
        $strings['OnlyApplicableAccessories'] = 'Solo mostrar accesorios que puede ser reservados con los recursos seleccionados';
        $strings['SelectThisAppointment'] = 'Selecciona la hora de esta cita';
        $strings['AppointmentTime'] = 'Hora de la Cita';
        $strings['NoAvailableAppointments'] = 'No hay citas disponibles para la fecha seleccionada. Por Favor selecciona otra fecha.';
        $strings['NoAppointmentsOnDay'] = 'Sin Citas';
        $strings['BackDays'] = 'Últimos %s días';
        $strings['ForwardDays'] = 'Próximos %s días';
        $strings['LastWeek'] = 'Última semana';
        $strings['ShowMultiResourceGrouped'] = 'Muestra reservas multi-recursos como un evento simple';
        $strings['MinimumParticipants'] = 'Mínimo de Paricipantes';
        $strings['NoMinimum'] = 'Sin Mínimo';
        $strings['PrintReservations'] = 'Imprimir Reservas';
        $strings['Time'] = 'Tiempo';
        $strings['YourAccountWasCreatedOn'] = 'Tú cuenta fué creada en %s';
        $strings['MissedCheckinTimeWarning'] = 'En esta reserva se olvidó la hora de entrada';
        $strings['MissedCheckoutTimeWarning'] = 'En esta reserva se olvidó la hora de salida';
        $strings['CheckedIn'] = 'Entrada';
        $strings['CheckedOut'] = 'Salida';
        $strings['SelectUserOrGroup'] = 'Selecciona Usuario o Grupo ';
        $strings['NoGroupsAssigned'] = '- Sin Grupos Asignados -';
        $strings['CurrentlyFilteredResources'] = 'Actualmente Filtrados Recursos (%s)';
        $strings['AllResourcesWithCount'] = 'Todos los Recursos (%s)';
        $strings['Section'] = 'Sección';
        $strings['BulkUpdateWarning'] = 'Es recomendable exportar una copia de seguridad de tus recursos antes de realizar la actualización masiva';
        $strings['DuplicateResourceImportWarning'] = 'Hemos encontrado nombre de recurso duplicados. Si quieres actualizar los recursos existentes, por favor marca la casilla de actualización de abajo.';
        $strings['EventsPerPage'] = 'Eventos por página';
        $strings['ScheduleReport'] = 'Programar Entrega';
        $strings['ChangeSchedule'] = 'Cambiar Horario';
        $strings['Frequency'] = 'Frecuencia';
        $strings['SendTo'] = 'Enviar a';
        $strings['ScheduleReportOnThe'] = 'En el';
        $strings['ScheduleReportDayOfTheMonth'] = 'día del mes';
        $strings['AtLeastOneDayMustBeSelected'] = 'Al menos un día debe ser seleccionado';
        $strings['AtLeastOneEmailMustBeAdded'] = 'Al menos un correo debe ser añadido';
        $strings['LastSent'] = 'Último envío';
        $strings['ReservationColor'] = 'Color Reserva';
        $strings['PhoneCountry'] = 'Teléfono País';
        $strings['SmsDisabled'] = 'SMS Avisos no están habilitados.';
        $strings['PreferenceReservationReminders'] = 'Reserva Recordatorios';
        $strings['PreferenceReservationCreated'] = 'Reserva Creada';
        $strings['PreferenceReservationUpdated'] = 'Reserva Actualizada';
        $strings['PreferenceReservationDeleted'] = 'Reserva Eliminada';
        $strings['PreferenceReservationApproved'] = 'Reserva Aprobada';
        $strings['PreferenceReservationParticipants'] = 'Reserva Participantes';
        $strings['PreferenceReservationSeriesEnding'] = 'Reserva Serie Fin';
        $strings['PreferenceReservationMissedCheckin'] = 'Olvidada Inicio Reserva';
        $strings['PreferenceReservationMissedCheckout'] = 'Olvidada Fin Reserva';
        $strings['ReservationRemindersPreferenceDescription'] = 'Reserva inicio y fin de recordatorios. Si está habilitado, recordatorios serán enviados vía correo.';
        $strings['ReservationCreatedPreferenceDescription'] = 'Cuando creas una reserva o alguien crea ua reserva en tú nombre.';
        $strings['ReservationUpdatedPreferenceDescription'] = 'Cuando actualizas una reserva o alguien crea una reserva a tú nombre.';
        $strings['ReservationDeletedPreferenceDescription'] = 'Cuando borras una reserva o alguien borra una reserva a tú nombre.';
        $strings['ReservationApprovedPreferenceDescription'] = 'Cuando tú solicitud de reserva pendiente ha sido aprobada.';
        $strings['ReservationParticipantsPreferenceDescription'] = 'Cuando alguien acepta tú invitacioón o cancela su participación en tú reserva.';
        $strings['ReservationSeriesEndingPreferenceDescription'] = 'Cuando el último evento en una reserva recurrente está próxima.';
        $strings['ReservationMissedCheckinPreferenceDescription'] = 'Cuando no has hecho entrada en una reserva que ha comenzado.';
        $strings['ReservationMissedCheckoutPreferenceDescription'] = 'Cuando no has hecho la saldiad en un reserva que ha finalizado.';
        $strings['NotificationPreferenceOnlyEmail'] = 'Este aviso está solo disponible vía correo.';
        $strings['SMSNotifications'] = 'SMS Avisos';
        $strings['SMSPhoneMissing'] = 'Para recibir mensajes SMS, por favo proporciona un número de teléfono.';
        $strings['UpdateYourProfile'] = 'Actualiza tú perfil';
        $strings['SMSConfirmCode'] = 'Por favor introducie una contraseña que será enviada a tú número de teléfono (%s)';
        $strings['SMSUpdateYourPhone'] = 'Actualiza tú número de teléfono';
        $strings['SMSNeedToConfirm'] = 'Necesitamos que confirmes tú número de teléfono antes de poder enviar mensajes SMS.';
        $strings['SendConfirmationCode'] = 'Envíame una contraseña';
        $strings['SMSUnavailableCountry'] = 'No es posible enviar SMS a tú país.';
        $strings['SMSOptInConfirmation'] = 'Has seleccionado avisos SMS. Cualquier aviso será enviado por este sistema.';
        $strings['SmsMoreInfo'] = 'Aprendre más acerca la configuración de SMS for Booked.';
        $strings['SMSAllowedMessagesPerMonth'] = 'Mensajes permitidos por mes';
        $strings['SMSSentThisMonth'] = 'Envisado este mes';
        $strings['SMSRemainingThisMonth'] = 'Restantes este mes';
        $strings['SMSAdjustSettingContact'] = 'Para ajustar tu configuración SMS, contacta';
        $strings['Options'] = 'Opciones';
        $strings['Calendar'] = 'Calendario';
        $strings['PartialMatch'] = 'Coincidencia Parcial';
        $strings['UpdateThisReport'] = 'Actualiza Este Informe';
        $strings['CancelNotification'] = 'Cancelar Aviso';
        $strings['WaitlistSingle'] = 'Alguien esta esperando por este intervalo';
        $strings['WaitlistPlural'] = 'Hay otros %s esperando por este intervalo';
        $strings['Waitlist'] = 'Lista de Espera';
        $strings['WaitlistRequests'] = 'Solicitud Lista de Espera';
        $strings['AddMeetingLink'] = 'Añaddir un enlace de conferencia';
        $strings['RemoveMeetingLink'] = 'Eliminar enlade de conferencia';
        $strings['OpenLink'] = 'Abrir Enlace';
        $strings['MeetingLink'] = 'Conferencia Enlace';
        $strings['ZoomMeetingsOwnerOnly'] = 'Conferencias Zoom sólo pueden ser creadas por el propietario de la reserva.';
        $strings['ZoomMeetingsOwnerOnlyUpdate'] = 'Actualizar Conferencia Zoom sólo puede ser hecho por el propietario de la reserva.';
        $strings['ZoomMeetingWillBeCreated'] = 'Una Conferencia Zoom será creada';
        $strings['MustLinkZoomAccount'] = 'Debes enlazar tú cuenta de Zoom.';
        $strings['ZoomDoesNotSupportCustomRecurrence'] = 'Zoom no soporta recurrencia personalizada. Sólo una conferencia será creada en la primera fecha de reserva.';
        $strings['TeamsMeetingsOwnerOnly'] = 'Teams sólo pueden ser creadas por el propietario de la reserva.';
        $strings['TeamsMeetingsOwnerOnlyUpdate'] = 'Actualizar Conferencia Teams sólo puede ser hecho por el propietario de la reserva.';
        $strings['TeamsMeetingWillBeCreated'] = 'Una conferencia Teams será creada';
        $strings['MustLinkTeamsAccount'] = 'Dete enlazar tú cuenta Microsoft .';
        $strings['TeamsDoesNotSupportCustomRecurrence'] = 'Teams no soporta recurrencia personalizada. Sólo una conferencia será creada en la primera fecha de reserva.';
        $strings['LinkedAccounts'] = 'Cuentas Enlazadas';
        $strings['Linked'] = 'Enlazada';
        $strings['Unlinked'] = 'Desenlazada';
        $strings['LinkAccount'] = 'Enlaza Cuenta';
        $strings['UnlinkAccount'] = 'Desenlaza Cuenta';
        $strings['DateFormat'] = 'Formato Fecha';
        $strings['TimeFormat'] = 'Formato Tiempo';
        $strings['ChangeOwner'] = 'Cambia Propietario';
        $strings['CoOwners'] = 'Co-Propietario';
        $strings['AddCoOwners'] = 'Añade Co-Propietario';
        $strings['ChangeCoOwners'] = 'Cambia Co-Propietario';
        $strings['RemoveCoOwner'] = 'Elimina Co-Propietario';
        $strings['CoOwner'] = 'Co-Propietario';
        $strings['MyReservations'] = 'Mis Reservas';
        $strings['ShowLegend'] = 'Muestra Leyenda';
        $strings['HideLegend'] = 'Oculta Leyenda';
        $strings['AttributeCategory'] = 'Atributo de Categoría';
        $strings['MultipleSelect'] = 'Selección Múltiple';
        $strings['MustBeBookedWithOneWay'] = 'Debe ser reservada con (un día)';
        $strings['QuotaOn'] = 'Encendido';
        $strings['QuotaEachPersonIn'] = 'Cada Persona En';
        $strings['QuotaIsLimitedTo'] = 'Está limitado a';
        $strings['QuotaStopEnforcement'] = 'Dejar de hacer cumplir';
        $strings['QuotaAheadOfCurrentTime'] = 'desde el momento actual';
        $strings['Every'] = 'Todo';
        $strings['Enforced'] = 'Hacer cumplir';
        $strings['Quotas'] = 'Cuotas';
        $strings['UpdateQuota'] = 'Actualiza Cuota';
        $strings['UpTo'] = 'Hasta';
        $strings['AddResourceMap'] = 'Añadir Mapa de Recurso';
        $strings['Map'] = 'Mapa';
        $strings['Published'] = 'Publicado';
        $strings['Draft'] = 'Temporal';
        $strings['MapName'] = 'Nombre del Mapa';
        $strings['MapImageInstructions'] = 'Selecciona el fichero de la imagen. Sólo Imagenes. Ancho mínimo %s. Ancho máximo %s.';
        $strings['AdvancedSearchOptions'] = 'Opciones Avanzadas de Búsqueda';
        $strings['CreditsAreNotEnabled'] = 'Créditos no están habilitados';
        $strings['JoinReservation'] = 'Seleccion Reserva';
        $strings['DeleteReason'] = 'Borrar Razón';
        $strings['AddOAuthProvider'] = 'Añadir OAuth Proveedor';
        $strings['OAuthProviderName'] = 'Nombre Proveedor';
        $strings['OAuthClientId'] = 'Cliente Id';
        $strings['OAuthClientSecret'] = 'Cliente Secreto';
        $strings['AccessTokenGrantType'] = 'Access Token Grant Tipo';
        $strings['OAuthAuthorizationUrl'] = 'Autorización URL';
        $strings['OAuthAccessTokenUrl'] = 'Access Token URL';
        $strings['OAuthUserDetailsTokenUrl'] = 'Detalles Usuario (Propietario del Recurso) URL';
        $strings['FieldMappings'] = 'Enlaces Campos';
        $strings['UpdateOAuthProvider'] = 'Actualiza OAuth Proveedor';
        $strings['LoginWith'] = 'Iniciar sesión con';
        $strings['OAuthRedirectInstructions'] = 'OAuth proveedor puede requerir redireccionar URL cuando se configura un nuevo cliente';
        $strings['TheValueForReservationAttribute'] = 'El valor para el atributo de reserva';
        $strings['UpdateRule'] = 'Actualizar Regla';
        $strings['OAuthProvider'] = 'OAuth Proveedor';
        $strings['ReservationColorRule'] = 'Regla de Color de la Reserva';
        $strings['ReservationAttribute'] = 'Atributo de la Reserva';
        $strings['SelectAnAttribute'] = 'Selecciona un atributo';
        $strings['Criteria'] = 'Criterio';
        $strings['ReleasedReservations'] = 'Reservas liberadas';
        $strings['UserManagedSelectList'] = 'Selecciona Lista (Administrado por usuario)';
        $strings['InstancesOverlapRule'] = 'Alguna instancia de la reserva se sobreponen:';
        $strings['MinParticipantsError'] = '%s obligados al menos  %s participantes.';
        $strings['MultiDayRuleAll'] = 'Reservas a través de los días no están permitidas.';
        $strings['InvalidNumberOfResourcesError'] = 'El número máximo de recursos que puede ser reservados en una reserva simple es %s';
        $strings['ScheduleTotalReservationsError'] = 'Este calendario solo permite reservar  %s recursos concurrentes. Esta reserva violaría esos límites en las siguientes fechas::';
        $strings['UserConcurrentLimitError'] = 'Sólo puede tener  %s reservas a la vez. Esta reserva violaría ese límite en las siguientes fechas:';
        $strings['ResourceMustBeBookedWith'] = '%s puede ser reservadas con %s';
        $strings['ResourceCannotBeBookedWith'] = '%s no puede ser reservadas con  %s';
        $strings['ResourceCannotBeBookedAtSameTimeAs'] = '%s no puede ser reservadas al mismo tiempo como %s';
        $strings['ReservationCannotBeBookedTogether '] = 'Los siguientes recursos no puede ser reservados juntos';
        $strings['CorrectErrorsBelow'] = 'Por favor corrige los errores de abajo';
        $strings['ResourceImageUploadError'] = 'No se puede subir la imagen. Selecciona el tipo y el tamaño.';
        $strings['ReservationUploadError'] = 'Fichero no puede ser subido. Selecciona el tipo y el tamaño.';
        $strings['PastAutoreleaseError'] = 'Esta reserva ha sobrepasado su inicio y no puede ser modificada.';
        $strings['CannotJoinReservation'] = 'No puedes unirte a esta reserva.';
        $strings['CannotDeclineReservation'] = 'No puedes rechazar esta reserva.';
        $strings['WeHadTroubleProcessingYourRequest'] = 'Tenemos problema procesasndo tú solicitud.';
        $strings['NewPasswordCannotBeTheSameAsOld'] = 'La nueva contraseña no puede ser la misma que la antigua';
        $strings['ResourceQRScanFailed'] = 'El recurso no puede ser añadido. O el código QR no es válido o no tienes permiso para reservar este recurso.';
        $strings['AccessoryQRScanFailed'] = 'El accesorio no puede ser añadido. O el código QR no es válido o no tienes permiso para reservar este accesorio.';
        $strings['TimezoneMismatchError'] = 'Tú navegador está en una Uso Horario diferentes que tú perfil. Esto pude causar problemas con las horas de tus reservas.';
        $strings['AddResourceError'] = 'El recurso no tiene algunos campos obligatorios';
        $strings['InvalidMeetingUrlError'] = 'El enlace a la conferencia es inválido';
        $strings['ErrorConnectingToExternalMeeting'] = 'No podemos conectar con tú cuenta de  %s. Por favor refresca esta página y re-conecta tú cuenta.';
        $strings['MapImageError'] = 'Sólo imagenes. Mímino ancho %s. Máximo ancho %s.';
        $strings['OAuthLoginError'] = 'Tu solicitud de inicio de sesión no pude ser procesada. Por favor inténtalo de nuevo.';
        $strings['CreateReservation'] = 'Nueva Reserva';
        $strings['EditReservation'] = 'Actualiza Reserva';
        $strings['ManageReservations'] = 'Reservas';
        $strings['ManageReservationSettings'] = 'Configuracion Reserva';
        $strings['ManageQuotas'] = 'Cuotas';
        $strings['Reservation'] = 'Nueva Reserva';
        $strings['ManageResourceTypes'] = 'Tipos Recursos';
        $strings['ManageMonitorViews'] = 'Vistas Monitor';
        $strings['ConfirmAccount'] = 'Verificacion Seguridad';
        $strings['FirstLogin'] = 'Bienvenido a Booked!';
        $strings['ReservationsNav'] = 'Reserva';
        $strings['ManageMaps'] = 'Mapa de Recursos';
        $strings['ResourceMaps'] = 'Mapas de Recursos';
        $strings['ManageOAuth'] = 'OAuth Proveedores';
        $strings['DaySundaySingle'] = 'S';
        $strings['DayMondaySingle'] = 'M';
        $strings['DaySaturdaySingle'] = 'S';
        $strings['ReservationDeletedSubject'] = 'Tú reserva ha sido eliminada';
        $strings['ResetPasswordRequest'] = 'Solicitud cambio de contraseña';
        $strings['ParticipantUpdatedSubjectWithResource'] = '%s actualizada una reserva para %s';
        $strings['MissedCheckinEmailSubject'] = 'Olvidada Entrada for %s';
        $strings['MissedCheckoutEmailSubject'] = 'Olvidada Salida for %s';
        $strings['ReservationExtendedEmailSubject'] = 'Reserva para  %s ha sido automáticamente extendida';
        $strings['ReservationAvailableSubject'] = '%s está disponible en %s';
        $strings['ResourceStatusChangedSubject'] = 'La disponibilidad de %s ha cambiado';
        $strings['PasswordUpdatedByAdminSubject'] = 'Tú %s contraseña ha sido cambiada';
        $strings['OneTimePasscodeSubject'] = 'Tú %s contraseña de uso único';
        $strings['ReservationOwnershipChangedSubject'] = 'Reservas te han sido transferidas';
        $strings['CoOwnerAddedSubjectWithResource'] = '%s ahora eres co-propietario de una reserva por %s';
        $strings['CoOwnerUpdatedSubjectWithResource'] = '%s actualizada una reserva de la que eres co-propietario por %s';
        $strings['CoOwnerDeletedSubjectWithResource'] = '%s eliminada una reserva de la que eres co-propietario por  %s';
        $strings['SMSMessageReservationCreated'] = 'Reserva por  %s en %s fué creada. %s';
        $strings['SMSMessageReservationApproved'] = 'Reserva por %s en %s ha sido aprobada. %s';
        $strings['SMSMessageReservationDeleted'] = 'Reserva por %s en %s ha sido eliminada. %s';
        $strings['SMSMessageReservationUpdated'] = 'Reserva por %s en %s ha sido actualizad. %s';
        $strings['SMSMessageReservationStartReminder'] = 'Reserva por %s comienza en  %s. %s';
        $strings['SMSMessageReservationEndReminder'] = 'Reserva por %s finalizada en %s. %s';
        $strings['SMSMessageReservationSeriesEndingReminder'] = 'La última reserva en la serie pof  %s es en %s. %s';
        $strings['SMSMessageOTP'] = 'Tú Booked contraseña de uso único  is %s';
        $strings['SMSMessageOTPConfirm'] = 'Gracias por confirmar tú teléfono. Puedes configurar tú Booked SMS en el apartado de Preferencias de Aviso.';
        $strings['SMSMessageReservationMissedCheckin'] = 'Has olvidado la hora de inicio para  %s en %s. %s';
        $strings['SMSMessageReservationMissedCheckout'] = 'Has olvidado la hora de fin para %s en %s. %s';


        $this->Strings = $strings;

        return $this->Strings;

    }

    protected function _LoadDays()
    {
        $days = parent::_LoadDays();

        /***
         * DAY NAMES
         * All of these arrays MUST start with Sunday as the first element
         * and go through the seven day week, ending on Saturday
         ***/
        // The full day name
        $days['full'] = array('Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado');
        // The three letter abbreviation
        $days['abbr'] = array('Dom', 'Lun', 'Mar', 'Mié', 'Jue', 'Vie', 'Sáb');
        // The two letter abbreviation
        $days['two'] = array('Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa');
        // The one letter abbreviation
        $days['letter'] = array('D', 'L', 'M', 'X', 'J', 'V', 'S');

        $this->Days = $days;

        return $this->Days;
    }

    protected function _LoadMonths()
    {
        $months = parent::_LoadMonths();

        /***
         * MONTH NAMES
         * All of these arrays MUST start with January as the first element
         * and go through the twelve months of the year, ending on December
         ***/
        // The full month name
        $months['full'] = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
        // The three letter month name
        $months['abbr'] = array('Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic');

        $this->Months = $months;

        return $this->Months;
    }

    protected function _GetHtmlLangCode()
    {
        return 'es';
    }
}

